<?php
/**
 * Created by Sublime text 2.
 * User: 7uptheme
 * Date: 18/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_banner_slider'))
{
    function s7upf_vc_banner_slider($attr,$content = false)
    {
        $html = $add_item_banner_3=$data_banner_4=$text_color=$data_banner_3 = $data_banner_2 = $add_item_banner_2 = $style = $add_item_banner_1 = $data_banner_1 = $autoplay = $navigation = $el_class =$transition= $pagination =$bg_image_size='' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'add_item_banner_1'      => '',
            'add_item_banner_2'      => '',
            'add_item_banner_3'      => '',
            'add_item_banner_4'      => '',
            'navigation'      => 'false',
            'autoplay'      => 'true',
            'pagination'      => 'false',
            'bg_image_size'      => '',
            'el_class'      => '',
            'text_color'      => '',

        ),$attr));
        if(isset($add_item_banner_1))
            $data_banner_1 = vc_param_group_parse_atts($add_item_banner_1);
        if(isset($add_item_banner_2))
            $data_banner_2 = vc_param_group_parse_atts($add_item_banner_2);
        if(isset($add_item_banner_3))
            $data_banner_3 = vc_param_group_parse_atts($add_item_banner_3);
        if(isset($add_item_banner_4))
            $data_banner_4 = vc_param_group_parse_atts($add_item_banner_4);

        $html .= S7upf_Template::load_view('elements/banner-slider/banner',$style,array(
            'navigation' => $navigation,
            'pagination' => $pagination,
            'autoplay' => $autoplay,
            'text_color' => $text_color,
            'el_class' => $el_class,
            'data_banner_1' => $data_banner_1,
            'bg_image_size' => $bg_image_size,
            'data_banner_2' => $data_banner_2,
            'data_banner_3' => $data_banner_3,
            'data_banner_4' => $data_banner_4,
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_banner_slider','s7upf_vc_banner_slider');

vc_map( array(
    "name"      => esc_html__("SV Banner Slider", 'sport'),
    "base"      => "s7upf_banner_slider",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'heading' => esc_html__( 'Style', 'sport' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__('Style 1 (Default)','sport')=>'style1',
                esc_html__('Style 2','sport')=>'style2',
                esc_html__('Style 3','sport')=>'style3',
                esc_html__('Style 4','sport')=>'style4',
            ),
            'description' => esc_html__( 'Select style', 'sport' )
        ),
        array(
            'type' => 's7up_image_check',
            'param_name' => 'style_banner_slider',
            'heading' => '',
            'element' => 'style'
        ),
        //Style 1
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add banner item', 'sport'),
            'param_name' => 'add_item_banner_1',
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Background Image', 'sport' ),
                    'param_name' => 'bg_image',
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                    'description' => esc_html__('Select image from library.','sport'),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Add link background', 'sport' ),
                    'param_name' => 'bg_link',
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Description', 'sport' ),
                    'param_name' => 'desc',
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Custom title control (Default get in title)', 'sport' ),
                    'param_name' => 'title_control',
                    'description' => esc_html__('Enter text.','sport'),
                ),
            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
        //Style 2
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add banner item', 'sport'),
            'param_name' => 'add_item_banner_2',
            'value' =>'',
            'params' => array(

                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Background Image', 'sport' ),
                    'param_name' => 'bg_image',
                    'description' => esc_html__('Select image from library.','sport'),
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Text 1', 'sport' ),
                    'param_name' => 'title_1',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Text 2', 'sport' ),
                    'param_name' => 'title_2',
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Text 3', 'sport' ),
                    'param_name' => 'title_3',
                    'description' => esc_html__('Enter text.','sport'),

                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Custom title control (Default get in title 1)', 'sport' ),
                    'param_name' => 'title_control',
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Add button', 'sport' ),
                    'param_name' => 'button',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Position info text', 'sport' ),
                    'param_name' => 'position',
                    'description' => esc_html__('Select position.','sport'),
                    'value' => array(
                        esc_html__('Left','sport')=>'pull-left',
                        esc_html__('Right','sport')=>'pull-right',
                        esc_html__('Center','sport')=>'pull-center',

                    ),
                ),
                array(
                    'type' => 'animation_style',
                    'heading' => esc_html__( 'CSS animation', 'sport' ),
                    'param_name' => 'animation_css',
                    'group' => esc_html__('Design Option','sport'),
                    'value' => '',
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                    'settings' => array(
                        'type' => 'in',
                        'custom' => array(
                            array(
                                'label' => __( 'Default', 'sport' ),
                                'values' => array(
                                    esc_html__( 'Top to bottom', 'sport' ) => 'top-to-bottom',
                                    esc_html__( 'Bottom to top', 'sport' ) => 'bottom-to-top',
                                    esc_html__( 'Left to right', 'sport' ) => 'left-to-right',
                                    esc_html__( 'Right to left', 'sport' ) => 'right-to-left',
                                    esc_html__( 'Appear from center', 'sport' ) => 'appear',
                                ),
                            ),
                        ),
                    ),
                    'description' => esc_html__( 'Select type of animation for element to be animated when it (enters) the browsers viewport (Note: works only in modern browsers).', 'sport' ),
                ),
            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
            ),
        ),
        //Style 3
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add banner item', 'sport'),
            'param_name' => 'add_item_banner_3',
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Background Image', 'sport' ),
                    'param_name' => 'bg_image',
                    'description' => esc_html__('Select image from library.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Description', 'sport' ),
                    'param_name' => 'desc',
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Custom title control (Default get in title 1)', 'sport' ),
                    'param_name' => 'title_control',
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Add button', 'sport' ),
                    'param_name' => 'button',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style3')
            ),
        ),
        //Style 4
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add banner item', 'sport'),
            'param_name' => 'add_item_banner_4',
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Background Image', 'sport' ),
                    'param_name' => 'bg_image',
                    'description' => esc_html__('Select image from library.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Add link background', 'sport' ),
                    'param_name' => 'bg_link',
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Description', 'sport' ),
                    'param_name' => 'desc',
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'animation_style',
                    'heading' => esc_html__( 'CSS animation', 'sport' ),
                    'param_name' => 'animation_css',
                    'group' => esc_html__('Design Option','sport'),
                    'value' => '',
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                    'settings' => array(
                        'type' => 'in',
                        'custom' => array(
                            array(
                                'label' => __( 'Default', 'sport' ),
                                'values' => array(
                                    esc_html__( 'Top to bottom', 'sport' ) => 'top-to-bottom',
                                    esc_html__( 'Bottom to top', 'sport' ) => 'bottom-to-top',
                                    esc_html__( 'Left to right', 'sport' ) => 'left-to-right',
                                    esc_html__( 'Right to left', 'sport' ) => 'right-to-left',
                                    esc_html__( 'Appear from center', 'sport' ) => 'appear',
                                ),
                            ),
                        ),
                    ),
                    'description' => esc_html__( 'Select type of animation for element to be animated when it (enters) the browsers viewport (Note: works only in modern browsers).', 'sport' ),
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style4')
            ),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name",'sport'),
            "param_name" => "el_class",
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Autoplay slider', 'sport' ),
            'param_name' => 'autoplay',
            'value' => array(
                esc_html__('On','sport') => 'true',
                esc_html__('Off','sport') => 'false',
            ),
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Navigation slider', 'sport' ),
            'param_name' => 'navigation',
            'value' => array(
                esc_html__('Hide','sport') => 'false',
                esc_html__('Show','sport') => 'true',
            ),
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Pagination slider', 'sport' ),
            'param_name' => 'pagination',
            'value' => array(
                esc_html__('Hide','sport') => 'false',
                esc_html__('Show','sport') => 'true',
            ),
            
        ),
        array(
            'type' => 'colorpicker',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Text color', 'sport' ),
            'desc' => esc_html__( 'Select color', 'sport' ),
            'param_name' => 'text_color',
        ),

        array(
            'type' => 'textfield',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__('Custom background image size', 'sport'),
            'param_name' => 'bg_image_size',
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
        ),

    )
));