<?php
/**
 * Created by PhpStorm.
 * User: 7uptheme
 * Date: 04/04/2017
 * Time: 14:17
 */

if(!function_exists('s7upf_vc_banner'))
{
    function s7upf_vc_banner($attr,$content = false)
    {
        $html = $style  =$data_item_banner9=$number_item_desktop= $button=$bg_animation=$position=$desc= $data_item_banner5= $data_item_banner=$text_color= $alignment=$image=$image_link= $image_size = $extra_class = $title ='' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'button'      => '',
            'title'      => '',
            'extra_class'      => '',
            'image_size'      => '',
            'image_link'      => '',
            'image'      => '',
            'position'      => 'pos-bottom',
            'alignment'      => 'text-left',
            'add_item_banner'      => '',
            'add_item_banner5'      => '',
            'text_color'      => '',
            'desc'      => '',
            'show_banner2'      => '',
            'title_b2'      => '',
            'button_b2'      => '',
            'image_link_b2'      => '',
            'image_b2'      => '',
            'bg_animation'      => '',
            'add_item_banner_9'      => '',
            'number_item_desktop'      => '',

        ),$attr));
        if(isset($add_item_banner))
            $data_item_banner = vc_param_group_parse_atts($add_item_banner);
        if(isset($add_item_banner5))
            $data_item_banner5 = vc_param_group_parse_atts($add_item_banner5);
        if(isset($add_item_banner_9))
            $data_item_banner9 = vc_param_group_parse_atts($add_item_banner_9);
        $html .= S7upf_Template::load_view('elements/banner',false,array(
            'style' => $style,
            'image' => $image,
            'title' => $title,
            'button' => $button,
            'image_link' => $image_link,
            'alignment' => $alignment,
            'image_size' => $image_size,
            'extra_class' => $extra_class,            
            'position' => $position,
            'text_color' => $text_color,
            'data_item_banner' => $data_item_banner,
            'data_item_banner5' => $data_item_banner5,
            'content' => $content,
            'desc' => $desc,
            'show_banner2' => $show_banner2,
            'title_b2' => $title_b2,
            'button_b2' => $button_b2,
            'image_link_b2' => $image_link_b2,
            'image_b2' => $image_b2,
            'bg_animation' => $bg_animation,
            'data_item_banner9' => $data_item_banner9,
            'number_item_desktop' => $number_item_desktop,
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_banner','s7upf_vc_banner');

vc_map( array(
    "name"      => esc_html__("SV Banner", 'sport'),
    "base"      => "s7upf_banner",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'heading' => esc_html__( 'Style', 'sport' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__('Style 1 (Default)','sport')=>'style1',
                esc_html__('Style 2','sport')=>'style2',
                esc_html__('Style 3','sport')=>'style3',
                esc_html__('Style 4','sport')=>'style4',
                esc_html__('Style 5','sport')=>'style5',
                esc_html__('Style 6','sport')=>'style6',
                esc_html__('Style 7','sport')=>'style7',
                esc_html__('Style 8(slider)','sport')=>'style9',
                esc_html__('Style 9 (Custom info)','sport')=>'style8',

            ),
            'description' => esc_html__( 'Select style', 'sport' )
        ),
        array(
            'type' => 's7up_image_check',
            'param_name' => 'style_banner',
            'heading' => '',
            'element' => 'style',
        ),
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image* (Required)', 'sport' ),
            'param_name' => 'image',
            'description' => esc_html__('Select image from library.','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-6',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2','style4','style6','style7','style8')
            ),
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'Add link image', 'sport' ),
            'param_name' => 'image_link',
            'edit_field_class' => 'vc_column vc_col-sm-6',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2','style4','style6','style7','style8')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title', 'sport' ),
            'param_name' => 'title',
            'admin_label' => true,
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2','style4','style6','style7','style9')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Description', 'sport' ),
            'param_name' => 'desc',
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style7')
            ),
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'Add button', 'sport' ),
            'param_name' => 'button',
            'description' => esc_html__('Enter link/URL.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2','style6','style7')
            ),
        ),


        array(
            'type' => 'dropdown',
            'group' => esc_html__('Banner 2','sport'),
            'heading' => esc_html__( 'Show banner 2', 'sport' ),
            'param_name' => 'show_banner2',
            'value' => array(
                esc_html__('Hide','sport')=>'',
                esc_html__('Show','sport')=>'show',

            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style6')
            ),
        ),
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image* (Required)', 'sport' ),
            'group' => esc_html__('Banner 2','sport'),
            'param_name' => 'image_b2',
            'description' => esc_html__('Select image from library.','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-6',
            'dependency'    =>array(
                'element'   =>'show_banner2',
                'value'     =>array('show')
            ),
        ),
        array(
            'type' => 'vc_link',
            'group' => esc_html__('Banner 2','sport'),
            'heading' => esc_html__( 'Add link image', 'sport' ),
            'param_name' => 'image_link_b2',
            'edit_field_class' => 'vc_column vc_col-sm-6',
            'dependency'    =>array(
                'element'   =>'show_banner2',
                'value'     =>array('show')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title', 'sport' ),
            'group' => esc_html__('Banner 2','sport'),
            'param_name' => 'title_b2',
            'admin_label' => true,
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'show_banner2',
                'value'     =>array('show')
            ),
        ),

        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'Add button', 'sport' ),
            'group' => esc_html__('Banner 2','sport'),
            'param_name' => 'button_b2',
            'description' => esc_html__('Enter link/URL.','sport'),
            'dependency'    =>array(
                'element'   =>'show_banner2',
                'value'     =>array('show')
            ),
        ),



        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add banner item', 'sport'),
            'param_name' => 'add_item_banner',
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Background Image* (Required)', 'sport' ),
                    'param_name' => 'bg_image',
                    'description' => esc_html__('Select image from library.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Add link background', 'sport' ),
                    'param_name' => 'bg_link',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Image gray effect ', 'sport' ),
                    'param_name' => 'effect-gray',
                    'value' => array(
                        esc_html__('No','sport') => '',
                        esc_html__('Yes','sport') => 'gray-image',
                    ),
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Animation image', 'sport' ),
                    'param_name' => 'animation_img',
                    'value' => array(
                        esc_html__('None','sport') => 'none-thumb',
                        esc_html__('Zoom rotate','sport') => 'zoom-rotate',
                        esc_html__('Zoom out','sport') => 'zoom-out',
                        esc_html__('Zoom','sport') => 'zoom-image',
                    ),
                    'description' => esc_html__( 'This allows you to change animation image.', 'sport' )
                ),
                array(
                    'type' => 'dropdown',
                    'admin_label' => true,
                    'heading' => esc_html__( 'Layout box', 'sport' ),
                    'param_name' => 'layout',
                    'value' => array(
                        esc_html__('Box text','sport')=>'text',
                        esc_html__('Box button','sport')=>'button',

                    ),
                    'description' => esc_html__( 'Select layout', 'sport' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                    'dependency'    =>array(
                        'element'   =>'layout',
                        'value'     =>array('text')
                    ),
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Description', 'sport' ),
                    'param_name' => 'desc',
                    'description' => esc_html__('Enter text.','sport'),
                    'dependency'    =>array(
                        'element'   =>'layout',
                        'value'     =>array('text')
                    ),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Add button', 'sport' ),
                    'param_name' => 'button',
                    'description' => esc_html__('Enter link/URL.','sport'),
                    'dependency'    =>array(
                        'element'   =>'layout',
                        'value'     =>array('button')
                    ),
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style3')
            ),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add banner item', 'sport'),
            'param_name' => 'add_item_banner_9',
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Background Image* (Required)', 'sport' ),
                    'param_name' => 'bg_image',
                    'description' => esc_html__('Select image from library.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Add link background', 'sport' ),
                    'param_name' => 'bg_link',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Description', 'sport' ),
                    'param_name' => 'desc',
                    'description' => esc_html__('Enter text.','sport'),

                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style9')
            ),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add banner item', 'sport'),
            'param_name' => 'add_item_banner5',
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Image* (Required)', 'sport' ),
                    'param_name' => 'bg_image',
                    'description' => esc_html__('Select image from library.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Add link Image', 'sport' ),
                    'param_name' => 'bg_link',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style5')
            ),
        ),
        array(
            'type' => 'textarea_html',
            'heading' => esc_html__( 'Content', 'sport' ),
            'param_name' => 'content',
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style5','style8')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Extra Class Name','sport'),
            'param_name' => 'extra_class',
            'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.','sport'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Position text",'sport'),
            'group' => esc_html__('Design Option','sport'),
            "param_name" => "position",
            'description' => esc_html__( 'Select position.', 'sport' ),
            'value' => array(
                esc_html__('Bottom','sport') => 'pos-bottom',
                esc_html__('Top','sport') => 'pos-top',
                esc_html__('Right','sport') => 'pos-right',
                esc_html__('Left','sport') => 'pos-left',
                esc_html__('Center - Center','sport') => 'pos-center',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2','style8')
            ),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Background animation",'sport'),
            'group' => esc_html__('Design Option','sport'),
            "param_name" => "bg_animation",
            'description' => esc_html__( 'Select animation.', 'sport' ),
            'value' => array(
                esc_html__('None','sport') => '',
                esc_html__('Zoom image','sport') => 'zoom-image',
                esc_html__('Line scale','sport') => 'line-scale',
                esc_html__('Zoom image and Line scale','sport') => 'zoom-image line-scale',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style8')
            ),
        ),

        array(
            'type' => 'colorpicker',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Text color', 'sport' ),
            'desc' => esc_html__( 'Select color', 'sport' ),
            'param_name' => 'text_color',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2','style3','style4','style5','style6','style7')
            ),
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Custom column Slider in (Display desktop)', 'sport' ),
            'param_name' => 'number_item_desktop',
            'value' => array(
                esc_html__('Default','sport')=>'',
                esc_html__('1 Column','sport')=>'1',
                esc_html__('2 Columns','sport')=>'2',
                esc_html__('3 Columns','sport')=>'3',
                esc_html__('4 Columns','sport')=>'4',
                esc_html__('5 Columns','sport')=>'5',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value' => array('style9')
            ),
            'description' => esc_html__( 'Select number column of slides to display (990px screen).', 'sport' )
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'sport'),
            'param_name' => 'image_size',
            'group' => esc_html__('Design Option','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
        ),
    )
));