<?php
/**
 * Created by PhpStorm.
 * User: 7uptheme
 * Date: 08/04/2017
 * Time: 10:37
 */
if(!function_exists('s7upf_vc_brand'))
{
    function s7upf_vc_brand($attr,$content = false)
    {
        $html = $itemscustom =  $navigation = $autoplay  = $image_size = $add_item_brand = '' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'itemscustom'      => '',
            'autoplay'      => 'true',
            'navigation'      => 'false',
            'add_item_brand'      => '',
        ),$attr));
        if(isset($add_item_brand))
            $data_item_brand = vc_param_group_parse_atts($add_item_brand);

        $html .= S7upf_Template::load_view('elements/brand',false,array(
            'data_item_brand' => $data_item_brand,
            'image_size' => $image_size,
            'autoplay' => $autoplay,
            'navigation' => $navigation,
        ));
        return $html;
    }
}
stp_reg_shortcode('s7upf_brand','s7upf_vc_brand');

vc_map(
    array(
        "name"      => esc_html__("SV Brand", 'sport'),
        "base"      => "s7upf_brand",
        "icon"      => "icon-st",
        "category"  => '7Up-theme',
        "params"    => array(
           /* array(
                'type' => 'dropdown',
                'admin_label' => true,
                'heading' => esc_html__( 'Style', 'sport' ),
                'param_name' => 'style',
                'value' => array(
                    esc_html__('Style 1 (Slider)','sport')=>'style1',
                    esc_html__('Style 2','sport')=>'style2',
                    esc_html__('Style 3 (Item)','sport')=>'style3',
                ),
                'description' => esc_html__( 'Select style', 'sport' )
            ),
            array(
                'type' => 'attach_image',
                'heading' => esc_html__( 'Image', 'sport' ),
                'param_name' => 'image',
                'description' => esc_html__('Select image from library.','sport'),
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style3')
                ),
            ),
            array(
                'type' => 'vc_link',
                'heading' => esc_html__( 'Link item', 'sport' ),
                'param_name' => 'link',
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style3')
                ),
            ),*/
            array(
                'type' => 'param_group',
                'heading' => esc_html__('Add brand item', 'sport'),
                'param_name' => 'add_item_brand',
                'value' =>'',
                'params' => array(
                    array(
                        'type' => 'attach_image',
                        'heading' => esc_html__( 'Image', 'sport' ),
                        'param_name' => 'image',
                        'description' => esc_html__('Select image from library.','sport'),
                    ),
                    array(
                        'type' => 'vc_link',
                        'heading' => esc_html__( 'Link item', 'sport' ),
                        'param_name' => 'link',
                    ),

                ),
                'callbacks' => array(
                    'after_add' => 'vcChartParamAfterAddCallback'
                ),
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Custom image size', 'sport'),
                'param_name' => 'image_size',
                'edit_field_class' => 'vc_column vc_col-sm-12',
                'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
            ),

            array(
                'type' => 'textfield',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__( 'Custom number item by device', 'sport' ),
                'param_name' => 'itemscustom',
                'std' => '[0,2],[480,3],[768,4],[990,5],[1200,6]',
                'description' => esc_html__( 'EX: [0,2],[480,3],[768,4],[990,5],[1200,6]', 'sport' )
            ),
            array(
                'type' => 'dropdown',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__( 'Navigation slider', 'sport' ),
                'param_name' => 'navigation',
                'value' => array(
                    esc_html__('Hide','sport') => 'false',
                    esc_html__('Show','sport') => 'true',
                ),
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style1')
                ),
            ),
            array(
                'type' => 'dropdown',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__( 'Autoplay', 'sport' ),
                'param_name' => 'autoplay',
                'value' => array(
                    esc_html__('On','sport') => 'true',
                    esc_html__('Off','sport') => 'false',
                ),
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style1')
                ),
            ),
        )
    )
);