<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 24/04/2017
 * Time: 17:37
 */
if(!function_exists('s7upf_vc_category_box'))
{
    function s7upf_vc_category_box($attr,$content = false)
    {
        $html = $style = $image_bg =$autoplay= $data_category_info =$pagination=$navigation=$number_item_desktop = $add_category_info = $desc = $link= $title = $el_class = $image_size = '' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'image_bg'      => '',
            'desc'      => '',
            'title'      => '',
            'el_class'      => '',
            'image_size '      => '',
            'link'      => '',
            'add_category_info'      => '',
            'add_category_info2'      => '',
            'number_item_desktop'      => '',
            'navigation'      => 'true',
            'pagination'      => 'false',
            'autoplay'      => 'true',
        ),$attr));
        if(isset($add_category_info))
            $data_category_info = vc_param_group_parse_atts($add_category_info);
        if(isset($add_category_info2))
            $data_category_info2= vc_param_group_parse_atts($add_category_info2);
        $html .= S7upf_Template::load_view('elements/category-box',false,array(
            'style' => $style,
            'image_bg' => $image_bg,
            'desc' => $desc,
            'title' => $title,
            'el_class' => $el_class,
            'link' => $link,
            'image_size' => $image_size,
            'data_category_info' => $data_category_info,
            'data_category_info2' => $data_category_info2,
            'number_item_desktop' => $number_item_desktop,
            'navigation' => $navigation,
            'pagination' => $pagination,
            'autoplay' => $autoplay,
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_category_box','s7upf_vc_category_box');
add_action( 'vc_before_init_base','s7upf_sv_add_category_product_element',10,100 );
if ( ! function_exists( 's7upf_sv_add_category_product_element' ) ) {
    function s7upf_sv_add_category_product_element()
    {
        vc_map(array(
            "name" => esc_html__("SV Category Box", 'sport'),
            "base" => "s7upf_category_box",
            "icon" => "icon-st",
            "category" => '7Up-theme',
            "params" => array(
                array(
                    'type' => 'dropdown',
                    'admin_label' => true,
                    'heading' => esc_html__('Style', 'sport'),
                    'param_name' => 'style',
                    'value' => array(
                        esc_html__('Style 1', 'sport') => 'style1',
                        esc_html__('Style 2', 'sport') => 'style2',
                        esc_html__('Style 3', 'sport') => 'style3',
                        esc_html__('Style 4', 'sport') => 'style4',
                    ),
                    'description' => esc_html__('Select style', 'sport')
                ),
                array(
                    'type' => 's7up_image_check',
                    'param_name' => 'style_category_box',
                    'heading' => '',
                    'element' => 'style',
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Title element', 'sport'),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.', 'sport'),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style2')
                    ),
                ),
                array(
                    'type' => 'param_group',
                    'heading' => esc_html__('Add category item', 'sport'),
                    'param_name' => 'add_category_info',
                    'value' => '',
                    'params' => array(
                        array(
                            'type' => 'attach_image',
                            'heading' => esc_html__('Image', 'sport'),
                            'param_name' => 'image',
                            'description' => esc_html__('Select image from library.', 'sport'),
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__('Title', 'sport'),
                            'param_name' => 'title',
                            'admin_label' => true,
                            'description' => esc_html__('Enter text.', 'sport'),
                        ),
                        array(
                            'type' => 'vc_link',
                            'heading' => esc_html__('Link/URL', 'sport'),
                            'param_name' => 'link',
                            'description' => esc_html__('Enter Link/URL.', 'sport'),
                        ),
                    ),
                    'callbacks' => array(
                        'after_add' => 'vcChartParamAfterAddCallback'
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1')
                    ),
                ),
                array(
                    'type' => 'param_group',
                    'heading' => esc_html__('Add category item', 'sport'),
                    'param_name' => 'add_category_info2',
                    'value' => '',
                    'params' => array(
                        array(
                            'type' => 'attach_image',
                            'heading' => esc_html__('Image', 'sport'),
                            'param_name' => 'image',
                            'description' => esc_html__('Select image from library.', 'sport'),
                        ),

                        array(
                            'type' => 'checkbox',
                            'holder' => 'div',
                            'heading' => esc_html__('Select Categories', 'sport'),
                            'param_name' => 'product_category',
                            'description' => esc_html__('Check the box to choose category', 'sport'),
                            'value' => s7upf_list_taxonomy('product_cat', false),
                            'edit_field_class' => 's7upf-category-option vc_col-sm-12',
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__('Title', 'sport'),
                            'param_name' => 'title',
                            'admin_label' => true,
                            'description' => esc_html__('Enter text.', 'sport'),
                        ),
                        array(
                            'type' => 'vc_link',
                            'heading' => esc_html__('Link/URL', 'sport'),
                            'param_name' => 'link',
                            'description' => esc_html__('Enter Link/URL.', 'sport'),
                        ),
                    ),
                    'callbacks' => array(
                        'after_add' => 'vcChartParamAfterAddCallback'
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style2','style3','style4')
                    ),
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'sport'),
                    "param_name" => "el_class",
                    'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport'),
                ),
                array(
                    'type' => 'dropdown',
                    'admin_label' => true,
                    'group' => esc_html__('Design Option', 'sport'),
                    'heading' => esc_html__('Custom column Slider in (Display desktop)', 'sport'),
                    'param_name' => 'number_item_desktop',
                    'value' => array(
                        esc_html__('Default', 'sport') => '',
                        esc_html__('1 Column', 'sport') => '1',
                        esc_html__('2 Columns', 'sport') => '2',
                        esc_html__('3 Columns', 'sport') => '3',
                        esc_html__('4 Columns', 'sport') => '4',
                        esc_html__('5 Columns', 'sport') => '5',
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4')
                    ),
                    'description' => esc_html__('Select number column of slides to display (990px screen).', 'sport')
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option', 'sport'),
                    'heading' => esc_html__('Navigation silder', 'sport'),
                    'param_name' => 'navigation',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3')
                    ),
                    'value' => array(
                        esc_html__('On', 'sport') => 'true',
                        esc_html__('Off', 'sport') => 'false',

                    ),
                    'description' => esc_html__('This allows you to enable or disable navigation of slider.', 'sport')
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option', 'sport'),
                    'heading' => esc_html__('Pagination silder', 'sport'),
                    'param_name' => 'pagination',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4')
                    ),
                    'value' => array(
                        esc_html__('Off', 'sport') => 'false',
                        esc_html__('On', 'sport') => 'true',

                    ),
                    'description' => esc_html__('This allows you to enable or disable pagination of slider.', 'sport')
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option', 'sport'),
                    'heading' => esc_html__('Autoplay slider', 'sport'),
                    'param_name' => 'autoplay',
                    'description' => esc_html__('This allows you to enable or disable autoplay of slider.', 'sport'),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4')
                    ),
                    'value' => array(
                        esc_html__('On', 'sport') => 'true',
                        esc_html__('Off', 'sport') => 'false',
                    ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Image Size', 'sport'),
                    'param_name' => 'image_size',
                    'group' => esc_html__('Design Option', 'sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                    'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
                ),
            )
        ));
    }
}