<?php
/**
 * Created by Sublime text 2.
 * User: 7uptheme
 * Date: 12/08/15
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_logo_header'))
{
    function s7upf_vc_logo_header($attr)
    {
        $html = $logo_img = $alignment = $el_class= '';
        extract(shortcode_atts(array(
            'logo_img'      => '',
            'alignment'      => 'text-center',
            'el_class'      => '',
        ),$attr));
        $html .= S7upf_Template::load_view('elements/logo-header',false,array(
            'logo_img'  => $logo_img,
            'alignment'  => $alignment,
            'el_class'  => $el_class,
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_logo_header','s7upf_vc_logo_header');
$check_add = '';
if(isset($_GET['return'])) $check_add = $_GET['return'];
if(empty($check_add)) add_action( 'vc_before_init_base','s7upf_add_admin_logo_header',10,100 );
if ( ! function_exists( 's7upf_add_admin_logo_header' ) ) {
    function s7upf_add_admin_logo_header(){
        vc_map( array(
            "name"      => esc_html__("SV Logo", 'sport'),
            "base"      => "s7upf_logo_header",
            "icon"      => "icon-st",
            "category"  => '7Up-theme',
            "params"    => array(
                array(
                    "type" => "attach_image",
                    'admin_label' => true,
                    "heading" => esc_html__("Logo image",'sport'),
                    "param_name" => "logo_img",
                    'description' => esc_html__( 'Select image from library', 'sport' )
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Logo alignment",'sport'),
                    "param_name" => "alignment",
                    'admin_label' => true,
                    'description' => esc_html__( 'Select image alignment.', 'sport' ),
                    'value' => array(
                        esc_html__('Center','sport') => 'text-center',
                        esc_html__('Left','sport') => 'text-left',
                        esc_html__('Right','sport') => 'text-right',
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name",'sport'),
                    "param_name" => "el_class",
                    'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
                ),
            )
        ));
    }
}
