<?php
/**
 * Created by Sublime text 2.
 * User: 7uptheme
 * Date: 18/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_menu'))
{
    function s7upf_vc_menu($attr,$content = false)
    {
        $html = $text_color = $bg_color= $show_mini_cart =$image_cart=$menu_scroll_fixed = $cats= $menu =$cart_box= $search_live =  $show_search = $style  = $menu_position = '' ;
        extract(shortcode_atts(array(
            'menu'      => 'primary',
            'style'      => 'style1',
            'menu_position'      => 'text-center',
            'cart_box'      => 'show',
            'show_search'      => 'show',
            'search_live'      => '',
            'menu_scroll_fixed'      => 'off',
            'cats'      => '',
            'show_mini_cart'      => 'on',
            'image_cart'      => '',
            'link_item'      => '',
            'text_color'      => '',
            'bg_color'      => '',

        ),$attr));

        $logo = $scroll_fixed = $class_color = $class_color_menu='';
        if($menu_scroll_fixed == 'on') $scroll_fixed = 'header-ontop';
        if(isset($link_item))
            $data_link_item = vc_param_group_parse_atts($link_item);
        switch ($style){
            case 'style1':
                $class_color .= ' '.S7upf_Assets::build_css('background: '.$bg_color.';',' .nav-search');
                $html .= '<div class="header-nav element-menu-'.$style.' '.$scroll_fixed.' '.$class_color.'"><div class="mb-container"><div class="nav-search"><div class="row"><div class="col-md-12 col-sm-12 col-xs-12">';

                $html .= '<nav class="main-nav main-nav1">';
                ob_start();
                if(!empty($menu)){
                    wp_nav_menu( array(
                        'menu' => $menu,
                        'container'=>false,
                        'menu_class'=>'list-none',
                        'walker'=>new S7upf_Walker_Nav_Menu(),
                    ));
                }else{
                    wp_nav_menu( array(
                        'theme_location' => 'primary',
                        'container'=>false,
                        'menu_class'=>'list-none',
                        'walker'=>new S7upf_Walker_Nav_Menu(),
                    ));
                }
                $html .= @ob_get_clean();
                $html .= '<a href="#" class="toggle-mobile-menu"><span></span></a></nav>';
                if('show' === $show_search)
                $html .= S7upf_Template::load_view('elements/menu-wrap-search',false, array(
                    'show_search' => $show_search,
                    'search_live' => $search_live,
                    'cats' => $cats,
                    'cart_box' => $cart_box,
                    'content' => $content,
                ));
                $html .= '</div></div></div></div></div>';
                break;
            case 'style2':
                $class_color .= ' '.S7upf_Assets::build_css('color: '.$text_color.';' ,' .main-nav.main-nav2 > ul > li > a');
                $class_color .= ' '.S7upf_Assets::build_css('color: '.$text_color.';' ,' .cart-account .white');
                $class_color .= ' '.S7upf_Assets::build_css('background: '.$bg_color.';');

                $html .= '<div class="header-nav8 element-menu-'.$style.' '.$scroll_fixed.' '.$class_color.'"><div class="mb-container"><div class="nav-cart"><div class="row"><div class="col-md-12">';
                $html .= '<nav class="main-nav main-nav2">';
                ob_start();
                if('primary'===$menu){
                    wp_nav_menu( array(
                        'theme_location' => 'primary',
                        'container'=>false,
                        'menu_class'=>'list-none',
                        'walker'=>new S7upf_Walker_Nav_Menu(),
                    ));
                }else{
                    wp_nav_menu( array(
                        'menu' => $menu,
                        'container'=>false,
                        'menu_class'=>'list-none',
                        'walker'=>new S7upf_Walker_Nav_Menu(),
                    ));
                }
                $html .= @ob_get_clean();
                $html .= '<a href="#" class="toggle-mobile-menu"><span></span></a></nav>';
                $html .= S7upf_Template::load_view('elements/menu-wrap-cart',false, array(
                    'show_mini_cart' => $show_mini_cart,
                    'image_cart' => $image_cart,
                    'data_link_item' => $data_link_item,
                ));
                $html .= '</div></div></div></div></div>';
                break;
            case 'style3':
                $class_color .= ' '.S7upf_Assets::build_css('background: '.$bg_color.';',' .nav-search');
                $html .= '<div class="header-nav5 element-menu-'.$style.' '.$scroll_fixed.' '.$class_color.'"><div class="container"><div class="nav-search5"><div class="row"><div class="col-md-12 col-sm-12 col-xs-12">';

                $html .= '<nav class="main-nav main-nav1">';
                ob_start();
                if('primary'===$menu){
                    wp_nav_menu( array(
                        'theme_location' => 'primary',
                        'container'=>false,
                        'menu_class'=>'list-none',
                        'walker'=>new S7upf_Walker_Nav_Menu(),
                    ));
                }else{
                    wp_nav_menu( array(
                        'menu' => $menu,
                        'container'=>false,
                        'menu_class'=>'list-none',
                        'walker'=>new S7upf_Walker_Nav_Menu(),
                    ));
                }
                $html .= @ob_get_clean();
                $html .= '<a href="#" class="toggle-mobile-menu"><span></span></a></nav>';
                if('show' === $show_search)
                    $html .= S7upf_Template::load_view('elements/menu-wrap-search',false, array(
                        'show_search' => $show_search,
                        'search_live' => $search_live,
                        'cats' => $cats,
                        'cart_box' => $cart_box,
                        'content' => $content,
                    ));
                $html .= '</div></div></div></div></div>';
                break;
            default :
                $class_color .= ' '.S7upf_Assets::build_css('background: '.$bg_color.';','.header-nav7');
                $class_color_menu .= S7upf_Assets::build_css('color: '.$text_color.';','  > ul > li > a');
                $class_color .= ' '.S7upf_Assets::build_css('color: '.$text_color.';',' .search-label');
                $html .= '<div class="header-nav5 header-nav7 element-menu-'.$style.' '.$scroll_fixed.' '.$class_color.'"><div class="container"><div class="nav-search7"><div class="row"><div class="col-md-12 col-sm-12 col-xs-12">';

                $html .= '<nav class="main-nav main-nav7 '.$class_color_menu.'">';
                ob_start();
                if('primary'===$menu){
                    wp_nav_menu( array(
                        'theme_location' => 'primary',
                        'container'=>false,
                        'menu_class'=>'list-none',
                        'walker'=>new S7upf_Walker_Nav_Menu(),
                    ));
                }else{
                    wp_nav_menu( array(
                        'menu' => $menu,
                        'container'=>false,
                        'menu_class'=>'list-none',
                        'walker'=>new S7upf_Walker_Nav_Menu(),
                    ));
                }
                $html .= @ob_get_clean();
                $html .= '<a href="#" class="toggle-mobile-menu"><span></span></a></nav>';
                if('show' === $show_search)
                    $html .= S7upf_Template::load_view('elements/menu-wrap-search',false, array(
                        'show_search' => $show_search,
                        'search_live' => $search_live,
                        'cats' => $cats,
                        'cart_box' => $cart_box,
                        'content' => $content,
                    ));
                $html .= '</div></div></div></div></div>';
                break;
        }
        return $html;
    }
}

stp_reg_shortcode('s7upf_menu','s7upf_vc_menu');

$check_add = '';
if(isset($_GET['return'])) $check_add = $_GET['return'];
if(empty($check_add)) add_action( 'vc_before_init_base','s7upf_add_admin_menu',10,100 );
if ( ! function_exists( 's7upf_add_admin_menu' ) ) {
    function s7upf_add_admin_menu(){
        vc_map(array(
            "name" => esc_html__("SV Menu", 'sport'),
            "base" => "s7upf_menu",
            "icon" => "icon-st",
            "category" => '7Up-theme',
            "params" => array(
                array(
                    'type' => 'dropdown',
                    'admin_label' => true,
                    'heading' => esc_html__('Menu name', 'sport'),
                    'param_name' => 'menu',
                    'value' => s7upf_list_menu_name(),
                    'description' => esc_html__('Select Menu name to display', 'sport')
                ),
                array(
                    'type' => 'dropdown',
                    'admin_label' => true,
                    'heading' => esc_html__('Style menu', 'sport'),
                    'param_name' => 'style',
                    'value' => array(
                        esc_html__('Style 1 (Default)', 'sport') => 'style1',
                        esc_html__('Style 2', 'sport') => 'style2',
                        esc_html__('Style 3', 'sport') => 'style3',
                        esc_html__('Style 4', 'sport') => 'style4',
                    ),
                    'description' => esc_html__('Select style', 'sport')
                ),
                array(
                    'type' => 's7up_image_check',
                    'param_name' => 'style_menu',
                    'heading' => '',
                    'element' => 'style',
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Menu scroll fixed top', 'sport'),
                    'param_name' => 'menu_scroll_fixed',
                    'value' => array(
                        esc_html__('Off', 'sport') => 'off',
                        esc_html__('On', 'sport') => 'on',
                    ),
                    'edit_field_class' => 'vc_col-sm-12 vc_column',
                ),

                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Show box search', 'sport'),
                    'param_name' => 'show_search',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('On', 'sport') => 'on',
                        esc_html__('Off', 'sport') => 'off',
                    ),
                    'edit_field_class' => 'vc_col-sm-12 vc_column',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style3')
                    ),
                ),
                array(
                    'type' => 'checkbox',
                    'heading' => esc_html__('Search live', 'sport'),
                    'param_name' => 'search_live',
                    'edit_field_class' => 'vc_col-sm-12 vc_column',
                    'dependency' => array(
                        'element' => 'show_search',
                        'value' => array('on')
                    ),
                ), array(
                    'holder' => 'div',
                    'heading' => esc_html__('Product Categories', 'sport'),
                    'type' => 'autocomplete',
                    'param_name' => 'cats',
                    'settings' => array(
                        'multiple' => true,
                        'sortable' => true,
                        'values' => s7upf_get_product_taxonomy(),
                    ),
                    'save_always' => true,
                    'description' => esc_html__('List of product categories', 'sport'),
                    'dependency' => array(
                        'element' => 'show_search',
                        'value' => array('on')
                    ),
                ),

                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Show cart box', 'sport'),
                    'param_name' => 'cart_box',
                    'value' => array(
                        esc_html__('Show', 'sport') => 'show',
                        esc_html__('Hide', 'sport') => 'hide',
                    ),
                    'dependency' => array(
                        'element' => 'show_search',
                        'value' => array('on')
                    ),
                ),
                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__( 'Show mini cart', 'sport' ),
                    'param_name'  => 'show_mini_cart',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('On','sport') => 'on',
                        esc_html__('Off','sport') => 'off',
                    ),
                    'edit_field_class'=>'vc_col-sm-12 vc_column',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style2')
                    ),
                ),
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Custom image icon cart (Size: 28x26 px)', 'sport' ),
                    'param_name' => 'image_cart',
                    'description' => esc_html__('Select image from library.','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                    'dependency' => array(
                        'element' => 'show_mini_cart',
                        'value' => array('on')
                    ),
                ),
                array(
                    'type' => 'param_group',
                    'heading' => esc_html__('Add link item', 'sport'),
                    'param_name' => 'link_item',
                    'description' => esc_html__( 'Allows you to create link lists', 'sport' ),
                    'value' =>'',
                    'params' => array(
                        array(
                            'type' => 'vc_link',
                            'admin_label' => true,
                            'heading' => esc_html__( 'Add link', 'sport' ),
                            'param_name' => 'link',
                        ),
                        array(
                            'type' => 'attach_image',
                            'admin_label' => true,
                            'heading' => esc_html__( 'Add icon image', 'sport' ),
                            'param_name' => 'icon_image',
                        ),

                    ),
                    'callbacks' => array(
                        'after_add' => 'vcChartParamAfterAddCallback'
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style2')
                    ),
                ),
                array(
                    'type' => 'textarea_html',
                    'group' => esc_html__('Add content','sport'),
                    'heading' => esc_html__( 'Content', 'sport' ),
                    'param_name' => 'content',
                    'description' => esc_html__( 'Enter text', 'sport' ),
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value'     =>array('style1','style3')
                    ),
                ),
                array(
                    'type' => 'colorpicker',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Background', 'sport' ),
                    'param_name' => 'bg_color',
                    'description' => esc_html__( 'Select color', 'sport' ),
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value'     =>array('style1','style2','style3','style4')
                    ),
                ),
                array(
                    'type' => 'colorpicker',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Color text', 'sport' ),
                    'param_name' => 'text_color',
                    'description' => esc_html__( 'Select color', 'sport' ),
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value'     =>array('style2','style4')
                    ),
                ),
            )
        ));
    }
}

add_action( 'wp_ajax_live_search', 's7upf_live_search' );
add_action( 'wp_ajax_nopriv_live_search', 's7upf_live_search' );
if(!function_exists('s7upf_live_search')){
    function s7upf_live_search() {
        $key = $_POST['key'];
        $post_type = $_POST['post_type'];
        $cat = $_POST['cat'];
        $trim_key = trim($key);
        $args = array(
            'post_type' => $post_type,
            's'         => $key,
        );
        if(!empty($cat)){
            $args['tax_query'][] = array(
                'taxonomy' => 'product_cat',
                'field' => 'slug',
                'terms' => $cat,
            );
        }
        $query = new WP_Query( $args );
        if( $query->have_posts() && !empty($key) && !empty($trim_key)){
            while ( $query->have_posts() ) : $query->the_post();
                global $product;
                $post_object = get_post( $product->get_id() );
                setup_postdata( $GLOBALS['post'] =& $post_object );
                echo    '<div class="item-search-pro">
                            <div class="search-ajax-thumb product-thumb">
                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                    '.get_the_post_thumbnail(get_the_ID(),array(70,70)).'
                                </a>
                               
                            </div>
                            <div class="search-ajax-title product-info">
                                <h3 class="product-title title14">
                                    <a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a>
                                </h3>
                                <div class="product-price">
                                   '.$product->get_price_html().'
                                </div>
                            </div>
                            
                        </div>';
            endwhile;
        }
        else{
            echo '<p class="text-center">'.esc_html__("No any results with this keyword.",'sport').'</p>';
        }
        wp_reset_postdata();
    }
}