<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 6/13/17
 * Time: 1:46 PM
 */
if ( !class_exists('WC_Product') ) {
    return;
}
if(!function_exists('s7upf_vc_products'))
{
    function s7upf_vc_products($attr,$content = false)
    {
        $html = $style = $word_excerpt=$show_date_sale=$image_banner=$desc= $view_type=$day_new_product=$number_row=$show_new_label =$show_sale_label = $show_discount_time =$pagination_slider= $navigation=$class = $min_height = $orderby_shop = $order_by_show =$extra_class =$number_item_desktop_tab = $word_excerpt_tab = $style_layout = $add_item_tab = $data_item_tab = $position_tab_active = $tab_all = $pagination = $title = $btn_link = $animation_img = $number_item_product_col = $secondary_color = $class_secondary_color = $col_layout = $main_color = $class_main_color = $number_item_desktop = $autoplay = $product_number =$order = $image_size = $order_by =$product_category = $select_tab = $pro_sale=  $filter_type = $pro_feature = $max_price = $min_price = '';
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'product_number'     => '12',
            'order_by' => 'date',
            'product_category' => '',
            'order' => 'DESC',
            'min_price'    => '',
            'max_price'    => '',
            'filter_type'    => '',
            'pro_feature'    => '',
            'pro_sale'    => '',
            'select_tab'    => '',
            'image_size'     => '',
            'word_excerpt'     => '30',
            'autoplay'     => 'true',
            'navigation'     => 'true',
            'pagination_slider'     => 'false',
            'number_item_desktop'     => '',
            'col_layout'     => '',
            'secondary_color'     => '',
            'animation_img'     => 'animation_img_none',
            'number_item_product_col'     => '',
            'title'     => '',
            'desc'     => '',
            'btn_link'     => '', //style 4
            'pagination'     => '',
            'position_tab_active'     => 1, //style 12
            'tab_all'     => '', //style 12
            'add_item_tab'     => '', //style 13
            'style_layout'     => 'style1', //style 13
            'number_item_desktop_tab'     => '', //style 13 - layout 2
            'extra_class'     => '',
            'order_by_show'     => 'off', //style 1
            'min_height'     => '', //style 1
            'show_discount_time'     => 'false', //style 1
            'show_sale_label'     => 'false',
            'show_new_label'     => 'false',
            'number_row'     => '',
            'day_new_product'     => '1',
            'view_type'     => '',
            'image_banner'     => '',
            'show_date_sale'     => 'false',

        ),$attr));
        $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
        if(isset($_GET['number'])){
            $product_number = $_GET['number'];
        }
        if(!empty($add_item_tab))
            $data_item_tab = vc_param_group_parse_atts($add_item_tab);
        if ($order_by == 'popularity') {
            $args = array(
                'post_type' => 'product',
                'meta_key' => 'total_sales',
                'orderby' => 'meta_value_num',
                'post_status'    => 'publish',
                'paged'             => $paged,
                'order' => $order,
                'posts_per_page' => $product_number
            );
        } elseif ($order_by == 'rating') {
            $args = array(
                'post_type' => 'product',
                'post_status'    => 'publish',
                'posts_per_page' => $product_number,
                'meta_key' => '_wc_average_rating',
                'orderby'        => 'meta_value_num',
                'paged'             => $paged,
                'order'          => $order,
                'meta_query'     => WC()->query->get_meta_query(),
                'tax_query'      => WC()->query->get_tax_query(),
            );
            $args['meta_query'] = WC()->query->get_meta_query();
        } elseif ($order_by == 'mostview'){
            $args = array(
                'post_type' => 'product',
                'post_status'    => 'publish',
                'posts_per_page' => $product_number,
                'meta_key'           => 'post_views',
                'order'             => $order,
                'orderby'             => 'meta_value_num',
            );
        } elseif ($order_by == 'price'){
            $args['orderby']  = "meta_value_num ID";
            $args['order']    = $order;
            $args['meta_key'] = '_price';
        }  else {
            $args = array(
                'post_type' => 'product',
                'post_status'    => 'publish',
                'orderby' => $order_by,
                'order' => $order,
                'posts_per_page' => $product_number,
                'paged'             => $paged,
            );
        }
        if(isset($_GET['orderby'])){
            $orderby_shop = $_GET['orderby'];
        }
        switch ($orderby_shop) {
            case 'price' :
                $args['orderby']  = "meta_value_num ID";
                $args['order']    = 'ASC';
                $args['meta_key'] = '_price';
                break;

            case 'price-desc' :
                $args['orderby']  = "meta_value_num ID";
                $args['order']    = 'DESC';
                $args['meta_key'] = '_price';
                break;

            case 'popularity' :
                $args['meta_key'] = 'total_sales';
                $args['order']    = 'DESC';
                add_filter( 'posts_clauses', array( WC()->query, 'order_by_popularity_post_clauses' ) );
                break;

            case 'rating' :
                $args['meta_key'] = '_wc_average_rating';
                $args['orderby'] = 'meta_value_num';
                $args['order'] = 'DESC';
                $args['meta_query'] = WC()->query->get_meta_query();
                $args['tax_query'][] = WC()->query->get_tax_query();
                break;

            case 'date':
                $args['orderby'] = 'date';
                $args['order'] = 'DESC';
                break;

            case 'mostview':
                $args = array(
                    'post_type' => 'product',
                    'post_status'    => 'publish',
                    'posts_per_page' => $product_number,
                    'meta_key'           => 'post_views',
                    'order'             => 'DESC',
                    'orderby'             => 'meta_value_num',
                );
                break;

            case 'rand':
                $args = array(
                    'post_type' => 'product',
                    'post_status'    => 'publish',
                    'orderby' => 'rand',
                    'posts_per_page' => $product_number,
                    'paged'             => $paged,
                );
                break;

            case 'author':
                $args = array(
                    'post_type' => 'product',
                    'post_status'    => 'publish',
                    'orderby' => 'author',
                    'posts_per_page' => $product_number,
                    'paged'             => $paged,
                );
                break;

            case 'comment_count':
                $args = array(
                    'post_type' => 'product',
                    'post_status'    => 'publish',
                    'orderby' => 'comment_count',
                    'posts_per_page' => $product_number,
                    'paged'             => $paged,
                );
                break;

            case 'title':
                $args = array(
                    'post_type' => 'product',
                    'post_status'    => 'publish',
                    'orderby' => 'title',
                    'order' => 'ASC',
                    'posts_per_page' => $product_number,
                    'paged'             => $paged,
                );
                break;

            default:
                $args= $args;
                break;
        }

        $attributes = wc_get_attribute_taxonomies();
        if(!empty($attributes)) {
            foreach ($attributes as $attribute) {
                if(isset($_GET['filter_'.$attribute->attribute_name])){
                    $filter = $_GET['filter_'.$attribute->attribute_name];
                    if(!empty($filter)){
                        $args['tax_query'][] = array(
                            'taxonomy' => 'pa_'.$attribute->attribute_name,
                            'field' => 'slug',
                            'terms' => $filter,
                            'operator' 		=> 'IN'
                        );
                    }
                }
            }
        }
        $min_price=0; $max_price=999999999;

        if(isset($_GET['min_price']) && isset($_GET['max_price'])){
            $min_price=$_GET['min_price'];  $max_price=$_GET['max_price'];
            if($max_price > $min_price){
                $args['meta_query'][]=array(
                    'key' => '_price',
                    'value' => array($min_price, $max_price),
                    'compare' => 'BETWEEN',
                    'type' => 'NUMERIC'
                );
            }
        }

// filter by category
        if(!empty($_GET['product_cat'])) $product_category= $_GET['product_cat'];
        if (!empty($product_category)) {
            $list_cat = explode(",", $product_category);
            if ($list_cat[0] != '') {
                $args['tax_query'][] = array(
                    'taxonomy' => 'product_cat',
                    'field' => 'slug',
                    'terms' => $list_cat,
                );
            }
        }

// Filter product by feature
        if ($pro_feature == 'yes') {
            $args['tax_query'][] = array(
                'taxonomy' => 'product_visibility',
                'field'    => 'name',
                'terms'    => 'featured',
                'operator' => 'IN',
            );
        }

//filter by pride
        $arr_post_in = array();
        if ($filter_type == 'price') {
            $arr_price = s7upf_price_filter($min_price, $max_price);
            if(count($arr_price)>0)
                $arr_post_in = array_merge($arr_post_in, $arr_price);

        }
        if ($pro_sale == 'yes') {

            if(count($arr_post_in)>0  or $filter_type == 'price') {
                $arr_post_in = array_intersect($arr_post_in, wc_get_product_ids_on_sale());

            }else{
                $arr_post_in = array_merge($arr_post_in, wc_get_product_ids_on_sale());
            }
        }
        if ($filter_type == 'browse') {
            if (isset($_COOKIE['sv_pro_cookie'])) {
                $pro_cookie = explode(',', $_COOKIE['sv_pro_cookie']);
                if (count($pro_cookie) > 0 ) {
                    if(count($arr_post_in)>0 or $pro_sale == 'yes' )
                        $arr_post_in = array_intersect($arr_post_in, $pro_cookie);
                    else
                        $arr_post_in = array_merge($arr_post_in, $pro_cookie);
                } else {
                    $html .= esc_html__('You have not viewed any products.', 'sport');
                    wp_reset_postdata();
                    return $html;
                }
            } else {
                $html .= esc_html__('You have not viewed any products.', 'sport');
                wp_reset_postdata();
                return $html;
            }
        }

        if(($filter_type == 'price' or $pro_sale == 'yes' or $filter_type == 'browse') and count($arr_post_in) < 1 ){
            $arr_post_in[0] = '-1';
            $args['post__in'] = array_unique($arr_post_in);
        }else{
            $args['post__in'] = array_unique($arr_post_in);
        }

        $pro_query = new WP_Query($args);
        $default_image = get_template_directory_uri().'/assets/images/placeholder.png';
        //Check style
        $html .= S7upf_Template::load_view('elements/products/product', $style, array(
            'style' => $style,
            'image_size' => $image_size,
            'pro_query' => $pro_query,
            'word_excerpt' => $word_excerpt,//style 1
            'default_image' => $default_image,
            'autoplay' => $autoplay,
            'number_item_desktop' => $number_item_desktop,
            'col_layout' => $col_layout,
            'class_main_color' => $class_main_color,
            'class_secondary_color' => $class_secondary_color,
            'animation_img' => $animation_img,
            'number_item_product_col' => $number_item_product_col,
            'title' => $title,
            'desc' => $desc,
            'btn_link' => $btn_link,
            'pagination' => $pagination,
            'paged'        => $paged,
            'product_category'        => $product_category,
            'args'        => $args, //style 12
            'position_tab_active'        => $position_tab_active,
            'tab_all'        => $tab_all,
            'data_item_tab'        => $data_item_tab,
            'style_layout'        => $style_layout,
            'number_item_desktop_tab'        => $number_item_desktop_tab,
            'extra_class'        => $extra_class,
            'orderby_shop'        => $orderby_shop,
            'order_by_show'        => $order_by_show,
            'class'        => $class,
            'navigation'        => $navigation,
            'pagination_slider'        => $pagination_slider,
            'show_discount_time'        => $show_discount_time,
            'show_sale_label'        => $show_sale_label,
            'show_new_label'        => $show_new_label,
            'number_row'        => $number_row,
            'day_new_product'        => $day_new_product,
            'view_type'        => $view_type,
            'image_banner'        => $image_banner,
            'show_date_sale'        => $show_date_sale,
        ));
        wp_reset_postdata();
        return $html;
    }
}
stp_reg_shortcode('s7upf_products','s7upf_vc_products');
add_action( 'vc_before_init_base','s7upf_sv_add_product_element',10,100 );
if ( ! function_exists( 's7upf_sv_add_product_element' ) ) {
    function s7upf_sv_add_product_element()
    {
        vc_map(array(
            'name' => esc_html__('SV Products', 'sport'),
            'base' => 's7upf_products',
            'category' => '7Up-theme',
            'icon' => 'icon-st',
            'params' => array(
                array(
                    'type' => 'dropdown',
                    'admin_label' => true,
                    'heading' => esc_html__('Style element', 'sport'),
                    'param_name' => 'style',
                    'description' => esc_html__('Select style', 'sport'),
                    'value' => array(
                        esc_html__('Style 1 (Grid default)', 'sport') => 'style1',
                        esc_html__('Style 2 (List default)', 'sport') => 'style2',
                        esc_html__('Style 3 (Slider)', 'sport') => 'style3',
                        esc_html__('Style 4 (Slider)', 'sport') => 'style4',
                        esc_html__('Style 5 (Slider)', 'sport') => 'style5',
                        esc_html__('Style 6 (Slider)', 'sport') => 'style6',
                        esc_html__('Style 7 (Tab)', 'sport') => 'style7',
                        esc_html__('Style 8 (Tab)', 'sport') => 'style8',
                        esc_html__('Style 9 (Tab)', 'sport') => 'style9',
                        esc_html__('Style 10 (Tab)', 'sport') => 'style10',
                        esc_html__('Style 11 (Tab)', 'sport') => 'style11',
                        esc_html__('Style 12 (Mega menu)', 'sport') => 'style12',
                    ),
                ),
                array(
                    'type' => 's7up_image_check',
                    'param_name' => 'style_product',
                    'heading' => '',
                    'element' => 'style',
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Title element', 'sport'),
                    'param_name' => 'title',
                    'description' => esc_html__('Enter text', 'sport'),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style7','style8','style9','style10','style11','style12')
                    ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Description element', 'sport'),
                    'param_name' => 'desc',
                    'description' => esc_html__('Enter text', 'sport'),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style7')
                    ),
                ),

                array(
                    'type' => 'param_group',
                    'heading' => esc_html__('Add tab item', 'sport'),
                    'param_name' => 'add_item_tab',
                    'value' =>'',
                    'params' => array(
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__( 'Title tab', 'sport' ),
                            'param_name' => 'title',
                            'admin_label' => true,
                            'description' => esc_html__('Enter text.','sport'),
                        ),
                        array(
                            'type' => 's7up_number',
                            'heading' => esc_html__('Number Products', 'sport'),
                            'param_name' => 'product_number',
                            'min' => 1,
                            'value'=> 12,
                            'suffix' => esc_html__('product', 'sport'),
                            'description' => esc_html__('Enter a number to show product in page', 'sport'),

                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Product Featured', 'sport'),
                            'param_name' => 'pro_feature',
                            'edit_field_class' => 'vc_column vc_col-sm-6',
                            'std' => '',
                            'description' => esc_html__('Check the box to filter products is feature', 'sport'),
                            'value' => array(
                                esc_html__("No", 'sport') => '',
                                esc_html__("Yes", 'sport') => 'yes'
                            ),
                        ),

                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Products On Sale', 'sport'),
                            'param_name' => 'pro_sale',
                            'value' => array(
                                esc_html__("No", 'sport') => '',
                                esc_html__("Yes", 'sport') => 'yes'
                            ),
                            'std' => '',
                            'edit_field_class' => 'vc_column vc_col-sm-6',
                            'description' => esc_html__('Check the box to filter products is on sale', 'sport')
                        ),
                        array(
                            'type' => 'checkbox',
                            'holder' => 'div',
                            'heading' => esc_html__('Select Categories', 'sport'),
                            'param_name' => 'product_category',
                            'description' => esc_html__('Check the box to choose category', 'sport'),
                            'value' => s7upf_list_taxonomy('product_cat',false),
                            'edit_field_class' => 's7upf-category-option vc_col-sm-12',
                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Order By', 'sport'),
                            'param_name' => 'order_by',
                            'value' => s7upf_convert_array(s7upf_get_order_list_shop()),
                            'edit_field_class' => 'vc_col-sm-6',

                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Order', 'sport'),
                            'param_name' => 'order',
                            'value' => array(
                                esc_html__("Descending", 'sport') => 'DESC',
                                esc_html__("Ascending", 'sport') => 'ASC'
                            ),
                            'edit_field_class' => 'vc_col-sm-6',
                        ),

                    ),
                    'callbacks' => array(
                        'after_add' => 'vcChartParamAfterAddCallback'
                    ),
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value'     =>array('style7','style8','style9','style10','style11')
                    ),
                ),
                array(
                    'type' => 's7up_number',
                    'heading' => esc_html__('Number Products', 'sport'),
                    'param_name' => 'product_number',
                    'min' => 1,
                    'value'=> 12,
                    'suffix' => esc_html__('product', 'sport'),
                    'description' => esc_html__('Enter a number to show product in page', 'sport'),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style12')
                    ),

                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Filter Type', 'sport'),
                    'param_name' => 'filter_type',
                    'value' => array(
                        esc_html__('None', 'sport') => '',
                        esc_html__('Filter By Price', 'sport') => 'price',
                        esc_html__('Browse History', 'sport') => 'browse'
                    ),
                    'description' => esc_html__('Select a filter type', 'sport'),
                    'std' => '',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style12')
                    ),
                ),
                array(
                    'type' => 's7up_number',
                    'min' => 0,
                    'max' => 999999999,
                    'heading' => esc_html__('Min Price (*)', 'sport'),
                    'param_name' => 'min_price',
                    'suffix'    => get_woocommerce_currency_symbol(),
                    'description' => esc_html__('Enter a min price', 'sport'),
                    'dependency' => array(
                        'element' => 'filter_type',
                        'value' => array('price')
                    ),
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                    'dependency' => array(
                        'element' => 'filter_type',
                        'value' => array('price')
                    ),
                ),
                array(
                    'type' => 's7up_number',
                    'min' => 0,
                    'max' => 999999999,
                    'heading' => esc_html__('Max Price (*)', 'sport'),
                    'param_name' => 'max_price',
                    'suffix'    => get_woocommerce_currency_symbol(),
                    'description' => esc_html__('Enter a max price', 'sport'),
                    'dependency' => array(
                        'element' => 'filter_type',
                        'value' => array('price')
                    ),
                    'edit_field_class' => 'vc_column vc_col-sm-6'
                ),
                array(
                    'type' => 'checkbox',
                    'heading' => esc_html__('Product Featured', 'sport'),
                    'param_name' => 'pro_feature',
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                    'std' => 'no',
                    'description' => esc_html__('Check the box to filter products is feature', 'sport'),
                    'value' => array(
                        esc_html__('Product featured', 'sport') => 'yes'
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style12')
                    ),

                ),

                array(
                    'type' => 'checkbox',
                    'heading' => esc_html__('Products On Sale', 'sport'),
                    'param_name' => 'pro_sale',
                    'value' => array(
                        esc_html__('Product On Sale', 'sport') => 'yes'
                    ),
                    'std' => 'no',
                    'edit_field_class' => 'vc_column vc_col-sm-6',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6')
                    ),
                    'description' => esc_html__('Check the box to filter products is on sale', 'sport')
                ),
                array(
                    'type' => 'checkbox',
                    'holder' => 'div',
                    'heading' => esc_html__('Select Categories', 'sport'),
                    'param_name' => 'product_category',
                    'description' => esc_html__('Check the box to choose category', 'sport'),
                    'value' => s7upf_list_taxonomy('product_cat',false),
                    'edit_field_class' => 's7upf-category-option vc_col-sm-12',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style12')
                    ),
                ),


                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Order By', 'sport'),
                    'param_name' => 'order_by',
                    'value' => s7upf_convert_array(s7upf_get_order_list_shop()),
                    'edit_field_class' => 'vc_col-sm-6',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style12')
                    ),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Order', 'sport'),
                    'param_name' => 'order',
                    'value' => array(
                        esc_html__("Descending", 'sport') => 'DESC',
                        esc_html__("Ascending", 'sport') => 'ASC'
                    ),
                    'edit_field_class' => 'vc_col-sm-6',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style12')
                    ),
                ),

                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__('Add button view all', 'sport'),
                    'param_name' => 'btn_link',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style6')
                    ),
                    'edit_field_class' => 'vc_col-sm-12',
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Extra Class Name','sport'),
                    'param_name' => 'extra_class',
                    'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.','sport'),
                ),

                //-------------------Design Option----------------
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Show view type', 'sport'),
                    'param_name' => 'view_type',
                    'group' => esc_html__('Design Option','sport'),
                    'description' => esc_html__( 'This allows you to hide or show the view type bar.', 'sport' ),
                    'value' => array(
                        esc_html__("Off", 'sport') => '',
                        esc_html__("On", 'sport') => 'on'
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2')
                    ),
                ),
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__('Image banner', 'sport'),
                    'param_name' => 'image_banner',
                    'group' => esc_html__('Design Option','sport'),
                    'description' => esc_html__( 'Select image from library.', 'sport' ),
                    'dependency' => array(
                        'element' => 'view_type',
                        'value' => array('on')
                    ),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Pagination bar', 'sport'),
                    'param_name' => 'pagination',
                    'group' => esc_html__('Design Option','sport'),
                    'description' => esc_html__( 'This allows you to hide or show the pagination bar.', 'sport' ),
                    'value' => array(
                        esc_html__("Off", 'sport') => '',
                        esc_html__("On", 'sport') => 'on'
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2')
                    ),
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__('Show bar order by', 'sport'),
                    'param_name' => 'order_by_show',
                    'value' => array(
                        esc_html__('Off', 'sport') => 'off',
                        esc_html__('On', 'sport') => 'on',
                    ),
                    'edit_field_class' => 'vc_col-sm-12',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2')
                    )
                ),
                array(
                    'type' => 's7up_number',
                    'heading' => esc_html__('Position tab active', 'sport'),
                    'param_name' => 'position_tab_active',
                    'description' => esc_html__( 'Select the active tab position (From left to right)', 'sport' ),
                    'std' => 1,
                    'min' => 1,
                    'suffix' => esc_html__('Position', 'sport'),
                    'edit_field_class' => 'vc_col-sm-12',
                    'group' => esc_html__('Design Option','sport'),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style7','style8','style9','style10','style11')
                    ),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Column layout', 'sport'),
                    'param_name' => 'col_layout',
                    'group' => esc_html__('Design Option','sport'),
                    'description' => esc_html__( 'This allows you to change the number column of the product grid.', 'sport' ),
                    'value' => array(
                        esc_html__('Default','sport')=>'',
                        esc_html__('4 columns','sport')=>'3',
                        esc_html__('3 columns','sport')=>'4',
                        esc_html__('2 columns','sport')=>'6',
                        esc_html__('1 column','sport')=>'12',
                    ),
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value'     =>array('style1')
                    ),
                ),
                array(
                    'type' => 'dropdown',
                    'admin_label' => true,
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Custom column Slider in (Display desktop)', 'sport' ),
                    'param_name' => 'number_item_desktop',
                    'value' => array(
                        esc_html__('Default','sport')=>'',
                        esc_html__('1 Column','sport')=>'1',
                        esc_html__('2 Columns','sport')=>'2',
                        esc_html__('3 Columns','sport')=>'3',
                        esc_html__('4 Columns','sport')=>'4',
                        esc_html__('5 Columns','sport')=>'5',
                    ),
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value' => array('style3','style4','style5','style6','style7','style8','style9','style10','style11')
                    ),
                    'description' => esc_html__( 'Select number column of slides to display (990px screen).', 'sport' )
                ),
                array(
                    'type' => 'dropdown',
                    'admin_label' => true,
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Custom row Slider', 'sport' ),
                    'param_name' => 'number_row',
                    'value' => array(
                        esc_html__('Default','sport')=>'',
                        esc_html__('1 Row','sport')=>1,
                        esc_html__('2 Rows','sport')=>2,
                        esc_html__('3 Rows','sport')=>3,
                        esc_html__('4 Rows','sport')=>4,
                        esc_html__('5 Rows','sport')=>5,
                        esc_html__('6 Rows','sport')=>6,
                        esc_html__('7 Rows','sport')=>7,
                        esc_html__('8 Rows','sport')=>8,
                        esc_html__('9 Rows','sport')=>9,
                        esc_html__('10 Rows','sport')=>10,
                    ),
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value' => array('style4','style9','style10')
                    ),
                    'description' => esc_html__( 'Select number row of slides.', 'sport' )
                ),

                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Auto play silder', 'sport' ),
                    'param_name' => 'autoplay',
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value' => array('style3','style4','style5','style6','style7','style8','style9','style8','style10','style11')
                    ),
                    'value' => array(
                        esc_html__('On','sport') => 'true',
                        esc_html__('Off','sport') => 'false',

                    ),
                    'description' => esc_html__( 'This allows you to enable or disable autoplay of slider.', 'sport' )
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Navigation silder', 'sport' ),
                    'param_name' => 'navigation',
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value' => array('style3','style4','style5','style6','style7','style8','style9','style10','style11')
                    ),
                    'value' => array(
                        esc_html__('On','sport') => 'true',
                        esc_html__('Off','sport') => 'false',

                    ),
                    'description' => esc_html__( 'This allows you to enable or disable navigation of slider.', 'sport' )
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Pagination silder', 'sport' ),
                    'param_name' => 'pagination_slider',
                    'dependency'    =>array(
                        'element'   =>'style',
                        'value' => array('style3','style4','style5','style6','style7','style8','style9','style10','style11')
                    ),
                    'value' => array(
                        esc_html__('Off','sport') => 'false',
                        esc_html__('On','sport') => 'true',

                    ),
                    'description' => esc_html__( 'This allows you to enable or disable pagination of slider.', 'sport' )
                ),

               /* array(
                    'type' => 'checkbox',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Hide over mask of image', 'sport' ),
                    'param_name' => 'hide_mask_img',

                ),*/
                array(
                    'type' => 's7up_number',
                    'heading' => esc_html__('Number word excerpt', 'sport'),
                    'param_name' => 'word_excerpt',
                    'group' => esc_html__('Design Option','sport'),
                    'min' => 1,
                    'value'=>30,
                    'suffix' => esc_html__('word', 'sport'),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style2','style6')
                    ),
                    'description' => esc_html__('Custom number word excerpt (default 30 word)', 'sport')
                ),
                /*
                array(
                    'type' => 's7up_number',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Min height', 'sport' ),
                    'param_name' => 'min_height',
                    'min' => 0,
                    'suffix' => esc_html__('px', 'sport'),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style14')
                    ),
                )
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Show box share social','sport'),
                    'group' => esc_html__('Design Option','sport'),
                    'param_name' => 'show_share',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style9','style17')
                    ),
                    'value' => array(
                        esc_html__('Show','sport')=>'on',
                        esc_html__('Hide','sport')=>'off',
                    ),
                ),*/
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Animation image', 'sport' ),
                    'param_name' => 'animation_img',
                    'value' => array(
                        esc_html__('None','sport') => 'animation_img_none',
                        esc_html__('Zoom','sport') => 'zoom-thumb',
                        esc_html__('Zoom out','sport') => 'zoom-out',
                    ),

                    'description' => esc_html__( 'This allows you to change animation image product.', 'sport' )
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Show sale label', 'sport' ),
                    'param_name' => 'show_sale_label',
                    'value' => array(
                        esc_html__('Hide','sport') => 'false',
                        esc_html__('Show','sport') => 'true',
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style7','style8','style9','style10','style11')
                    ),
                    'description' => esc_html__( 'This allows you to show or hide sale label of product.', 'sport' )
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Show new label', 'sport' ),
                    'param_name' => 'show_new_label',
                    'value' => array(
                        esc_html__('Hide','sport') => 'false',
                        esc_html__('Show','sport') => 'true',
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style1','style2','style3','style4','style5','style6','style7','style8','style9','style10','style11')
                    ),
                    'description' => esc_html__( 'This allows you to show or hide new label of product.', 'sport' )
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Show countdown time sale', 'sport' ),
                    'param_name' => 'show_date_sale',
                    'value' => array(
                        esc_html__('Hide','sport') => 'false',
                        esc_html__('Show','sport') => 'true',
                    ),
                    'dependency' => array(
                        'element' => 'style',
                        'value' => array('style3')
                    ),
                    'description' => esc_html__( 'This allows you to show or hide countdown time sale.', 'sport' )
                ),
                array(
                    'type' => 's7up_number',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Number of days for new product', 'sport' ),
                    'param_name' => 'day_new_product',
                    'min' => 1,
                    'suffix' => esc_html__('day', 'sport'),
                    'dependency' => array(
                        'element' => 'show_new_label',
                        'value' => array('true')
                    ),
                    'description' => esc_html__( 'Specify the No of days before to be disaplay product as New (Default 10 days).', 'sport' )
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Image Size', 'sport'),
                    'param_name' => 'image_size',
                    'group' => esc_html__('Design Option','sport'),
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                    'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
                ),

            )
        ));
    }
}