<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 24/04/2017
 * Time: 17:37
 */
if(!function_exists('s7upf_vc_team'))
{
    function s7upf_vc_team($attr,$content = false)
    {
        $html = $style = $image =$position_image =$link_team=$data_social= $image_size=$position= $main_color= $desc = $title = $el_class  = '' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'desc'      => '',
            'title'      => '',
            'position'      => '',
            'el_class'      => '',
            'image'      => '',
            'image_size'      => '',
            'main_color'      => '',
            'add_item_social'      => '',
            'link_team'      => '',
            'position_image'      => 'left',
        ),$attr));
        if(isset($add_item_social))
            $data_social= vc_param_group_parse_atts($add_item_social);
        $html .= S7upf_Template::load_view('elements/team',false,array(
            'style' => $style,
            'desc' => $desc,
            'title' => $title,
            'el_class' => $el_class,
            'main_color' => $main_color,
            'image' => $image,
            'image_size' => $image_size,
            'data_social' => $data_social,
            'link_team' => $link_team,
            'position' => $position,
            'position_image' => $position_image,
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_team','s7upf_vc_team');

vc_map( array(
    "name"      => esc_html__("SV Our Team", 'sport'),
    "base"      => "s7upf_team",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'heading' => esc_html__( 'Style', 'sport' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__('Style 1 (Default)','sport')=>'style1',
                esc_html__('Style 2','sport')=>'style2',
                esc_html__('Style 3','sport')=>'style3',
                esc_html__('Style 4','sport')=>'style4',
                esc_html__('Style 5','sport')=>'style5',
            ),
            'description' => esc_html__( 'Select style', 'sport' )
        ),
        array(
            'type' => 's7up_image_check',
            'param_name' => 'style_team',
            'heading' => '',
            'element' => 'style',
        ),
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'sport' ),
            'param_name' => 'image',
            'description' => esc_html__('Select image from library.','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-6',
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'Link/URL team', 'sport' ),
            'param_name' => 'link_team',
            'description' => esc_html__('Enter Link/URL.','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-6',
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title/Name', 'sport' ),
            'param_name' => 'title',
            'admin_label' => true,
            'description' => esc_html__('Enter text.','sport'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Position', 'sport' ),
            'param_name' => 'position',
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2','style5')
            ),
        ),
        array(
            'type' => 'textarea',
            'heading' => esc_html__( 'Description', 'sport' ),
            'param_name' => 'desc',
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style3','style4','style5')
            ),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add team social', 'sport'),
            'param_name' => 'add_item_social',
            'value' =>'',
            'params' => array(
                array(
                    'type'          => 'iconpicker',
                    'heading'       => esc_html__( 'Select icon', 'sport' ),
                    'param_name'    => 'icon',
                    'value'         => '',
                    'settings'      => array(
                        'emptyIcon'     => true,
                        'iconsPerPage'  => 4000,
                    ),
                    'description'   => esc_html__( 'Select icon from library.', 'sport' ),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Link/URL', 'sport' ),
                    'param_name' => 'link',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name",'sport'),
            "param_name" => "el_class",
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Image position', 'sport' ),
            'param_name' => 'position_image',
            'description' => esc_html__( 'Select position', 'sport' ),
            'value' => array(
                esc_html__('Left','sport')=>'Left',
                esc_html__('Right','sport')=>'right',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style4')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'sport'),
            'param_name' => 'image_size',
            'group' => esc_html__('Design Option','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
        ),

    )
));