<?php
/**
 * Created by PhpStorm.
 * User: 7uptheme
 * Date: 04/04/2017
 * Time: 14:17
 */

if(!function_exists('s7upf_vc_testimonials'))
{
    function s7upf_vc_testimonials($attr,$content = false)
    {
        $html = $image_size =$el_class=$style =$number_item_desktop=$title=$number_item=$pagination=$navigation=$autoplay= $data_testimonial= '' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'title'      => '',
            'navigation'      => 'true',
            'autoplay'      => 'true',
            'pagination'      => 'false',
            'number_item'      => '',
            'add_item_testimonial'      => '',
            'image_size'      => '',
            'el_class'      => '',
            'number_item_desktop'      => '',

        ),$attr));
        if(isset($add_item_testimonial))
            $data_testimonial= vc_param_group_parse_atts($add_item_testimonial);
        $html .= S7upf_Template::load_view('elements/testimonials',false,array(
            'style' => $style,
            'content' => $content,
            'title' => $title,
            'navigation' => $navigation,
            'autoplay' => $autoplay,
            'pagination' => $pagination,
            'number_item' => $number_item,
            'data_testimonial' => $data_testimonial,
            'image_size' => $image_size,
            'el_class' => $el_class,
            'number_item_desktop' => $number_item_desktop,
        ));
        return $html;
    }
}
stp_reg_shortcode('s7upf_testimonials','s7upf_vc_testimonials');

vc_map( array(
    "name"      => esc_html__("SV Testimonials", 'sport'),
    "base"      => "s7upf_testimonials",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'heading' => esc_html__( 'Style', 'sport' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__('Style 1 (Default)','sport')=>'style1',
                esc_html__('Style 2','sport')=>'style2',
            ),
            'description' => esc_html__( 'Select style', 'sport' )
        ),
        array(
            'type' => 's7up_image_check',
            'param_name' => 'style_testimonial',
            'heading' => '',
            'element' => 'style',
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title', 'sport' ),
            'param_name' => 'title',
            'admin_label' => true,
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add testimonial item', 'sport'),
            'param_name' => 'add_item_testimonial',
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title/Name', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Image', 'sport' ),
                    'param_name' => 'image',
                    'admin_label' => true,
                    'description' => esc_html__('Select image from library.','sport'),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Position', 'sport' ),
                    'param_name' => 'position',
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Description', 'sport' ),
                    'param_name' => 'desc',
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Link/URL', 'sport' ),
                    'param_name' => 'link_name',
                ),
            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name",'sport'),
            "param_name" => "el_class",
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'group' => esc_html__('Design Option', 'sport'),
            'heading' => esc_html__('Custom column Slider in (Display desktop)', 'sport'),
            'param_name' => 'number_item_desktop',
            'value' => array(
                esc_html__('Default', 'sport') => '',
                esc_html__('1 Column', 'sport') => '1',
                esc_html__('2 Columns', 'sport') => '2',
                esc_html__('3 Columns', 'sport') => '3',
                esc_html__('4 Columns', 'sport') => '4',
                esc_html__('5 Columns', 'sport') => '5',
            ),
            'dependency' => array(
                'element' => 'style',
                'value' => array('style1','style2')
            ),
            'description' => esc_html__('Select number column of slides to display (990px screen).', 'sport')
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Autoplay slider', 'sport' ),
            'param_name' => 'autoplay',
            'value' => array(
                esc_html__('On','sport') => 'true',
                esc_html__('Off','sport') => 'false',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Navigation slider', 'sport' ),
            'param_name' => 'navigation',
            'value' => array(
                esc_html__('Show','sport') => 'true',
                esc_html__('Hide','sport') => 'false',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Pagination slider', 'sport' ),
            'param_name' => 'pagination',
            'value' => array(
                esc_html__('Hide','sport') => 'false',
                esc_html__('Show','sport') => 'true',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            'type' => 's7up_number',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Number item in item slider', 'sport' ),
            'param_name' => 'number_item',
            'min'=>1,
            'max'=>20,
            'suffix' => esc_html__('Item','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),

        array(
            'type' => 'textfield',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__('Custom image size', 'sport'),
            'param_name' => 'image_size',
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
        ),
    )
));