<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 11/04/2017
 * Time: 11:08
 */
if(!function_exists('s7upf_vc_text_heading'))
{
    function s7upf_vc_text_heading($attr,$content = false)
    {
        $html = $font_family = $button_line=$top_line=$class_rect_line=$class_margin = $class_style1 = $margin_top = $sub_text_color = $class_heading = $text_transform = $animation_css = $font_family = $sub_text = $bottom_line = $letter_spacing = $style = $margin_top = $extra_class  = $text = $margin_bottom = $text_align = $element_tag = $font_size = $font_weight = $font_style = $line_height = $font_color = $divider_align = '' ;
        extract(shortcode_atts(array(
            'text' => '',
            'element_tag' => 'h2',
            'font_size' => '',
            'font_weight' => '',
            'font_style' => '',
            'font_color' => '',
            'line_height' => '',
            'text_align' => 'text-center',
            'margin_bottom' => '',
            'extra_class' => '',
            'margin_top' => '',
            'style' => 'style1',
            'letter_spacing' => '',
            'font_family' => '',
            'desc' => '',
            'text_transform' => 'none',
            'sub_text_color' => '',
            'animation_css' => '',
            'margin_top' => '',
            'button_line' => 'off',
            'top_line' => 'off',
            'color_line' => '',
        ),$attr));

        switch ($style){
            case 'style1':
                if(!empty($font_color)){
                    $class_style1 .= ' '.S7upf_Assets::build_css('color:'.$font_color.'!important;' ,' h2');
                }
                if(!empty($sub_text_color)){
                    $class_style1 .= ' '.S7upf_Assets::build_css('color:'.$sub_text_color.'!important;',' .desc');
                }
                $html .= '<div class="element-heading-'.$style.' intro-box1 '.$text_align.' '.$class_style1.' '.$extra_class.'">';
                    if(!empty($text))
                        $html .= '<h2 class="title30 font-bold title-underline"><span>'.$text.'</span></h2>';
                    if(!empty($desc))
                        $html .= '<p class="desc">'.$desc.'</p>';
                $html .= '</div>';

                break;
            case 'style2':
                if(!empty($font_size)){
                    $class_heading .= S7upf_Assets::build_css('font-size:'.$font_size.'px!important;', ' .title');
                }
                if(!empty($font_color)){
                    $class_heading .= ' '.S7upf_Assets::build_css('color:'.$font_color.'!important;' ,' .title');
                }
                if(!empty($font_weight)){
                    $class_heading .= ' '.S7upf_Assets::build_css('font-weight:'.$font_weight.'!important;', ' .title');
                }
                if(!empty($font_style)){
                    $class_heading .= ' '.S7upf_Assets::build_css('font-style:'.$font_style.'!important;', ' .title');
                }
                if($margin_bottom !== ''){
                    $class_heading .= ' '.S7upf_Assets::build_css('margin-bottom:'.$margin_bottom.'px!important;');
                }
                if($margin_top !== ''){
                    $class_heading .= ' '.S7upf_Assets::build_css('margin-top:'.$margin_top.'px!important;');
                }
                if(!empty($letter_spacing)){
                    $class_heading .= ' '.S7upf_Assets::build_css('letter-spacing:'.$letter_spacing.'px!important;',' .title');
                }
                if(!empty($text_transform)){
                    $class_heading .= ' '.S7upf_Assets::build_css('text-transform:'.$text_transform.'!important;',' .title');
                }
                $html .= '<div class="element-heading-'.$style.' '.$class_heading.' '.$text_align.' '.$extra_class.'"><h2 class="title14 black title">'.$text.'</h2></div>';
                break;
            case 'style3':
                if(!empty($font_size)){
                    $class_heading .= S7upf_Assets::build_css('font-size:'.$font_size.'px!important;', ' .title');
                }
                if(!empty($font_color)){
                    $class_heading .= ' '.S7upf_Assets::build_css('color:'.$font_color.'!important;' ,' .title');
                }
                if(!empty($font_weight)){
                    $class_heading .= ' '.S7upf_Assets::build_css('font-weight:'.$font_weight.'!important;', ' .title');
                }
                if(!empty($font_style)){
                    $class_heading .= ' '.S7upf_Assets::build_css('font-style:'.$font_style.'!important;', ' .title');
                }
                if($margin_bottom !== ''){
                    $class_heading .= ' '.S7upf_Assets::build_css('margin-bottom:'.$margin_bottom.'px!important;');
                }
                if($margin_top !== ''){
                    $class_heading .= ' '.S7upf_Assets::build_css('margin-top:'.$margin_top.'px!important;');
                }
                if(!empty($letter_spacing)){
                    $class_heading .= ' '.S7upf_Assets::build_css('letter-spacing:'.$letter_spacing.'px!important;',' .title');
                }
                if(!empty($text_transform)){
                    $class_heading .= ' '.S7upf_Assets::build_css('text-transform:'.$text_transform.'!important;',' .title');
                }
                if(!empty($color_line)){
                    $class_heading .= ' '.S7upf_Assets::build_css('background:'.$color_line.'!important;','  h2.title14 span::after');
                }
                $html .= '<div class="element-heading-'.$style.' '.$class_heading.' '.$extra_class.'"><h2 class="title14 black title"><span>'.$text.'</span></h2></div>';

                break;
        }
        return $html;
    }
}
stp_reg_shortcode('s7upf_text_heading','s7upf_vc_text_heading');

vc_map(
    array(
        "name"      => esc_html__("SV Heading", 'sport'),
        "base"      => "s7upf_text_heading",
        "icon"      => "icon-st",
        "category"  => '7Up-theme',
        "params"    => array(
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Style Heading','sport'),
                'param_name' => 'style',
                'description' => esc_html__('Select style','sport'),
                'value' => array(
                    esc_html__('style 1 ','sport') => 'style1',
                    esc_html__('style 2 ','sport') => 'style2',
                    esc_html__('style 3 ','sport') => 'style3',
                ),
            ),
            array(
                'type' => 'textarea',
                'admin_label' => true,
                'heading' => esc_html__('Heading text','sport'),
                'param_name' => 'text',
                'description' => esc_html__('Enter a text','sport'),
            ),
            array(
                'type' => 'textarea',
                'admin_label' => true,
                'heading' => esc_html__('Description','sport'),
                'param_name' => 'desc',
                'description' => esc_html__('Enter a text','sport'),
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('style1')
                ),
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Element Tag','sport'),
                'param_name' => 'element_tag',
                'description' => esc_html__('Select a element tag','sport'),
                'value' => array(
                    esc_html__('H1','sport') => 'h1',
                    esc_html__('H2','sport') => 'h2',
                    esc_html__('H3','sport') => 'h3',
                    esc_html__('H4','sport') => 'h4',
                    esc_html__('H5','sport') => 'h5',
                    esc_html__('H6','sport') => 'h6',
                    esc_html__('P','sport') => 'p',
                    esc_html__('div','sport') => 'div',
                ),
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom')
                ),
                'std' => 'h2'
            ),
            array(
                'type' => 's7up_number',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Font size','sport'),
                'param_name' => 'font_size',
                'description' => esc_html__('Enter font size','sport'),
                'min' => 1,
                'suffix' => 'px',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom','style2','style3')
                ),
            ),
            array(
                'type' => 'colorpicker',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Font color text','sport'),
                'param_name' => 'font_color',
                'description' => esc_html__('Select a color for heading','sport'),
                'edit_field_class' => 'vc_column vc_col-sm-6',
            ),
            array(
                'type' => 'colorpicker',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Font color sub text','sport'),
                'param_name' => 'sub_text_color',
                'description' => esc_html__('Select a color for heading','sport'),
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('style1')
                ),
            ),
            array(
                'type' => 'dropdown',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Font Weight','sport'),
                'param_name' => 'font_weight',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'description' => esc_html__('Select a font weight','sport'),
                'value' => array(
                    esc_html__('Default','sport') => '',
                    esc_html__('Normal','sport') => 'normal',
                    esc_html__('Bold','sport') => 'bold',
                    esc_html__('100','sport') => 100,
                    esc_html__('200','sport') => 200,
                    esc_html__('300','sport') => 300,
                    esc_html__('400','sport') => 400,
                    esc_html__('500','sport') => 500,
                    esc_html__('600','sport') => 600,
                    esc_html__('700','sport') => 700,
                    esc_html__('800','sport') => 800,
                    esc_html__('900','sport') => 900,
                ),
                'std' => '',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom','style2','style3')
                ),

            ),
            array(
                'type' => 'dropdown',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Font style','sport'),
                'param_name' => 'font_style',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'description' => esc_html__('Select a font style','sport'),
                'value' => array(
                    esc_html__('Normal','sport') => '',
                    esc_html__('Italic','sport') => 'italic',
                    esc_html__('Oblique','sport') => 'oblique'
                ),
                'std' => '',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom','style2','style3')
                ),
            ),
            array(
                'type' => 'dropdown',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Font family','sport'),
                'param_name' => 'font_family',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'description' => esc_html__('Select a font family','sport'),
                'value' => array(
                    esc_html__('Inherit','sport') => '',
                    esc_html__('Raleway','sport') => 'rale-font',
                ),
                'std' => '',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom')
                ),
            ),
            array(
                'type' => 'dropdown',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Text Align','sport'),
                'param_name' => 'text_align',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'description' => esc_html__('Select a align for heading','sport'),
                'value' => array(
                    esc_html__('Center','sport') => 'text-center',
                    esc_html__('Left','sport') => 'text-left',
                    esc_html__('Right','sport') => 'text-right'
                ),
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom','style1','style2','style3')
                ),
            ),
            array(
                'type' => 'colorpicker',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Color line','sport'),
                'param_name' => 'color_line',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'description' => esc_html__('Select a align for heading','sport'),

                'dependency' => array(
                    'element' => 'style',
                    'value' => array('style3')
                ),
            ),
            array(
                'type' => 's7up_number',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Line Height','sport'),
                'param_name' => 'line_height',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'description' => esc_html__('Enter line height','sport'),
                'min' => 1,
                'suffix' => 'px',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom')
                ),

            ),
            array(
                'type' => 's7up_number',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Letter Spacing','sport'),
                'param_name' => 'letter_spacing',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'description' => esc_html__('Enter letter spcing','sport'),
                'min' => 0,
                'suffix' => 'px',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom')
                ),
            ),

            array(
                'type' => 'dropdown',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Text transform','sport'),
                'param_name' => 'text_transform',
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'description' => esc_html__('Select text transform','sport'),
                'value' => array(
                    esc_html__('None','sport') => 'none',
                    esc_html__('Capitalize','sport') => 'capitalize',
                    esc_html__('Lowercase','sport') => 'lowercase',
                    esc_html__('Uppercase','sport') => 'uppercase'
                ),
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom','style2','style3')
                ),
            ),

            array(
                'type' => 's7up_number',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Margin Top','sport'),
                'param_name' => 'margin_top',
                'description' => esc_html__('Enter margin top','sport'),
                'min' => 1,
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'suffix' => 'px',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom','style2','style3')
                ),

            ),
            array(
                'type' => 's7up_number',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__('Margin Bottom','sport'),
                'param_name' => 'margin_bottom',
                'description' => esc_html__('Enter margin bottom','sport'),
                'min' => 1,
                'edit_field_class' => 'vc_column vc_col-sm-6',
                'suffix' => 'px',
                'dependency' => array(
                    'element' => 'style',
                    'value' => array('custom','style2','style3')
                ),
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html__('Extra Class Name','sport'),
                'param_name' => 'extra_class',
                'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.','sport'),
            ),

        )
    )
);