<?php
/**
 * Created by Sublime text 2.
 * User: 7uptheme
 * Date: 18/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_top_bar')){
    function s7upf_vc_top_bar($attr,$content = false)
    {
        $html  =$style=$text_color_hover =$text_color =$data_item_info=$el_class=$data_link_item= $show_log_in='';
        extract(shortcode_atts(array(
            'show_log_in'      => 'on',
            'link_item'      => '',
            'el_class'      => '',
            'style'      => 'style1',
            'item_info'      => '',
            'text_color'      => '',
            'text_color_hover'      => '',
        ),$attr));
        if(isset($link_item))
            $data_link_item = vc_param_group_parse_atts($link_item);
        if(isset($item_info))
            $data_item_info = vc_param_group_parse_atts($item_info);
        $html .= S7upf_Template::load_view('elements/top-bar',false, array(
            'show_log_in' => $show_log_in,
            'data_link_item' => $data_link_item,
            'el_class' => $el_class,
            'content' => $content,
            'style' => $style,
            'text_color' => $text_color,
            'data_item_info' => $data_item_info,
            'text_color_hover' => $text_color_hover,
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_top_bar','s7upf_vc_top_bar');

vc_map( array(
    "name"      => esc_html__("SV Top Bar", 'sport'),
    "base"      => "s7upf_top_bar",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'heading' => esc_html__( 'Style', 'sport' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__('Style 1','sport')=>'style1',
                esc_html__('Style 2','sport')=>'style2',
            ),
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'heading' => esc_html__( 'show log in', 'sport' ),
            'param_name' => 'show_log_in',
            'value' => array(
                esc_html__('On','sport')=>'on',
                esc_html__('Off','sport')=>'off',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add link item', 'sport'),
            'param_name' => 'link_item',
            'description' => esc_html__( 'Allows you to create link lists', 'sport' ),
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'vc_link',
                    'admin_label' => true,
                    'heading' => esc_html__( 'Add link', 'sport' ),
                    'param_name' => 'link',
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add item info', 'sport'),
            'param_name' => 'item_info',
            'value' =>'',
            'params' => array(
                array(
                    'type' => 'textfield',
                    'admin_label' => true,
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                ),
                array(
                    'type' => 'textfield',
                    'admin_label' => true,
                    'heading' => esc_html__( 'Icon', 'sport' ),
                    'param_name' => 'icon',
                    'edit_field_class' => 'vc_column vc_col-sm-12 sv_linearions',
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
            ),
        ),
        array(
            'type' => 'textarea_html',
            'group' => esc_html__('Add content','sport'),
            'heading' => esc_html__( 'Content', 'sport' ),
            'param_name' => 'content',
            'description' => esc_html__( 'Enter text', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name",'sport'),
            "param_name" => "el_class",
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
        ),
        array(
            'type' => 'colorpicker',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Text color', 'sport' ),
            'param_name' => 'text_color',
            'description' => esc_html__( 'Select color', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            'type' => 'colorpicker',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Text color hover', 'sport' ),
            'param_name' => 'text_color_hover',
            'description' => esc_html__( 'Select color', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
    )
));
