<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 24/04/2017
 * Time: 17:37
 */
if(!function_exists('s7upf_vc_info_box'))
{
    function s7upf_vc_info_box($attr,$content = false)
    {
        $html = $style = $image =$data_item_box4=$data_item_social=$title_social=$data_item_box2=$link_media=$link=$desc=$title=$el_class=$image_size= '' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'image'      => '',
            'icon'      => '',
            'image_size'      => '',
            'desc'      => '',
            'title'      => '',
            'el_class'      => '',
            'link'      => '',
            'link_media'      => '',
            'add_item_box2'      => '',
            'title_social'      => '',
            'add_item_social'      => '',
            'shortcode'      => '',
            'color'      => '',
            'button_link'      => '',
            'add_item_box4'      => '',
        ),$attr));
        if(!empty($add_item_box2)) $data_item_box2 = vc_param_group_parse_atts($add_item_box2);
        if(!empty($add_item_social)) $data_item_social = vc_param_group_parse_atts($add_item_social);
        if(!empty($add_item_box4)) $data_item_box4 = vc_param_group_parse_atts($add_item_box4);
        $html .= S7upf_Template::load_view('elements/info-box',false,array(
            'style' => $style,
            'image_size' => $image_size,
            'image' => $image,
            'desc' => $desc,
            'title' => $title,
            'el_class' => $el_class,
            'link' => $link,
            'link_media' => $link_media,
            'data_item_box2' => $data_item_box2,
            'title_social' => $title_social,
            'data_item_social' => $data_item_social,
            'shortcode' => $shortcode,
            'color' => $color,
            'button_link' => $button_link,
            'data_item_box4' => $data_item_box4,
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_info_box','s7upf_vc_info_box');

vc_map( array(
    "name"      => esc_html__("SV Info Box", 'sport'),
    "base"      => "s7upf_info_box",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'heading' => esc_html__( 'Style', 'sport' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__('Style 1 (Box video)','sport')=>'style1',
                esc_html__('Style 2 (Item bonus)','sport')=>'style2',
                esc_html__('Style 3 (Policy)','sport')=>'style3',
                esc_html__('Style 4 (Events)','sport')=>'style4',
            ),
            'description' => esc_html__( 'Select style', 'sport' )
        ),
        array(
            'type' => 's7up_image_check',
            'param_name' => 'style_info_box',
            'heading' => '',
            'element' => 'style',
        ),
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'sport' ),
            'param_name' => 'image',
            'description' => esc_html__('Select image from library.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title', 'sport' ),
            'param_name' => 'title',
            'admin_label' => true,
            'description' => esc_html__('Enter text.','sport'),
        ),
        array(
            'type' => 'textarea',
            'heading' => esc_html__( 'Description', 'sport' ),
            'param_name' => 'desc',
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style3')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Get shortcode MailChimp', 'sport' ),
            'param_name' => 'shortcode',
            'description' => esc_html__('Enter text (EX: [mc4wp_form id="1549"]).','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style3')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Link media popup', 'sport' ),
            'param_name' => 'link_media',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
            'description' => esc_html__('Get link video in youtube','sport'),
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'Link/URL', 'sport' ),
            'param_name' => 'link',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
            'description' => esc_html__('Enter Link/URL','sport'),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add box item', 'sport'),
            'param_name' => 'add_item_box2',
            'value' =>'',
            'params' => array(
                array(
                    'type'          => 'iconpicker',
                    'heading'       => esc_html__( 'Icon', 'sport' ),
                    'param_name'    => 'icon',
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                    'value'         => '',
                    'settings'      => array(
                        'emptyIcon'     => true,
                        'iconsPerPage'  => 4000,
                    ),
                    'description'   => esc_html__( 'Select icon from library.', 'sport' ),
                    'dependency'    =>array(
                        'element'   =>'library_icon',
                        'value'     =>array('iconpicker')
                    ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Link/URL', 'sport' ),
                    'param_name' => 'link',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
            ),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__('Add events', 'sport'),
            'param_name' => 'add_item_box4',
            'value' =>'',
            'params' => array(

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Events time', 'sport' ),
                    'param_name' => 'time',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Link/URL', 'sport' ),
                    'param_name' => 'link',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style4')
            ),
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'Button link', 'sport' ),
            'param_name' => 'button_link',
            'description' => esc_html__('Enter Link/URL.','sport'),
        ),
        array(
            'type' => 'textfield',
            'group' => esc_html__('Social Option','sport'),
            'heading' => esc_html__( 'Title', 'sport' ),
            'param_name' => 'title_social',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style3')
            ),
            'admin_label' => true,
            'description' => esc_html__('Enter text.','sport'),
        ),
        array(
            'type' => 'param_group',
            'group' => esc_html__('Social Option','sport'),
            'heading' => esc_html__('Add social item', 'sport'),
            'param_name' => 'add_item_social',
            'value' =>'',
            'params' => array(
                array(
                    'type'          => 'iconpicker',
                    'heading'       => esc_html__( 'Icon', 'sport' ),
                    'param_name'    => 'icon',
                    'edit_field_class' => 'vc_column vc_col-sm-12',
                    'value'         => '',
                    'settings'      => array(
                        'emptyIcon'     => true,
                        'iconsPerPage'  => 4000,
                    ),
                    'description'   => esc_html__( 'Select icon from library.', 'sport' ),
                    'dependency'    =>array(
                        'element'   =>'library_icon',
                        'value'     =>array('iconpicker')
                    ),
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__( 'Link/URL', 'sport' ),
                    'param_name' => 'link',
                    'description' => esc_html__('Enter Link/URL.','sport'),
                ),
                array(
                    'type' => 'colorpicker',
                    'heading' => esc_html__( 'Background icon', 'sport' ),
                    'param_name' => 'bg_icon',
                    'description' => esc_html__('Select color','sport'),
                ),

            ),
            'callbacks' => array(
                'after_add' => 'vcChartParamAfterAddCallback'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style3')
            ),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name",'sport'),
            "param_name" => "el_class",
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
        ),
        array(
            'type'          => 'colorpicker',
            'group' => esc_html__('Design Option','sport'),
            'heading'       => esc_html__( 'Color text', 'sport' ),
            'param_name'    => 'color',
            'description'   => esc_html__( 'Select color.', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'sport'),
            'param_name' => 'image_size',
            'group' => esc_html__('Design Option','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),

    )
));