<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
 
/******************************************Core Function******************************************/
//Get option
if(!function_exists('s7upf_get_option')){
	function s7upf_get_option($key,$default=NULL)
    {
        if(function_exists('ot_get_option'))
        {
            return ot_get_option($key,$default);
        }

        return $default;
    }
}

//Get list post type
if(!function_exists('s7upf_list_post_type'))
{
    function s7upf_list_post_type($post_type,$type = true)
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        if($type){
            $page_list[] = array(
                'value' => '',
                'label' => esc_html__('-- Choose One --','sport')
            );
        }
        else $page_list[] = esc_html__('-- Choose One --','sport');
        /*  $args= array(
          'post_type' => $post_type,
          'posts_per_page' => -1,
          );
          $query = new WP_Query($args);
          if($query->have_posts()): while ($query->have_posts()):$query->the_post();
              if($type){
                  $page_list[] = array(
                      'value' => $post->ID,
                      'label' => $post->post_title
                  );
              }
              else $page_list[$post->ID] = $post->post_title;
              endwhile;
          endif;
          wp_reset_postdata();
          return $page_list;
          */
        if(is_admin()){
            $pages = get_posts( array( 'post_type' => $post_type, 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    if($type){
                        $page_list[] = array(
                            'value' => $page->ID,
                            'label' => $page->post_title,
                        );
                    }else{
                        $page_list[$page->ID] = $page->post_title;
                    }
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}
//Get list header page
if(!function_exists('s7upf_list_header_page'))
{
    function s7upf_list_header_page()
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        $page_list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','sport')
        );
        /* $args= array(
         'post_type' => 's7upf_header',
         'posts_per_page' => -1,
         );
         $query = new WP_Query($args);
         if($query->have_posts()): while ($query->have_posts()):$query->the_post();
                 $page_list[] = array(
                     'value' => $post->ID,
                     'label' => $post->post_title
                 );
             endwhile;
         endif;
         wp_reset_postdata();
         return $page_list;*/

        if(is_admin()){
            $pages = get_posts( array( 'post_type' => 's7upf_header', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    $page_list[] = array(
                        'value' => $page->ID,
                        'label' => $page->post_title,
                    );
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}

//Get list footer page
if(!function_exists('s7upf_list_footer_page'))
{
    function s7upf_list_footer_page()
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        $page_list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','sport')
        );
        /*   $args= array(
               'post_type' => 's7upf_footer',
               'posts_per_page' => -1,
           );
           $query = new WP_Query($args);
           if($query->have_posts()): while ($query->have_posts()):$query->the_post();
               $page_list[] = array(
                   'value' => $post->ID,
                   'label' => $post->post_title
               );
           endwhile;
           endif;
           wp_reset_postdata();
           return $page_list;*/

        if(is_admin()){
            $pages = get_posts( array( 'post_type' => 's7upf_footer', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    $page_list[] = array(
                        'value' => $page->ID,
                        'label' => $page->post_title,
                    );
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}

if(!function_exists('s7upf_get_data_isset')){
    function s7upf_get_data_isset($parent,$key){
        if(is_array($parent) && count($parent) > 0){
            if(isset($parent[$key])){
                return $parent[$key];
            }else{
                return '';
            }
        }else{
            return '';
        }
    }
}
//Get list sidebar
if(!function_exists('s7upf_get_sidebar_ids'))
{
    function s7upf_get_sidebar_ids($for_optiontree=false)
    {
        global $wp_registered_sidebars;
        $r=array();
        $r[]=esc_html__('--Select--','sport');
        if(!empty($wp_registered_sidebars)){
            foreach($wp_registered_sidebars as $key=>$value)
            {

                if($for_optiontree){
                    $r[]=array(
                        'value'=>$value['id'],
                        'label'=>$value['name']
                    );
                }else{
                    $r[$value['id']]=$value['name'];
                }
            }
        }
        return $r;
    }
}
if(!function_exists('s7upf_get_size_image')){
    function s7upf_get_size_image($default, $value = ''){
        $return = $default;
        if(strpos($value,'x')){
            $size_arr = explode('x',$value);
            if(is_array($size_arr) and count($size_arr) == 2){
                $return = $size_arr;
            }
        }else{
            if($value != '' and !empty($value)){
                $return = $value;
            }else if(strpos($default,'x')){
                $size_arr = explode('x',$default);
                if(is_array($size_arr) and count($size_arr) == 2){
                    $return = $size_arr;
                }
            }
        }
        return $return;
    }
}

if(!function_exists('s7upf_get_vc_build_link')){
    function s7upf_get_vc_build_link($link='' , $class='' , $get_link=false , $title_text= null , $attr_title = false,$before ='',$after=''){
        $text = '';

        if ( ! empty( $link ) and function_exists('vc_build_link')) {
            $link = vc_build_link( $link );
            if(empty($title_text) and !empty($link['title'])) $title_text = $link['title'];
            if(!empty($title_text))
            $text = '<a class="'.$class.'" '.(($link['url']) ? 'href="'.esc_url( $link['url'] ).'"':''). ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' ) . ( $link['rel'] ? ' rel="' . esc_attr( $link['rel'] ) . '"' : '' ) . ( ($link['title'] and $attr_title == true) ? ' title="' . esc_attr( $link['title'] ) . '"' : '' ) . '>'.$before.'' . $title_text . ''.$after.'</a>';

            if($get_link == true and isset($link['url'])){
                $text = esc_url($link['url']);
            }
        }

        return $text;
    }
}
if(!function_exists('s7upf_get_image_by_animation')) {
    function s7upf_get_image_by_animation($image_id='', $link_image='',$image_size = 'full',$animation_img=''){
        $img_link=vc_build_link($link_image);
        if(!empty($image_id)){ ?>
        <a class="adv-thumb-link <?php echo esc_attr($animation_img); ?>"  href="<?php echo (!empty($img_link['url']))? esc_url($img_link['url']):'#'; ?>" <?php if(empty($img_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($img_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($img_link['rel'])) echo'rel="' .esc_attr( $img_link['rel'] ) . '"'?>>
            <?php echo wp_get_attachment_image($image_id,$image_size); ?>
            <?php if($animation_img === 'zoom-out') echo wp_get_attachment_image($image_id,$image_size); ?>
        </a>
        <?php
        }
    }
}

//Get list mega menu page
if(!function_exists('s7upf_list_meage_menu_page'))
{
    function s7upf_list_meage_menu_page()
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        $page_list[''] = esc_html__('None','sport');
        /* $args= array(
             'post_type' => 's7upf_mega_item',
             'posts_per_page' => -1,
         );
         $query = new WP_Query($args);
         if($query->have_posts()): while ($query->have_posts()):$query->the_post();
             $page_list[$post->ID] = $post->post_title;
         endwhile;
         endif;
         wp_reset_postdata();
         return $page_list;
         */
        if(is_admin()){
            $pages = get_posts( array( 'post_type' => 's7upf_mega_item', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    $page_list[$page->ID] = $page->post_title;
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}
if (!function_exists('s7upf_convert_array')) {

    function s7upf_convert_array($old_array)
    {
        $new_array = array();
        foreach ($old_array as $key => $value) {
            $new_array[$value] = $key;
        }
        return $new_array;
    }
}

if(!function_exists('s7upf_get_order_list_shop')) {
    function s7upf_get_order_list_shop($current = false, $extra = array(), $return = 'array')
    {
        $default = array(
            'none' => esc_html__('None', 'sport'),
            'ID' => esc_html__('Product ID', 'sport'),
            'author' => esc_html__('Author', 'sport'),
            'title' => esc_html__('Product Title', 'sport'),
            'date' => esc_html__('Product Date', 'sport'),
            'modified' => esc_html__('Last Modified Date', 'sport'),
            'parent' => esc_html__('Product Parent', 'sport'),
            'rand' => esc_html__('Random', 'sport'),
            'comment_count' => esc_html__('Comment Count', 'sport'),
            'popularity' => esc_html__('Product popularity - Best Seller','sport'),
            'rating' => esc_html__('Rating','sport'),
            'mostview' => esc_html__('Most View','sport'),
            'price' => esc_html__('Sort by price','sport'),
        );

        if (!empty($extra) and is_array($extra)) {
            $default = array_merge($default, $extra);
        }

        if ($return == "array") {
            return $default;
        } elseif ($return == 'option') {
            $html = '';
            if (!empty($default)) {
                foreach ($default as $key => $value) {
                    $selected = selected($value, $current, false);
                    $html .= "<option {$selected} value='{$value}'>{$key}</option>";
                }
            }
            return $html;
        }
    }
}

if(!function_exists('s7upf_get_metabox_check_on_off_shop_cat')){
    function s7upf_get_metabox_check_on_off_shop_cat($cat_id, $option_id, $key_check, $default = ''){
        $value = $default;
        if(class_exists('woocommerce')) {
            if (is_product_category()) {
                $t_id = get_queried_object()->term_id;

                $check = get_term_meta($t_id,$key_check,true);
                if($check == ''){
                    $value = s7upf_get_option($option_id);
                }else{

                    $value = get_term_meta($t_id, $cat_id, true);
                }
            }else{
                $value = s7upf_get_option($option_id);
            }
        }

        return $value;
    }
}
//get data by key of cat
if(!function_exists('s7upf_get_metabox_shop_cat')){
    function s7upf_get_metabox_shop_cat($cat_id, $option_id, $default = ''){
        $value = $default;
        if(class_exists('woocommerce')) {
            if (is_product_category()) {
                $t_id = get_queried_object()->term_id;
                $value = get_term_meta($t_id, $cat_id, true);

            }
        }
        if(empty($value)){
            $value = s7upf_get_option($option_id);
        }

        return $value;
    }
}
// get list attribute
if(!function_exists('s7upf_list_attribute_product'))
{
    function s7upf_list_attribute_product($show_all = true)
    {
        if($show_all) $attribute_array = array('--Select--' => '');
        else $attribute_array = array();
        $attribute_taxonomies = wc_get_attribute_taxonomies();
        if ($attribute_taxonomies) {
            foreach ($attribute_taxonomies as $key=>$tax) {
                if (taxonomy_exists(wc_attribute_taxonomy_name($tax->attribute_name))) {
                    $attribute_array[$tax->attribute_label]=$tax->attribute_name;
                }
            }
        }
        return $attribute_array;
    }
}

//Get order list
if(!function_exists('s7upf_get_order_list'))
{
    function s7upf_get_order_list($current=false,$extra=array(),$return='array')
    {
        $default = array(
            esc_html__('None','sport')               => 'none',
            esc_html__('Post ID','sport')            => 'ID',
            esc_html__('Author','sport')             => 'author',
            esc_html__('Post Title','sport')         => 'title',
            esc_html__('Post Name','sport')          => 'name',
            esc_html__('Post Date','sport')          => 'date',
            esc_html__('Last Modified Date','sport') => 'modified',
            esc_html__('Post Parent','sport')        => 'parent',
            esc_html__('Random','sport')             => 'rand',
            esc_html__('Comment Count','sport')      => 'comment_count',
            esc_html__('View Post','sport')          => 'post_views',
            esc_html__('Custom Modified Date','sport')=> 'time_update',            
        );

        if(!empty($extra) and is_array($extra))
        {
            $default=array_merge($default,$extra);
        }

        if($return=="array")
        {
            return $default;
        }elseif($return=='option')
        {
            $html='';
            if(!empty($default)){
                foreach($default as $key=>$value){
                    $selected=selected($value,$current,false);
                    $html.="<option {$selected} value='{$value}'>{$key}</option>";
                }
            }
            return $html;
        }
    }
}

// Get sidebar
if(!function_exists('s7upf_get_sidebar'))
{
    function s7upf_get_sidebar()
    {
        $default=array(
            'position'=>'right',
            'id'      =>'blog-sidebar'
        );

        return apply_filters('s7upf_get_sidebar',$default);
    }
}

//Favicon
if(!function_exists('s7upf_load_favicon') )
{
    function s7upf_load_favicon()
    {
        $value = s7upf_get_option('favicon');
        $favicon = (isset($value) && !empty($value))?$value:false;
        if($favicon)
            echo '<link rel="Shortcut Icon" href="' . esc_url( $favicon ) . '" type="image/x-icon" />' . "\n";
    }
}
if(!function_exists( 'wp_site_icon' ) ){
    add_action( 'wp_head','s7upf_load_favicon');
    add_action('login_head', 's7upf_load_favicon');
    add_action('admin_head', 's7upf_load_favicon');
}

//Fill css background
if(!function_exists('s7upf_fill_css_background'))
{
    function s7upf_fill_css_background($data)
    {
        $string = '';
        if(!empty($data['background-color'])) $string .= 'background-color:'.$data['background-color'].';'."\n";
        if(!empty($data['background-repeat'])) $string .= 'background-repeat:'.$data['background-repeat'].';'."\n";
        if(!empty($data['background-attachment'])) $string .= 'background-attachment:'.$data['background-attachment'].';'."\n";
        if(!empty($data['background-position'])) $string .= 'background-position:'.$data['background-position'].';'."\n";
        if(!empty($data['background-size'])) $string .= 'background-size:'.$data['background-size'].';'."\n";
        if(!empty($data['background-image'])) $string .= 'background-image:url("'.$data['background-image'].'");'."\n";
        if(!empty($string)) return S7upf_Assets::build_css($string);
        else return false;
    }
}

// Get list menu
if(!function_exists('s7upf_list_menu_name'))
{
    function s7upf_list_menu_name()
    {
        $menu_nav = wp_get_nav_menus();
        $menu_list = array('Default' => '');
        if(is_array($menu_nav) && !empty($menu_nav))
        {
            foreach($menu_nav as $item)
            { 
                if(is_object($item))
                {
                    $menu_list[$item->name] = $item->slug;
                }
            }
        }
        return $menu_list;
    }
}

//get option both id
if(!function_exists('s7upf_get_option_both_id')){
    function s7upf_get_option_both_id($id_option, $id_metabox, $key_check, $value=NULL){
        $key_check_metabox = get_post_meta(get_the_ID(),$key_check,true);
        $key_check_option = s7upf_get_option($key_check);
        if('on' == $key_check_option){
            $value = s7upf_get_option($id_option,$value);
        }
        if('on'==$key_check_metabox){
            $value = get_post_meta(get_the_ID(),$id_metabox,true);
        }else if('off' == $key_check_metabox){
            return;
        }
        return $value;
    }
}
//Display Banner
if(!function_exists('s7upf_display_banner'))
{
    function s7upf_display_banner()
    {
        if(is_single()){
            $enable_banner = s7upf_get_value_by_id('enable_banner_single');
            $bg_image_banner = s7upf_get_option_both_id('bg_image_banner_blog_single','bg_image_banner_blog_single','enable_banner_single');
            $title_banner = s7upf_get_option_both_id('title_banner_blog_single','title_banner_blog_single','enable_banner_single');
            if(class_exists('WC_Product') and is_woocommerce()){
                $enable_banner = s7upf_get_value_by_id('s7upf_show_banner_product_detail');
                $bg_image_banner =  s7upf_get_option_both_id('s7upf_banner_bg_product_detail','s7upf_banner_bg_product_detail','s7upf_show_banner_product_detail');
                $title_banner =  s7upf_get_option_both_id('s7upf_banner_title_product_detail','s7upf_banner_title_product_detail','s7upf_show_banner_product_detail');
            }
        }else if(is_search()){
            $enable_banner = s7upf_get_option('enable_banner_blog_list');
            $bg_image_banner = s7upf_get_option('bg_image_banner_blog_list');
            if(have_posts()){
                $title_banner = esc_html__('Search result for "','sport').get_search_query().'"';
            }else{
                $title_banner = esc_html__('Nothing Found!','sport');
            }
        }else if(is_archive()){
            $enable_banner = s7upf_get_option('enable_banner_blog_list');
            $title_banner = get_the_archive_title();
            $bg_image_banner = s7upf_get_option('bg_image_banner_blog_list');
            if(class_exists('WC_Product') and is_woocommerce()){
                $enable_banner = s7upf_get_metabox_shop_cat('s7upf_show_banner_product_list','s7upf_show_banner_product_list');
                $bg_image_banner =  s7upf_get_metabox_check_on_off_shop_cat('cat-banner-image','s7upf_banner_bg_product_list','s7upf_show_banner_product_list');
                if(is_shop()){
                    $title_banner =  s7upf_get_option('s7upf_banner_title_product_list');
                }else if(is_product_category()){
                    $title_banner =  s7upf_get_metabox_check_on_off_shop_cat('cat-title-banner','s7upf_banner_title_product_list','s7upf_show_banner_product_list');
                }
            }
        }else if(is_home()){
            $enable_banner = s7upf_get_option('enable_banner_blog_list');
            $title_banner = s7upf_get_option('title_banner_blog_list');
            $bg_image_banner = s7upf_get_option('bg_image_banner_blog_list');
        }else if(is_page()){
            $enable_banner = get_post_meta(get_the_ID(),'enable_banner_page',true);
            $title_banner = get_post_meta(get_the_ID(),'title_banner_blog_page',true);
            $bg_image_banner = get_post_meta(get_the_ID(),'bg_image_banner_blog_page',true);

        }else if(is_404()){
            $enable_banner = s7upf_get_option('enable_banner_404_page');
            $title_banner =  s7upf_get_option('title_banner_404_page');
            $bg_image_banner =  s7upf_get_option('bg_image_banner_404_page');
        }else{
            $title_banner = '';
            $bg_image_banner = '';
            $enable_banner = 'off';
        }

        if($enable_banner == 'on'){ ?>
            <?php if(!empty($title_banner)) {?><h2 class="title18 title-box5"><?php echo do_shortcode($title_banner); ?></h2><?php } ?>
            <?php if(!empty($bg_image_banner)) { ?>
                <div class="shop-banner banner-adv line-scale">
                    <a href="#" class="adv-thumb-link"><img src="<?php echo esc_url($bg_image_banner)?>" alt=""></a>
                </div>
            <?php }?>

        <?php }
    }
}

//Display BreadCrumb
if(!function_exists('s7upf_display_breadcrumb'))
{
    function s7upf_display_breadcrumb()
    {
        $enable_breadcrumb = s7upf_get_option('s7upf_show_breadrum');
        if(is_single()){
            $enable_breadcrumb = s7upf_get_value_by_id('s7upf_show_breadrum');
            if(class_exists('WC_Product') and is_woocommerce()){
                $enable_breadcrumb = s7upf_get_value_by_id('s7upf_show_banner_product_detail');
            }
        }else if(is_page()){
            $enable_breadcrumb = get_post_meta(get_the_ID(),'s7upf_show_breadrumb_page',true);
        }
        if($enable_breadcrumb == 'on'){
            ?>
            <div class="bread-crumb">
                <?php if(class_exists('WC_Product') and is_woocommerce()) woocommerce_breadcrumb(); else echo s7upf_breadcrumb();?>
            </div>
        <?php }
    }
}


function s7upf_breadcrumb(){
    /* === OPTIONS === */
    $text['home']     = esc_html__('Home','sport');
    $text['category'] = esc_html__('%s','sport');
    $text['tax'] 	  = esc_html__('Archive for "%s"','sport');
    $text['search']   = esc_html__('Search Results for "%s" Query','sport');
    $text['tag']      = esc_html__('%s','sport');
    $text['author']   = esc_html__('Articles Posted by %s','sport');
    $text['404']      = esc_html__('Error 404','sport');
    $showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
    $showOnHome  = 1; // 1 - show breadcrumbs on the homepage, 0 - don't show
    $delimiter   = '<span class="delimiter">|</span>';
    $delimiter_cat   = ' ';
    $before      = '<span class="color">';
    $after       = '</span>';
    /* === END OF OPTIONS === */
    global $post;
    $homeLink = home_url() . '/';
    $linkBefore = '<span class = "mb">';
    $linkAfter = '</span>';

    $link = $linkBefore . '<a class="silver" href="%1$s">%2$s</a>' . $linkAfter;
    if (is_home() || is_front_page()) {
        if ($showOnHome == 1) echo '<div id="crumbs"><a href="' . $homeLink . '">' . $text['home'] . '</a></div>';
    } else {
        echo '<div id="crumbs" >' . sprintf($link, $homeLink, $text['home']) . $delimiter;

        if ( is_category() ) {
            $thisCat = get_category(get_query_var('cat'), false);
            if ($thisCat->parent != 0) {
                $cats = get_category_parents($thisCat->parent, TRUE, $delimiter);
                $cats = str_replace('<a', $linkBefore . '<a', $cats);
                $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                echo balanceTags($cats);
            }
            echo balanceTags($before . sprintf($text['category'], single_cat_title('', false)) . $after);
        } elseif( is_tax() ){
            $thisCat = get_category(get_query_var('cat'), false);
            if (!is_wp_error($thisCat) and $thisCat->parent != 0) {
                $cats = get_category_parents($thisCat->parent, TRUE, $delimiter);
                $cats = str_replace('<a', $linkBefore . '<a' , $cats);
                $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                echo balanceTags($cats);
            }
            echo balanceTags($before . sprintf($text['tax'], single_cat_title('', false)) . $after);

        }elseif ( is_search() ) {
            echo balanceTags($before . sprintf($text['search'], get_search_query()) . $after);
        } elseif ( is_day() ) {
            echo sprintf($link, get_year_link(get_the_time('Y')), get_the_time('Y')) . $delimiter;
            echo sprintf($link, get_month_link(get_the_time('Y'),get_the_time('m')), get_the_time('F')) . $delimiter;
            echo balanceTags($before . get_the_time('d') . $after);
        } elseif ( is_month() ) {
            echo sprintf($link, get_year_link(get_the_time('Y')), get_the_time('Y')) . $delimiter;
            echo balanceTags($before . get_the_time('F') . $after);
        } elseif ( is_year() ) {
            echo balanceTags($before . get_the_time('Y') . $after);
        } elseif ( is_single() && !is_attachment() ) {
            if ( get_post_type() != 'post' ) {
                $post_type = get_post_type_object(get_post_type());
                $slug = $post_type->rewrite;
                printf($link, $homeLink . '/' . $slug['slug'] . '/', $post_type->labels->singular_name);
                if ($showCurrent == 1) echo balanceTags($delimiter . $before . get_the_title() . $after);
            } else {
                $cat = get_the_category();
                foreach ($cat as $key=>$value){
                    if($key+1 == count($cat)){
                        $cats = get_category_parents($value, TRUE, $delimiter);
                    }else{
                        $cats = get_category_parents($value, TRUE, $delimiter_cat);
                    }
                    if ($showCurrent == 0) $cats = preg_replace("#^(.+)$delimiter$#", "$1", $cats);
                    $cats = str_replace('<a', $linkBefore . '<a' , $cats);
                    $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                    echo balanceTags($cats);
                }
                if ($showCurrent == 1) echo balanceTags($before . get_the_title() . $after);
            }
        } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
            $post_type = get_post_type_object(get_post_type());
            echo balanceTags($before . $post_type->labels->singular_name . $after);
        } elseif ( is_attachment() ) {
            $parent = get_post($post->post_parent);
            $cat = get_the_category($parent->ID); $cat = $cat[0];
            $cats = get_category_parents($cat, TRUE, $delimiter);
            $cats = str_replace('<a', $linkBefore . '<a', $cats);
            $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
            echo balanceTags($cats);
            printf($link, get_permalink($parent), $parent->post_title);
            if ($showCurrent == 1) echo balanceTags($delimiter . $before . get_the_title() . $after);
        } elseif ( is_page() && !$post->post_parent ) {
            if ($showCurrent == 1) echo balanceTags($before . get_the_title() . $after);
        } elseif ( is_page() && $post->post_parent ) {
            $parent_id  = $post->post_parent;
            $breadcrumbs = array();
            while ($parent_id) {
                $page = get_post($parent_id);
                $breadcrumbs[] = sprintf($link, get_permalink($page->ID), get_the_title($page->ID));
                $parent_id  = $page->post_parent;
            }
            $breadcrumbs = array_reverse($breadcrumbs);
            for ($i = 0; $i < count($breadcrumbs); $i++) {
                echo balanceTags($breadcrumbs[$i]);
                if ($i != count($breadcrumbs)-1) echo balanceTags($delimiter);
            }
            if ($showCurrent == 1) echo balanceTags($delimiter . $before . get_the_title() . $after);
        } elseif ( is_tag() ) {
            echo balanceTags($before . sprintf($text['tag'], single_tag_title('', false)) . $after);
        } elseif ( is_author() ) {
            global $author;
            $userdata = get_userdata($author);
            echo balanceTags($before . sprintf($text['author'], $userdata->display_name) . $after);
        } elseif ( is_404() ) {
            echo balanceTags($before . $text['404'] . $after);
        }
        if ( get_query_var('paged') ) {
            if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
            echo esc_html__('Page','sport') . ' ' . get_query_var('paged');
            if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
        }
        echo '</div>';
    }
}

//Get page value by ID
if(!function_exists('s7upf_get_value_by_id'))
{   
    function s7upf_get_value_by_id($key)
    {
        if(!empty($key)){
            $id = get_the_ID();
            if(is_front_page() && is_home()) $id = (int)get_option( 'page_on_front' );
            if(!is_front_page() && is_home()) $id = (int)get_option( 'page_for_posts' );
            if(is_archive() || is_search()) $id = 0;
            if (class_exists('woocommerce')) {
                if(is_shop()) $id = (int)get_option('woocommerce_shop_page_id');
                if(is_cart()) $id = (int)get_option('woocommerce_cart_page_id');
                if(is_checkout()) $id = (int)get_option('woocommerce_checkout_page_id');
                if(is_account_page()) $id = (int)get_option('woocommerce_myaccount_page_id');
            }
            $value = get_post_meta($id,$key,true);
            if(empty($value)) $value = s7upf_get_option($key);
            return $value;
        }
        else return 'Missing a variable of this funtion';
    }
}

//Check woocommerce page
if (!function_exists('s7upf_is_woocommerce_page')) {
    function s7upf_is_woocommerce_page() {
        if(  function_exists ( "is_woocommerce" ) && is_woocommerce()){
                return true;
        }
        $woocommerce_keys   =   array ( "woocommerce_shop_page_id" ,
                                        "woocommerce_terms_page_id" ,
                                        "woocommerce_cart_page_id" ,
                                        "woocommerce_checkout_page_id" ,
                                        "woocommerce_pay_page_id" ,
                                        "woocommerce_thanks_page_id" ,
                                        "woocommerce_myaccount_page_id" ,
                                        "woocommerce_edit_address_page_id" ,
                                        "woocommerce_view_order_page_id" ,
                                        "woocommerce_change_password_page_id" ,
                                        "woocommerce_logout_page_id" ,
                                        "woocommerce_lost_password_page_id" ) ;
        foreach ( $woocommerce_keys as $wc_page_id ) {
                if ( get_the_ID () == get_option ( $wc_page_id , 0 ) ) {
                        return true ;
                }
        }
        return false;
    }
}

//navigation
if(!function_exists('s7upf_paging_nav'))
{
    function s7upf_paging_nav()
    {
        // Don't print empty markup if there's only one page.
        if ( $GLOBALS['wp_query']->max_num_pages < 2 ) {
            //return;
        }

        $paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
        $pagenum_link = html_entity_decode( get_pagenum_link() );
        $query_args   = array();
        $url_parts    = explode( '?', $pagenum_link );

        if ( isset( $url_parts[1] ) ) {
            wp_parse_str( $url_parts[1], $query_args );
        }

        $pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
        $pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

        $format  = $GLOBALS['wp_rewrite']->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
        $format .= $GLOBALS['wp_rewrite']->using_permalinks() ? user_trailingslashit( 'page/%#%', 'paged' ) : '?paged=%#%';

        // Set up paginated links.
        $links = paginate_links( array(
            'base'     => $pagenum_link,
            'format'   => $format,
            'total'    => $GLOBALS['wp_query']->max_num_pages,
            'current'  => $paged,
            'mid_size' => 1,
            'add_args' => array_map( 'urlencode', $query_args ),
            'prev_text' => esc_html__( '&larr; Previous', 'sport' ),
            'next_text' => esc_html__( 'Next &rarr;', 'sport' ),
        ) );

        ?>
        <div class="sort-paginav pull-right">
            <div class="sort-bar select-box mb-post-per-page">
                <?php if(isset($_GET['order_by'])) $order_current = $_GET['order_by']; else $order_current = esc_html__('None','sport'); ?>
                <a href="#" class="dropdown-link silver"><?php echo esc_attr($order_current); ?></a>
                <ul class="list-none dropdown-list">
                    <li><a href="<?php echo esc_url(remove_query_arg('order_by'))?>"><?php echo esc_html__('None','sport')?></a></li>
                    <li><a href="<?php echo esc_url(s7upf_get_key_url('order_by','title'))?>"><?php echo esc_html__('Title','sport')?></a></li>
                    <li><a href="<?php echo esc_url(s7upf_get_key_url('order_by','date'))?>"><?php echo esc_html__('Date','sport')?></a></li>
                    <li><a href="<?php echo esc_url(s7upf_get_key_url('order_by','comment_count'))?>"><?php echo esc_html__('Comment Count','sport')?></a></li>
                    <li><a href="<?php echo esc_url(s7upf_get_key_url('order_by','rand'))?>"><?php echo esc_html__('Rand','sport')?></a></li>
                </ul>
            </div>

            <div class="show-bar select-box mb-post-per-page">
                <span class="text-uppercase"><?php echo esc_html__('Show by:','sport')?></span>
                <?php if(isset($_GET['posts_per_page'])) $number_current = $_GET['posts_per_page']; else $number_current = esc_html__('None','sport'); ?>
                <a href="#" class="dropdown-link silver"><?php echo esc_attr($number_current); ?></a>
                <ul class="list-none dropdown-list">
                    <li><a href="<?php echo esc_url(remove_query_arg('posts_per_page'))?>"><?php echo esc_html__('None','sport')?></a></li>
                    <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','6'))?>"><?php echo esc_html__('6 post','sport')?></a></li>
                    <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','12'))?>"><?php echo esc_html__('12 post','sport')?></a></li>
                    <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','24'))?>"><?php echo esc_html__('24 post','sport')?></a></li>
                </ul>
            </div>
            <?php
            if ($links) : ?>
                    <div class="pagi-bar">
                        <?php echo balanceTags($links); ?>
                    </div>
            <?php endif;
        ?> </div> <?php
    }
}

//get type url
if(!function_exists('s7upf_get_key_url')){
    function s7upf_get_key_url($key,$value){
        if(function_exists('s7upf_get_current_url')) $current_url = s7upf_get_current_url();
        else $current_url = get_the_permalink();
        if(isset($_GET[$key])){
            $current_url = str_replace('&'.$key.'='.$_GET[$key], '', $current_url);
            $current_url = str_replace('?'.$key.'='.$_GET[$key], '?', $current_url);
        }
        if(strpos($current_url,'?') > -1 ){
            $current_url .= '&amp;'.$key.'='.$value;
        }
        else {
            $current_url .= '?'.$key.'='.$value;
        }
        return $current_url;
    }
}
//Set post view
if(!function_exists('s7upf_set_post_view'))
{
    function s7upf_set_post_view($post_id=false)
    {
        if(!$post_id) $post_id=get_the_ID();

        $view=(int)get_post_meta($post_id,'post_views',true);
        $view++;
        update_post_meta($post_id,'post_views',$view);
    }
}

if(!function_exists('s7upf_get_post_view'))
{
    function s7upf_get_post_view($post_id=false)
    {
        if(!$post_id) $post_id=get_the_ID();

        return (int)get_post_meta($post_id,'post_views',true);
    }
}

//remove attr embed
if(!function_exists('s7upf_remove_w3c')){
    function s7upf_remove_w3c($embed_code){
        $embed_code=str_replace('webkitallowfullscreen','',$embed_code);
        $embed_code=str_replace('mozallowfullscreen','',$embed_code);
        $embed_code=str_replace('frameborder="0"','',$embed_code);
        $embed_code=str_replace('frameborder="no"','',$embed_code);
        $embed_code=str_replace('scrolling="no"','',$embed_code);
        $embed_code=str_replace('&','&amp;',$embed_code);
        return $embed_code;
    }
}

// MetaBox
if(!function_exists('s7upf_display_metabox'))
{
    function s7upf_display_metabox($type ='') {
        switch ($type) {
            case 'single-share':

                $enable_share_single =  s7upf_get_option('enable_share_single');
                if($enable_share_single == 'on') { ?>
                    <div class="post-social-share">
                        <p><?php echo esc_html__('Share this post with the world!','sport')?></p>
                        <ul class="list-inline-block">
                            <li><a  href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink() ?>" class="silver" target="popup" ><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
                            <li><a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink() ?>&title=<?php the_title(); ?>&summary=<?php echo get_the_excerpt() ?>" target="popup" class="silver"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
                            <li><a href="http://twitter.com/share?url=<?php the_permalink() ?>" class="silver" target="popup" ><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
                            <li><a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" class="silver" target="popup" ><i class="fa fa-google-plus" aria-hidden="true"></i></a></li>
                            <li><a  href="javascript:void((function()%7Bvar%20e=document.createElement('script');e.setAttribute('type','text/javascript');e.setAttribute('charset','UTF-8');e.setAttribute('src','http://assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e)%7D)());" class="silver"><i class="fa fa-pinterest" aria-hidden="true"></i></a></li>
                        </ul>
                    </div>
                    <?php
                }
                break;
            case 'blog':?>
                <div class="tp-meta">
                    <span class="tp-meta-date"><i class="fa fa-calendar"></i> <?php echo get_the_date('d M Y,'); ?></span> 
                    <span class="tp-meta-admin"><i class="fa fa-user"></i> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo get_the_author(); ?></a> , </span> 
                    <span class="tp-meta-comments"><i class="fa fa-comments"></i> [<?php echo get_comments_number(); ?>]
                        <a href="<?php echo esc_url( get_comments_link() ); ?>">
                            <?php 
                            if(get_comments_number()>1) esc_html_e('Comments', 'sport') ;
                            else esc_html_e('Comment', 'sport') ;
                            ?>
                        </a>
                    </span>
                </div>
                <?php
                break;

            case 'single':?>
                <div class="tp-meta">
                    <span class="tp-meta-date"><i class="fa fa-calendar"></i> <?php echo get_the_date('d M Y,'); ?></span> 
                    <span class="tp-meta-admin"><i class="fa fa-user"></i> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo get_the_author(); ?></a> , </span> 
                    <span class="tp-meta-comments"><i class="fa fa-comments"></i> [<?php echo get_comments_number(); ?>]
                        <a href="<?php echo esc_url( get_comments_link() ); ?>">
                            <?php 
                            if(get_comments_number()>1) esc_html_e('Comments', 'sport') ;
                            else esc_html_e('Comment', 'sport') ;
                            ?>
                        </a>
                    </span>
                </div>
                <?php
                break;

            default:?>
                <ul class="post_meta_links">
                    <li class="date"><?php echo get_the_time('d F Y')?></li>
                    <li class="post_by"><i><?php esc_html_e('by', 'sport');?>:</i> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo get_the_author(); ?></a></li>
                    <li class="post_categoty"><i><?php esc_html_e('in', 'sport');?>:</i>
                        <?php $cats = get_the_category_list(', ');?>
                        <?php if($cats) echo balanceTags($cats); else esc_html_e("No Category",'sport');?>
                    </li>
                    <li class="post_categoty st_post_tag"><i><?php esc_html_e('tag', 'sport');?>:</i>
                        <?php $cats = get_the_tag_list(' ',', ',' ');?>
                        <?php if($cats) echo balanceTags($cats); else esc_html_e("No Tag",'sport');?>
                    </li>
                    <li class="post_comments"><i><?php esc_html_e('note', 'sport');?>:</i> <a href="<?php echo esc_url( get_comments_link() ); ?>"><?php echo get_comments_number(); ?> 
                        <?php 
                            if(get_comments_number()>1) esc_html_e('Comments', 'sport') ;
                            else esc_html_e('Comment', 'sport') ;
                        ?>
                    </a></li>
                </ul>                
                <?php
                break;
        }
    ?>        
    <?php
    }
}
if(!function_exists('s7upf_get_header_default')){
    function s7upf_get_header_default(){
        ?>
        <div class="header-main5 mb-header-default">
            <div class="container">
                <div class="row">
                    <div class="col-md-3 col-sm-3 col-xs-7">
                        <div class="logo logo5">
                            <a href="<?php echo esc_url(home_url('/'));?>" title="<?php echo esc_attr__("logo",'sport');?>">
                                <?php $s7upf_logo=s7upf_get_option('logo');?>
                                <?php if($s7upf_logo!=''){
                                    echo '<h1 class="hidden">'.get_bloginfo('name', 'display').'</h1><img src="' . esc_url($s7upf_logo) . '" alt="logo">';
                                }   else { echo '<h1>'.get_bloginfo('name', 'display').'</h1>'; }
                                ?>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php if ( has_nav_menu( 'primary' ) ) { ?>
        <div class="header-nav5 mb-header-default">
            <div class="container">
                <div class="nav-search5">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <nav class="main-nav main-nav1">
                                    <?php
                                    wp_nav_menu( array(
                                            'theme_location' => 'primary',
                                            'container'=>false,
                                            'walker'=>new S7upf_Walker_Nav_Menu(),
                                        )
                                    ); ?>

                                <a href="#" class="toggle-mobile-menu"><span></span></a>
                            </nav>
                            <!-- End Main nav -->

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php
        }
    }
}
if(!function_exists('s7upf_get_footer_default')){
    function s7upf_get_footer_default(){
        ?>
        <div id="footer" class="default-footer">
            <div class="container">
                <p class="copyright"><?php esc_html_e("Copyright &copy; by 7up. All Rights Reserved. Designed by",'sport')?> <a href="#"><span><?php esc_html_e("7uptheme",'sport')?></span>.<?php esc_html_e("com",'sport')?></a>.</p>
            </div>
        </div>
        <?php
    }
}
if(!function_exists('s7upf_get_footer_visual')){
    function s7upf_get_footer_visual($page_id){
        ?>
        <div id="footer" class="footer-page">
            <div class="container">
                <?php echo S7upf_Template::get_vc_pagecontent($page_id);?>
            </div>
        </div>
        <?php
    }
}

if(!function_exists('s7upf_check_catelog_mode')){
    function s7upf_check_catelog_mode(){
        if ( !class_exists('WC_Product') )  return;
        $catelog_mode = s7upf_get_option('woo_catelog');
        $hide_other_page = s7upf_get_option('hide_other_page');
        $hide_detail = s7upf_get_option('hide_detail');
        $hide_admin = s7upf_get_option('hide_admin');
        $hide_shop = s7upf_get_option('hide_shop');
        $hide_price = s7upf_get_option('hide_price');
        $show_mode = 'off';
        if($catelog_mode == 'on'){
            if($hide_other_page == 'on' && !is_super_admin() && !is_shop() && !is_single()) $show_mode = 'on';
            if($hide_other_page == 'on' && $hide_admin == 'on' && is_super_admin() && !is_shop() && !is_single() ) $show_mode = 'on';
            if($hide_price == 'on' && !is_super_admin()) $show_mode = 'on';
            if($hide_price == 'on' && $hide_admin == 'on' && is_super_admin() ) $show_mode = 'on';
            if(is_shop()) {
                if($hide_shop == 'on' && !is_super_admin()) $show_mode = 'on';
                if($hide_shop == 'on' && $hide_admin == 'on' && is_super_admin()) $show_mode = 'on';
            }
            if(is_single()) {
                if($hide_detail == 'on' && !is_super_admin()) $show_mode = 'on';
                if($hide_detail == 'on' && $hide_admin == 'on' && is_super_admin()) $show_mode = 'on';
            }
        }
        return $show_mode;
    }
}
if(!function_exists('s7upf_get_header_visual')){
    function s7upf_get_header_visual($page_id){
        $get_position = get_post_meta($page_id,'s7upf_header_position',true);
        ?>
        <div class="header-page <?php if('top' === $get_position) echo 'header2 header_position-top'?>">
            <div class="container">
                <?php echo S7upf_Template::get_vc_pagecontent($page_id);?>
            </div>
        </div>
        <?php
    }
}
if(!function_exists('s7upf_get_main_class')){
    function s7upf_get_main_class(){
        $sidebar=s7upf_get_sidebar();
        $sidebar_pos=$sidebar['position'];
        $main_class = 'col-md-12 sidebar-no';
        if($sidebar_pos != 'no') $main_class = 'col-md-9 col-sm-8 col-xs-12 sidebar-yes';
        return $main_class;
    }
}
if(!function_exists('s7upf_output_sidebar')){
    function s7upf_output_sidebar($position){
        $sidebar = s7upf_get_sidebar();
        $sidebar_pos = $sidebar['position'];
        if($sidebar_pos == $position) get_sidebar();
    }
}
if(!function_exists('s7upf_fix_import_category')){
    function s7upf_fix_import_category($taxonomy){
        global $s7upf_config;
        $data = $s7upf_config['import_category'];
        if(!empty($data)){
            $data = json_decode($data,true);
            foreach ($data as $cat => $value) {
                $parent_id = 0;
                $term = get_term_by( 'slug',$cat, $taxonomy );
                $term_parent = get_term_by( 'slug', $value['parent'], $taxonomy );
                if(isset($term_parent->term_id)) $parent_id = $term_parent->term_id;
                if($parent_id) wp_update_term( $term->term_id, $taxonomy, array('parent'=> $parent_id) );
                if($value['thumbnail']){
                    if($taxonomy == 'product_cat')  update_metadata( 'woocommerce_term', $term->term_id, 'thumbnail_id', $value['thumbnail']);
                    else{
                        update_term_meta( $term->term_id, 'thumbnail_id', $value['thumbnail']);
                    }
                }
            }
        }
    }
}
if ( ! function_exists( 's7upf_get_google_link' ) ) {
    function s7upf_get_google_link() {
        $protocol = is_ssl() ? 'https' : 'http';
        $fonts_url = '';
        $fonts  = array(
                    'Poppins:300,400,700,500',
                    'Lato:300,400,700',
                );
        if ( $fonts ) {
            $fonts_url = add_query_arg( array(
                'family' => urlencode( implode( '|', $fonts ) ),
            ), $protocol.'://fonts.googleapis.com/css' );
        }

        return $fonts_url;
    }
}
// get list taxonomy
if(!function_exists('s7upf_list_taxonomy'))
{
    function s7upf_list_taxonomy($taxonomy,$show_all = true)
    {
        if($show_all) $list = array('--Select--' => '');
        else $list = array();
        if(!isset($taxonomy) || empty($taxonomy)) $taxonomy = 'category';
        $tags = get_terms($taxonomy);
        if(is_array($tags) && !empty($tags)){
            foreach ($tags as $tag) {
                $list[$tag->name] = $tag->slug;
            }
        }
        return $list;
    }
}

if(!function_exists('s7upf_get_custom_javascript')){
    function s7upf_get_custom_javascript(){
        $custom_js = s7upf_get_option('s7upf_custom_javascript');
        if(!empty($custom_js)){
            ?><script type="text/javascript"><?php
                print $custom_js;
                ?></script><?php
        }
    }
}

if(!function_exists('s7upf_get_product_taxonomy')){
    function s7upf_get_product_taxonomy($taxonomy = 'product_cat') {
        $result = array();
        $tags = get_terms($taxonomy);
        if(is_array($tags) && !empty($tags)){
            foreach ($tags as $tag) {
                $list[$tag->name] = $tag->slug;
                $result[] = array(
                    'value' => $tag->slug,
                    'label' => $tag->name,
                );
            }
        }
        return $result;
    }
}

//Compare URL
if(!function_exists('s7upf_compare_url')){
    function s7upf_compare_url($id = false){
        $html = '';
        if(class_exists('YITH_Woocompare')){
            if(!$id) $id = get_the_ID();
            $cp_link = str_replace('&', '&amp;',add_query_arg( array('action' => 'yith-woocompare-add-product','id' => $id )));
            $html = ' <a href="'.esc_url($cp_link).'" class="mb-compare product-compare compare compare-link " data-product_id="'.get_the_ID().'"></a>';
        }
        return $html;
    }
}

if(!function_exists('s7up_wishlist_url')){
    function s7up_wishlist_url(){
        $html = '';
        if(class_exists('YITH_WCWL_Init'))
            $html = ' <a href="'.esc_url(str_replace('&', '&amp;',add_query_arg( 'add_to_wishlist', get_the_ID() ))).'"  class="mb-wishlist add_to_wishlist wishlist-link" rel="nofollow" data-product-id="'.get_the_ID().'" data-product-title="'.esc_attr(get_the_title()).'"></a>';
        return $html;
    }
}

if(!function_exists('s7upf_get_rating_html')){
    function s7upf_get_rating_html($count = false,$style = ''){
        global $product;
        $html = '';
        $star = $product->get_average_rating();
        $review_count = $product->get_review_count();
        $width = $star / 5 * 100;
        $html .=    '<div class="product-rate '.esc_attr($style).'">
                        <div class="product-rating" style="width:'.$width.'%;"></div>';
        if($count) $html .= '<span>('.$review_count.'s)</span>';
        $html .=    '</div>';
        return $html;
    }
}

if(!function_exists('s7upf_show_product_loop_new_badge')){
    function s7upf_show_product_loop_new_badge($day='',$before='',$after=''){

        $html = '';
        if(is_int($day) and !empty($day))
            $day = 10;
        $postdate = get_the_time ( 'Y-m-d' );
        $postdatestamp = strtotime ( $postdate );

        if ((time () - (60 * 60 * 24 * $day)) < $postdatestamp ) {
            $html .= wp_kses_post($before);
            $html .= esc_html__('New','sport');
            $html .= wp_kses_post($after);
        }
        return $html;
    }
}

if(!function_exists('s7upf_product_loop_discount_sale')){
    function s7upf_product_loop_discount_sale()
    {
        if (!class_exists('WC_Product')) return;
        $sale = $sale_min=$sale_max='';
        global $product;
        if (!$product->is_in_stock()) return;
        $sale_price = get_post_meta($product->get_id(), '_price', true);
        $regular_price = get_post_meta($product->get_id(), '_regular_price', true);
        $array_regular_price = array();
        $array_sale_price = array();

        if ($product->get_type() == 'variable') { //then this is a variable product
            /*$available_variations = $product->get_available_variations();
            if (!empty($available_variations) and is_array($available_variations)) {
                foreach ($available_variations as $key => $value) {
                    if(!empty($value['display_regular_price']))
                    $array_regular_price[$key] = $value['display_regular_price'];
                    if(!empty($value['display_price']) and $value['display_price'] !== $value['display_regular_price'])
                    $array_sale_price[$key] = $value['display_price'];
                }
            }
            if(!empty($array_regular_price)){
                $max_regular_price = max($array_regular_price);
                $min_regular_price = min($array_regular_price);
            }
            if(!empty($array_sale_price)){
                $max_sale_price = max($array_sale_price);
                $min_sale_price = min($array_sale_price);
            }
            if(!empty($max_regular_price) and !empty($max_sale_price) and $max_regular_price > $max_sale_price){
                $sale_max = ceil((($max_regular_price - $max_sale_price) / $max_regular_price) * 100);
            }
            if(!empty($min_regular_price) and !empty($min_sale_price) and $min_regular_price > $min_sale_price){
                $sale_min = ceil((($min_regular_price - $min_sale_price) / $min_regular_price) * 100);

            }
            if(!empty($sale_min)) $sale = $sale_min;
            if(!empty($sale_max) and $sale_max !== $sale_min) $sale .= '-'.$sale_max;*/
            $sale='';
        }else if (!empty($regular_price) && !empty($sale_price) && $regular_price > $sale_price) {
            $sale = ceil((($regular_price - $sale_price) / $regular_price) * 100);
        }
        return $sale;
    }
}

if(!function_exists('s7up_get_label_new_sale_product')){
    function s7up_get_label_new_sale_product(){
        global $product;
        $class ='';
        $discount = s7upf_product_loop_discount_sale();
        $enable_new_product = s7upf_get_option('s7upf_enable_new_product');
        $day = s7upf_get_option('s7upf_number_day_new_product');
        if($product->is_on_sale()) $class= 'co-on-sale';?>
        <div class="product-sale-new">
            <?php if ( $product->is_on_sale() ) {
                if ($product->get_type() == 'variable') { ?>
                    <span class="product-label sale-label"><?php echo esc_html__('Sale off', 'sport') ?></span>

                <?php } else { ?>
                    <span class="product-label sale-label"><?php if (!empty($discount)) echo esc_attr($discount) . '%'; ?><?php echo esc_html__(' off', 'sport') ?></span>
                <?php }
            }
            if('on' === $enable_new_product){
                echo s7upf_show_product_loop_new_badge($day,'<span class="product-label new-label '.$class.'">','</span>');
            }
            ?>
        </div>
    <?php }
}
if(!function_exists('s7up_get_label_new_sale_element_product')){
    function s7up_get_label_new_sale_element_product($show_sale_label = false ,$show_new_label = false ,$day_new_product=''){
        global $product;
        $class ='';
        $discount = s7upf_product_loop_discount_sale();
        if($product->is_on_sale()) $class= 'co-on-sale';?>
        <div class="product-sale-new">
            <?php if ( $product->is_on_sale() and $show_sale_label=='true' ) {
                if ($product->get_type() == 'variable') { ?>
                    <span class="product-label sale-label"><?php echo esc_html__('Sale off', 'sport') ?></span>

                <?php } else { ?>
                    <span class="product-label sale-label"><?php if (!empty($discount)) echo esc_attr($discount) . '%'; ?><?php echo esc_html__(' off', 'sport') ?></span>
                <?php }
            }
            if($show_new_label=='true'){
                echo s7upf_show_product_loop_new_badge((int)$day_new_product,'<span class="product-label new-label '.$class.'">','</span>');
            }
            ?>
        </div>
    <?php }
}

if(!function_exists('s7upf_get_image_product_element')) {
    function s7upf_get_image_product_element($image_size = 'full', $default_image = '',$animation_img=''){
        global $post;
        $product = new WC_product(get_the_ID());
        $attachment_ids = $product->get_gallery_image_ids();
        if($animation_img == 'zoom-out') echo '<div class="banner-adv zoom-out">'
        ?>
            <a href="<?php the_permalink(); ?>" class="<?php if($animation_img=='zoom-out') echo'adv-thumb-link'; else echo'product-thumb-link '.$animation_img; ?> ">
                <?php
                if ( has_post_thumbnail() ) {
                    echo get_the_post_thumbnail(get_the_ID(), $image_size);
                }  else {
                    $dimensions = wc_get_image_size( $image_size ); ?>
                    <img src="<?php echo esc_url($default_image); ?>" width="<?php echo esc_attr( $dimensions['width'] ) ?> " height="<?php echo esc_attr( $dimensions['height'] ) ?> "  alt="<?php esc_html_e('Image Default','sport')?>" title="<?php esc_html_e('product','sport')?>" />
                    <?php
                }
                if('zoom-out' === $animation_img){
                    if(is_array($attachment_ids) and count($attachment_ids)>0){

                        foreach ($attachment_ids as $key => $value){
                            if($key == 0){
                                echo wp_get_attachment_image($value,$image_size,false);
                            }
                        }
                    } else if ( has_post_thumbnail() ) {
                        echo get_the_post_thumbnail(get_the_ID(), $image_size);
                    }  else {
                        $dimensions = wc_get_image_size( $image_size ); ?>
                        <img src="<?php echo esc_url($default_image); ?>" width="<?php echo esc_attr( $dimensions['width'] ) ?> " height="<?php echo esc_attr( $dimensions['height'] ) ?> "  alt="<?php esc_html_e('Image Default','sport')?>" />
                        <?php
                    }
                }

                ?>
            </a>
        <?php
        if($animation_img == 'zoom-out') echo '</div>';
    }
}

if(!function_exists('s7upf_get_deals_time')){
    function s7upf_get_deals_time($time = '0:0'){
        $curren_time = getdate();
        $time2 = explode(':', $time);
        $hours = $min = 0;
        if(isset($time2[0])) $hours = (int)$time2[0];
        if(isset($time2[1])) $min = (int)$time2[1];
        $data_h = $hours - $curren_time['hours'];
        $data_m = $min - $curren_time['minutes'];
        $time = $data_h*3600+$data_m*60+60-$curren_time['seconds'];
        return $time;
    }
}

// Mini cart
if(!function_exists('s7upf_mini_cart')) {
    function s7upf_mini_cart($echo = false)
    {
        $default_image = get_template_directory_uri().'/assets/images/placeholder.png';

        if (!WC()->cart->is_empty()) {
            ?>
            <h2 class="title18">(<span class="cart-item-count mb-count-ajax"><?php echo count( WC()->cart->get_cart() );?></span>)<?php echo(count( WC()->cart->get_cart() )>1)? esc_html__(' ITEMS IN MY CART','sport'): esc_html__(' ITEM IN MY CART','sport'); ?> </h2>
            <div class="list-mini-cart-item woocommerce">
                <?php foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
                    $_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
                    $product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );
                    $thumb_html = '<img alt="" src="'.$default_image.'">';
                    if(has_post_thumbnail($product_id)) $thumb_html = $_product->get_image(array(88,88));

                    $post_object = get_post( $_product->get_id() );
                    setup_postdata( $GLOBALS['post'] =& $post_object );
                    ?>
                    <div class="product-mini-cart table product mb-style-minicart" data-key="<?php echo esc_attr($cart_item_key); ?>">
                        <div class="product-thumb">
                            <a class="product-thumb-link" href="<?php echo esc_url( $_product->get_permalink( $cart_item )); ?>">
                                <?php echo wp_kses_post($thumb_html);?>
                            </a>
                            <?php
                            echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf(
                                '<a href="%s" class="remove" title="%s" data-product_id="%s" data-product_sku="%s"><i class="fa fa-trash-o" aria-hidden="true"></i></a>',
                                esc_url( wc_get_cart_remove_url( $cart_item_key ) ),
                                __( 'Remove this item', 'sport' ),
                                esc_attr( $product_id ),
                                esc_attr( $_product->get_sku() )
                            ), $cart_item_key );?>
                        </div>
                        <div class="product-info">
                            <h3 class="product-title title14">
                                <a href="<?php echo esc_url( $_product->get_permalink( $cart_item )); ?>"><?php echo esc_attr($_product->get_title()); ?></a>
                            </h3>
                            <div class="product-price">
                                <?php
                                echo apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
                                ?>
                                <div class="mini-cart-qty">x <span><?php echo esc_attr($cart_item['quantity']); ?></span></div>
                            </div>
                            <?php echo s7upf_get_rating_html(); ?>
                        </div>

                    </div>
                <?php } ?>
            </div>
            <div class="mini-cart-total clearfix">
                <strong class="pull-left title18"><?php echo esc_html__('TOTAL','sport')?></strong>
                <span class="pull-right color title18"><?php echo WC()->cart->get_cart_total(); ?></span>
            </div>
            <div class="mini-cart-button">
                <a class="mini-cart-view shop-button" href="<?php echo esc_url(wc_get_cart_url())?>"><?php echo esc_html__('View my cart ','sport')?></a>
                <a class="mini-cart-checkout shop-button" href="<?php echo esc_url(wc_get_checkout_url())?>"><?php echo esc_html__('Checkout','sport')?></a>
            </div>
            <?php
        }else{
            ?>
            <h5 class="mini-cart-head"><?php echo esc_html__("No Product in your cart.",'sport')?></h5>
            <?php
        }
    }
}

if(!function_exists('s7upf_shop_filter_html')){
    function s7upf_shop_filter_html($query,$orderby = 'menu_order',$type='grid',$select_attributes){

        if(isset($_GET['type'])){
            $type = $_GET['type'];
        }

        $number = s7upf_get_option('st_product_post_per_page');
        if(isset($_GET['number'])){
            $number = $_GET['number'];
        }
        $orderby = 'menu_order';
        if(isset($_GET['orderby'])){
            $orderby = $_GET['orderby'];
        }
        ?>

        <div class="shop-title-box">

            <h2 class="title18 title-box5"><?php if(is_product_category() and !empty($title_banner)){
                    echo esc_attr($title_banner);
                } else woocommerce_page_title(); ?></h2>
            <div class="view-type">
                <a href="<?php echo esc_url(s7upf_get_key_url('type','grid'))?>" class="grid-view <?php if('grid' === $type) echo 'active'?>"></a>
                <a href="<?php echo esc_url(s7upf_get_key_url('type','list'))?>" class="list-view <?php if('list' === $type) echo 'active'?>"></a>
            </div>
        </div>
        <?php if (!empty($s7upf_bg)) { ?>
            <div class="shop-banner banner-adv line-scale">
                <div class="adv-thumb-link"><img src="<?php echo esc_url($s7upf_bg);?>" alt="banner"></div>
            </div>
        <?php }
    }
}

if(!function_exists('s7upf_get_import_category')){
    function s7upf_get_import_category($taxonomy){
        $cats = get_terms($taxonomy);
        $data_json = '{';
        foreach ($cats as $key => $term) {
            $thumb_cat_id = get_woocommerce_term_meta( $term->term_id, 'thumbnail_id', true );
            $icon_cat_id = get_woocommerce_term_meta( $term->term_id, 'cat-icon-image', true );
            $term_pa = get_term_by( 'id',$term->parent, $taxonomy );
            if(isset($term_pa->slug)) $slug_pa = $term_pa->slug;
            else $slug_pa = '';
            if($key > 0) $data_json .= ',';
            $data_json .= '"'.$term->slug.'":{"thumbnail":"'.$thumb_cat_id.'","parent":"'.$slug_pa.'","icon":"'.$icon_cat_id.'"}';
        }
        $data_json .= '}';
        echo balanceTags($data_json);
    }
}

if(!function_exists('s7upf_fix_import_category')){
    function s7upf_fix_import_category($taxonomy){
        global $s7upf_config;
        $data = $s7upf_config['import_category'];
        if(!empty($data)){
            $data = json_decode($data,true);
            foreach ($data as $cat => $value) {
                $parent_id = 0;
                $term = get_term_by( 'slug',$cat, $taxonomy );
                $term_parent = get_term_by( 'slug', $value['parent'], $taxonomy );
                if(isset($term_parent->term_id)) $parent_id = $term_parent->term_id;
                if($parent_id) wp_update_term( $term->term_id, $taxonomy, array('parent'=> $parent_id) );
                if($value['thumbnail']){
                    if($taxonomy == 'product_cat')  update_metadata( 'woocommerce_term', $term->term_id, 'thumbnail_id', $value['thumbnail']);
                    else{
                        update_term_meta( $term->term_id, 'thumbnail_id', $value['thumbnail']);
                    }
                }
                if($value['icon']){
                    if($taxonomy == 'product_cat')  update_metadata( 'woocommerce_term', $term->term_id, 'cat-icon-image', $value['icon']);
                    else{
                        update_term_meta( $term->term_id, 'cat-icon-image', $value['icon']);
                    }
                }
            }
        }
    }
}