<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 21/07/2017
 * Time: 9:04 SA
 */

$class_color = '';
$class_color .= ' '.S7upf_Assets::build_css('color:'.$text_color.';', ' .white');
$image_size = s7upf_get_size_image('full',$bg_image_size);
if(!empty($data_banner_4) and is_array($data_banner_4)){
    ?>
    <div class="element-banner-slider4 banner-slider banner-slider5 bg-slider dot-<?php echo esc_attr($pagination); ?> <?php echo esc_attr($el_class);?> <?php echo esc_attr($class_color);?>">
        <div class="wrap-item" data-pagination="<?php echo esc_attr($pagination)?>" data-autoplay="<?php echo esc_attr($autoplay)?>" data-navigation="<?php echo esc_attr($navigation); ?>" data-itemscustom="[[0,1]]" data-transition="fade">
            <?php foreach($data_banner_4 as $value){ ?>
                <div class="item-slider">
                    <div class="banner-thumb">
                        <?php
                        if(!empty($value['bg_link'])) $bg_link = vc_build_link($value['bg_link']);
                        ?>
                        <a href="<?php echo (!empty($bg_link['url'])) ? esc_url($bg_link['url']) : '#';?>">
                            <?php if(!empty($value['bg_image'])) echo wp_get_attachment_image($value['bg_image'],$image_size); ?>
                        </a>
                    </div>
                    <div class="banner-info">
                        <div class="container">
                            <div class="banner-info5 font-bold white animated" <?php if(!empty($value['animation_css'])) echo'data-animated="'.$value['animation_css'].'"'?>>
                                <?php if(!empty($value['title'])) { ?>
                                <h3 class="title60"><?php echo do_shortcode($value['title']); ?></h3>
                                <?php } if(!empty($value['desc'])) { ?>
                                <h2><?php echo do_shortcode($value['desc']); ?></h2>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
<?php }