<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 23/05/2017
 * Time: 16:24
 */
$image_size = s7upf_get_size_image('full',$image_size);
$img_link= vc_build_link($image_link);
$class = '';
switch ($style){
    case 'style1':
        if(!empty($text_color)){
            $class .= ' '.S7upf_Assets::build_css('color:'.$text_color.';',' .banner-info');
        }?>
        <div class="element-banner1 banner-adv item-adv1 line-scale zoom-image <?php echo esc_attr($extra_class); ?> <?php echo esc_attr($class); ?>">
            <?php if(!empty($image)){ ?>
            <a class="adv-thumb-link" href="<?php echo (!empty($img_link['url']))? esc_url($img_link['url']):'#'; ?>" <?php if(empty($img_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($img_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($img_link['rel'])) echo'rel="' .esc_attr( $img_link['rel'] ) . '"'?> ><?php echo wp_get_attachment_image($image,$image_size);?></a>
            <?php } ?>
            <div class="banner-info <?php echo esc_attr($position); ?>">
                <?php if(!empty($title)){ ?>
                    <h2 class="title18"><?php echo esc_attr($title); ?></h2>
                <?php }

                echo s7upf_get_vc_build_link($button,'title14 black',false,null,false,'','<i class="fa fa-caret-down" aria-hidden="true"></i>');?>

            </div>
        </div>
        <?php
        break;
    case 'style2':
        if(!empty($text_color)){
            $class .= ' '.S7upf_Assets::build_css('color:'.$text_color.';',' .white');
        }?>
        <div class="element-banner2 banner-adv item-adv3 zoom-image  <?php echo esc_attr($extra_class); ?> <?php echo esc_attr($class); ?>">
            <?php if(!empty($image)){ ?>
                <a class="adv-thumb-link" href="<?php echo (!empty($img_link['url']))? esc_url($img_link['url']):'#'; ?>" <?php if(empty($img_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($img_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($img_link['rel'])) echo'rel="' .esc_attr( $img_link['rel'] ) . '"'?> ><?php echo wp_get_attachment_image($image,$image_size);?></a>
            <?php } ?>
            <div class="banner-info text-center">
            <?php if(!empty($title)){ ?>
                <h2 class="title30 white"><?php echo esc_attr($title); ?></h2>
            <?php }
            echo s7upf_get_vc_build_link($button,'title14 btn-caret white',false,null,false,'','<i class="fa fa-caret-right" aria-hidden="true"></i>');
            ?>
            </div>
        </div>
        <?php
        break;
    case 'style3':
        if(!empty($text_color)){
            $class .= ' '.S7upf_Assets::build_css('color:'.$text_color.';',' .white');
        }
        if(!empty($data_item_banner) and is_array($data_item_banner)) { ?>
            <div class="element-banner3 list-banner-adv4 clearfix <?php echo esc_attr($extra_class); ?> <?php echo esc_attr($class); ?>">
                <?php foreach ($data_item_banner as $value) {
                    if (!empty($value['bg_link']))
                        $img_link = vc_build_link($value['bg_link']);
                    if (!empty($value['layout']) and $value['layout'] === 'text') { ?>
                        <div class="item-adv4 banner-adv line-scale <?php if (!empty($value['effect-gray'])) echo esc_attr($value['effect-gray']); ?>  <?php if (!empty($value['animation_img'])) echo esc_attr($value['animation_img']); ?>">
                            <?php if (!empty($value['bg_image'])) { ?>
                                <a href="<?php echo (!empty($img_link['url'])) ? esc_url($img_link['url']) : '#'; ?>" <?php if (empty($img_link['url'])) echo 'onclick="return false;"'; ?>
                                   target="<?php echo (!empty($img_link['target'])) ? '_blank' : '_parent'; ?>" <?php if (!empty($img_link['rel'])) echo 'rel="' . esc_attr($img_link['rel']) . '"' ?>
                                   class="adv-thumb-link">
                                    <?php echo wp_get_attachment_image($value['bg_image'], $image_size); ?>
                                    <?php if ($value['animation_img'] === 'zoom-out') echo wp_get_attachment_image($value['bg_image'], $image_size); ?>
                                </a>
                            <?php } ?>
                            <div class="banner-info text-center white">
                                <?php if (!empty($value['title'])) { ?>
                                    <h2 class="title60"><span><?php echo esc_attr($value['title']); ?></span></h2>
                                <?php }
                                if (!empty($value['title'])) { ?>
                                    <h3 class="title14"> <?php echo esc_attr($value['desc']); ?></h3>
                                <?php } ?>
                            </div>
                        </div>
                    <?php }
                    if (!empty($value['layout']) and $value['layout'] === 'button') { ?>
                        <div class="item-adv4 banner-adv <?php if (!empty($value['effect-gray'])) echo esc_attr($value['effect-gray']); ?> <?php if (!empty($value['animation_img'])) echo esc_attr($value['animation_img']); ?>">
                            <?php if (!empty($value['bg_image'])) { ?>
                                <a href="<?php echo (!empty($img_link['url'])) ? esc_url($img_link['url']) : '#'; ?>" <?php if (empty($img_link['url'])) echo 'onclick="return false;"'; ?>
                                   target="<?php echo (!empty($img_link['target'])) ? '_blank' : '_parent'; ?>" <?php if (!empty($img_link['rel'])) echo 'rel="' . esc_attr($img_link['rel']) . '"' ?>
                                   class="adv-thumb-link">
                                    <?php echo wp_get_attachment_image($value['bg_image'], $image_size); ?>
                                    <?php if ($value['animation_img'] === 'zoom-out') echo wp_get_attachment_image($value['bg_image'], $image_size); ?>
                                </a>
                            <?php }
                            if (!empty($value['button'])) echo s7upf_get_vc_build_link($value['button'], 'btn-adv4 title14', false, null, false, '<span>', '</span>'); ?>
                        </div>
                    <?php } ?>
                <?php } ?>
            </div>
            <?php
        }
        break;
        case 'style4':
            if(!empty($text_color)){
                $class .= ' '.S7upf_Assets::build_css('color:'.$text_color.';',' .title-box5');
            } ?>
            <div class="element-banner4 <?php echo esc_attr($extra_class); ?> <?php echo esc_attr($class); ?>">
                <?php if(!empty($title)){ ?>
                    <h2 class="title18 title-box5"><?php echo esc_attr($title); ?></h2>
                <?php } ?>
                <?php if(!empty($image)){ ?>
                    <div class="shop-banner banner-adv line-scale">
                        <a class="adv-thumb-link" href="<?php echo (!empty($img_link['url']))? esc_url($img_link['url']):'#'; ?>" <?php if(empty($img_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($img_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($img_link['rel'])) echo'rel="' .esc_attr( $img_link['rel'] ) . '"'?> ><?php echo wp_get_attachment_image($image,$image_size);?></a>
                    </div>
                <?php } ?>
            </div>
            <?php
        break;
        case 'style5': ?>
            <div class="shop-thelook element-banner5 <?php if(empty($content)) echo 'no-content';  ?> <?php echo esc_attr($extra_class); ?>">
                <?php   if(!empty($data_item_banner5) and is_array($data_item_banner5)) { ?>
                    <div class="banner-slider">
                        <div class="wrap-item" data-itemscustom="[[0,1]]" data-pagination="false" data-autoplay="true" data-navigation="true">
                            <?php foreach ($data_item_banner5 as $value) {
                                if (!empty($value['bg_link']))
                                    $img_link = vc_build_link($value['bg_link']);
                                if (!empty($value['bg_image'])) { ?>
                                    <div class="banner-thumb">
                                        <a href="<?php echo (!empty($img_link['url'])) ? esc_url($img_link['url']) : '#'; ?>" <?php if (empty($img_link['url'])) echo 'onclick="return false;"'; ?>
                                           target="<?php echo (!empty($img_link['target'])) ? '_blank' : '_parent'; ?>" <?php if (!empty($img_link['rel'])) echo 'rel="' . esc_attr($img_link['rel']) . '"' ?>><?php echo wp_get_attachment_image($value['bg_image'],$image_size)?><?php if(!empty($img_link['title'])){ ?><span class="title-info title14"><?php echo esc_attr($img_link['title']);?></span><?php } ?></a>
                                    </div>
                                <?php }
                            }?>
                        </div>
                    </div>
                <?php }
                if(!empty($content)){?>
                    <div class="look-info">
                        <?php echo wpb_js_remove_wpautop($content,true); ?>
                    </div>
                <?php } ?>
            </div>
            <?php
        break;
        case 'style6':
            if(!empty($image_link_b2))
            $image_link_b2 = vc_build_link($image_link_b2);
            if($show_banner2 =='show'){ ?>
                <div class="row <?php echo esc_attr($extra_class); ?>">
                    <div class="col-md-6 col-sm-6 col-xs-6">
                        <div class="banner-adv item-adv-brand zoom-image">
                            <?php if(!empty($image)){ ?>
                                <a href="<?php echo (!empty($img_link['url']))? esc_url($img_link['url']):'#'; ?>" <?php if(empty($img_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($img_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($img_link['rel'])) echo'rel="' .esc_attr( $img_link['rel'] ) . '"'?> class="adv-thumb-link"><?php echo wp_get_attachment_image($image,$image_size,false,array('class'=>'not-height')); ?></a>
                            <?php } ?>
                            <div class="banner-info white">
                                <?php if(!empty($title)){ ?>
                                    <h2 class="title18"><?php echo esc_attr($title); ?></h2>
                                <?php }
                                echo s7upf_get_vc_build_link($button,'title14 btn-caret white',false,null,false,'','<i class="fa fa-caret-right" aria-hidden="true"></i>')
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6 col-xs-6">
                        <div class="banner-adv item-adv-brand zoom-image">
                            <?php if(!empty($image_b2)){ ?>
                                <a href="<?php echo (!empty($image_link_b2['url']))? esc_url($image_link_b2['url']):'#'; ?>" <?php if(empty($image_link_b2['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($image_link_b2['target']))?'_blank':'_parent'; ?>" <?php if(!empty($image_link_b2['rel'])) echo'rel="' .esc_attr( $image_link_b2['rel'] ) . '"'?> class="adv-thumb-link"><?php echo wp_get_attachment_image($image_b2,$image_size,false,array('class'=>'not-height')); ?></a>
                            <?php } ?>
                            <div class="banner-info white">
                                <?php if(!empty($title_b2)){ ?>
                                    <h2 class="title18"><?php echo esc_attr($title_b2); ?></h2>
                                <?php }
                                echo s7upf_get_vc_build_link($button_b2,'title14 btn-caret white',false,null,false,'','<i class="fa fa-caret-right" aria-hidden="true"></i>')
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            <?php }else{?>
                <div class="banner-adv item-adv-brand zoom-image <?php echo esc_attr($extra_class); ?>">
                    <?php if(!empty($image)){ ?>
                        <a href="<?php echo (!empty($img_link['url']))? esc_url($img_link['url']):'#'; ?>" <?php if(empty($img_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($img_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($img_link['rel'])) echo'rel="' .esc_attr( $img_link['rel'] ) . '"'?> class="adv-thumb-link"><?php echo wp_get_attachment_image($image,$image_size,false,array('class'=>'not-height')); ?></a>
                    <?php } ?>
                    <div class="banner-info white">
                        <?php if(!empty($title)){ ?>
                            <h2 class="title18"><?php echo esc_attr($title); ?></h2>
                        <?php }
                        echo s7upf_get_vc_build_link($button,'title14 btn-caret white',false,null,false,'','<i class="fa fa-caret-right" aria-hidden="true"></i>')
                        ?>
                    </div>
                </div>
            <?php
            }
        break;
        case 'style7': ?>

            <div class="element-banner-style7 banner-adv item-adv-intro <?php echo esc_attr($extra_class); ?>">
                <?php if(!empty($image)){ ?>
                    <a href="<?php echo (!empty($img_link['url']))? esc_url($img_link['url']):'#'; ?>" <?php if(empty($img_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($img_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($img_link['rel'])) echo'rel="' .esc_attr( $img_link['rel'] ) . '"'?> class="adv-thumb-link"><?php echo wp_get_attachment_image($image,$image_size,false,array('class'=>'not-height')); ?></a>
                <?php } ?>
                <div class="banner-info white">
                    <?php if(!empty($title)){ ?>
                        <h2 class="title30 font-bold"><?php echo esc_attr($title); ?></h2>
                    <?php } if(!empty($desc)){ ?>
                        <h3 class="title18 font-bold"><?php echo esc_attr($desc); ?></h3>
                        <?php
                    }
                    echo s7upf_get_vc_build_link($button,'title14 btn-caret white',false,null,false,'','<i class="fa fa-caret-right" aria-hidden="true"></i>')
                    ?>
                </div>
            </div>
            <?php
        break;
        case 'style8': ?>
            <div class="element-banner-style8 item-adv1 banner-adv <?php echo esc_attr($bg_animation); ?> <?php echo esc_attr($extra_class); ?>">
                <?php if(!empty($image)){ ?>
                    <a href="<?php echo (!empty($img_link['url']))? esc_url($img_link['url']):'#'; ?>" <?php if(empty($img_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($img_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($img_link['rel'])) echo'rel="' .esc_attr( $img_link['rel'] ) . '"'?> class="adv-thumb-link"><?php echo wp_get_attachment_image($image,$image_size,false,array('class'=>'not-height')); ?></a>
                <?php }
                if(!empty($content)){?>
                    <div class="banner-info  <?php echo esc_attr($position); ?>">
                        <?php echo wpb_js_remove_wpautop($content,true); ?>
                    </div>
                <?php } ?>
            </div>
            <?php
        break;
    default :
        if(empty($number_item_desktop)) $number_item_desktop='1';
        if($number_item_desktop==1) $number_item = '1'; else $number_item='2'?>
        <div class="element-banner-style9 new-col 5  <?php echo esc_attr($extra_class); ?>">
            <?php if(!empty($title)){ ?>
            <h2 class="title18 title-box5"><?php echo esc_attr($title); ?></h2>
            <?php }
            if(!empty($data_item_banner9) and is_array($data_item_banner9)){?>
            <div class="newcol-slider5">
                <div class="wrap-item group-navi" data-navigation="true" data-pagination="false" data-itemscustom="[[0,1],[600,<?php echo esc_attr($number_item)?>],[990,<?php echo esc_attr($number_item_desktop)?>]]">
                    <?php foreach ($data_item_banner9 as $value){
                        if (!empty($value['bg_link']))
                            $img_link = vc_build_link($value['bg_link']);?>
                        <div class="banner-adv zoom-image item-col5">
                            <?php if(!empty($value['bg_image'])){ ?>
                                <a class="adv-thumb-link" href="<?php echo (!empty($img_link['url'])) ? esc_url($img_link['url']) : '#'; ?>" <?php if (empty($img_link['url'])) echo 'onclick="return false;"'; ?>
                                target="<?php echo (!empty($img_link['target'])) ? '_blank' : '_parent'; ?>" <?php if (!empty($img_link['rel'])) echo 'rel="' . esc_attr($img_link['rel']) . '"' ?>>
                                <?php echo wp_get_attachment_image($value['bg_image'],$image_size)?>
                                </a>
                            <?php } ?>
                            <div class="col-info5 text-center">
                                <?php if(!empty($value['title'])){ ?>
                                <h2 class="title14"><span><?php echo esc_attr($value['title']); ?></span></h2>
                            <?php } if(!empty($value['desc'])){ ?>
                                <p class="desc"><?php echo esc_attr($value['desc']); ?></p>
                            <?php } if(!empty($img_link['title'])){ ?>
                                <a href="<?php echo (!empty($img_link['url'])) ? esc_url($img_link['url']) : '#'; ?>" class="btn-arrow title14" tabindex="0"><span><?php echo esc_attr($img_link['title']); ?></span></a>
                            <?php } ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <?php } ?>
        </div>
        <?php
        break;
}