<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 12/04/2017
 * Time: 10:08
 */
$image_size = s7upf_get_size_image('600x400',$image_size);
$data_date=get_option('date_format');
if(!empty($date_format))
    $data_date= $date_format;
if($query->have_posts()){
    ?><div class="list-blog-post element-blog-style1 <?php echo esc_attr($extra_class); ?>">
    <?php
    while ($query->have_posts()) {
        $query->the_post(); ?>
            <div class="item-blog-post">
                <div class="row">
                    <div class="col-md-5 col-sm-5 col-xs-12">
                        <?php
                        if('off' === $post_format){
                            if(has_post_thumbnail()) { ?>
                                <div class="post-thumb">
                                    <a href="<?php the_permalink(); ?>" class="post-thumb-link"><?php the_post_thumbnail($image_size); ?></a>
                                </div>
                            <?php }
                        }else {
                            echo S7upf_Template::load_view('blog-content/media-post',false,array(
                                'image_size' => $image_size,
                            ));
                        }
                        ?>
                    </div>
                    <div class="col-md-7 col-sm-7 col-xs-12">
                        <div class="post-info">
                            <div class="post-title-date">
                                <div class="postdate">
                                    <strong class="title30"><?php echo get_the_date('d'); ?></strong>
                                    <span class="title12"><?php echo get_the_date('M Y'); ?></span>
                                </div>
                                <div class="post-title-comment">
                                    <h2 class="title14"><a href="<?php the_permalink(); ?>">
                                            <?php the_title(); ?>
                                        </a></h2>
                                    <ul class="list-inline-block">
                                        <li> <span><?php echo esc_html__('Posted By', 'sport')?></span> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" class="silver"><?php echo get_the_author(); ?></a></li>
                                        <li>
                                            <span><?php echo get_comments_number(); ?> </span>
                                            <a href="<?php echo esc_url( get_comments_link() ); ?>" class="silver"><?php
                                                if(get_comments_number()>1) esc_html_e('Comments', 'sport') ;
                                                else esc_html_e('Comments', 'sport') ;
                                                ?>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <p class="desc">
                                <?php if(!empty($word_excerpt)){ ?>
                                    <?php if ( has_excerpt( get_the_ID()) )
                                        echo balanceTags(wp_trim_words( get_the_excerpt(), $word_excerpt , '...' ), true); ?>
                                <?php } ?>
                            </p>
                            <a href="<?php the_permalink(); ?>" class="title14 readmore"><?php echo esc_html__('Read More','sport'); ?></a>
                        </div>
                    </div>
                </div>
            </div>
            <!-- End Item -->

        <?php
    }
    ?></div><?php
} ?>
<div class="sort-paginav pull-right">
    <?php if('on' === $show_bar){ ?>
        <div class="sort-bar select-box  mb-post-per-page">
            <?php if(isset($_GET['order_by'])) $order_current = $_GET['order_by']; else $order_current = esc_html__('None','sport'); ?>
            <a href="#" class="dropdown-link silver"><?php echo esc_attr($order_current); ?></a>
            <ul class="list-none dropdown-list">
                <li><a href="<?php echo esc_url(remove_query_arg('order_by'))?>"><?php echo esc_html__('None','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('order_by','title'))?>"><?php echo esc_html__('Title','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('order_by','date'))?>"><?php echo esc_html__('Date','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('order_by','comment_count'))?>"><?php echo esc_html__('Comment Count','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('order_by','rand'))?>"><?php echo esc_html__('Rand','sport')?></a></li>
            </ul>
        </div>
    <?php } if('on' === $show_bar){ ?>
        <div class="show-bar select-box  mb-post-per-page">
            <span class="text-uppercase"><?php echo esc_html__('Show by:','sport')?></span>
            <?php if(isset($_GET['posts_per_page'])) $number_current = $_GET['posts_per_page']; else $number_current = esc_html__('None','sport'); ?>
            <a href="#" class="dropdown-link silver"><?php echo esc_attr($number_current); ?></a>
            <ul class="list-none dropdown-list">
                <li><a href="<?php echo esc_url(remove_query_arg('posts_per_page'))?>"><?php echo esc_html__('None','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','6'))?>"><?php echo esc_html__('6 post','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','12'))?>"><?php echo esc_html__('12 post','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','24'))?>"><?php echo esc_html__('24 post','sport')?></a></li>
            </ul>
        </div>
    <?php } if('on' === $pagination){ ?>
        <div class="pagi-bar"> <?php
        $big = 999999999;
        echo paginate_links(array(
            'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
            'format' => '&page=%#%',
            'current' => max(1, $paged),
            'total' => $query->max_num_pages,
            'mid_size' => 1,
            'type' => 'plain',
            'prev_text' => '<i class="fa fa-angle-double-left" aria-hidden="true"></i> Previous',
            'next_text' => 'Next <i class="fa fa-angle-double-right" aria-hidden="true"></i>',
        ));
        ?> </div>
    <?php } ?>
</div>
