<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 28/06/2017
 * Time: 5:08 CH
 */
if(empty($number_item_desktop)) $number_item_desktop = '3';
$image_size  = s7upf_get_size_image('600x600',$image_size);
switch ($style){
    case 'style1':
        if(!empty($data_category_info) and is_array($data_category_info)){ ?>
            <div class="element-category-box1 category-slider <?php echo esc_attr($el_class); ?> ">
                <div class="wrap-item middle-navi" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-pagination="<?php echo esc_attr($pagination); ?>" data-navigation="<?php echo esc_attr($navigation); ?>" data-itemscustom="[[0,1],[600,2],[980,3],[1200,4],[1366,<?php echo esc_attr($number_item_desktop); ?>]]">
                    <?php foreach ($data_category_info as $value){
                        if(!empty($value['link'])) $link = vc_build_link($value['link']); ?>
                        <div class="cat-item">
                            <?php if(!empty($value['image'])){ ?>
                                <a href="<?php echo (!empty($link['url']))? esc_url($link['url']):'#'; ?>" <?php if(empty($link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($link['rel'])) echo'rel="' .esc_attr( $link['rel'] ) . '"'?> class="cat-thumb-link">
                                    <?php echo wp_get_attachment_image($value['image'],$image_size); ?>
                                </a>
                            <?php } ?>
                            <div class="cat-info clearfix">
                                <?php if(!empty($value['title'])){ ?>
                                    <a href="<?php echo (!empty($link['url']))? esc_url($link['url']):'#'; ?>" <?php if(empty($link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($link['rel'])) echo'rel="' .esc_attr( $link['rel'] ) . '"'?> class="pull-left title18 white"><?php echo esc_attr($value['title']); ?></a>
                                <?php }
                                if(!empty($value['link'])) echo s7upf_get_vc_build_link($value['link'],'pull-right title14 white btn-caret',false,null,false,'','<i class="fa fa-caret-right" aria-hidden="true"></i>'); ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <?php
        }
        break;
    case 'style2':
        if(!empty($data_category_info2) and is_array($data_category_info2)){ ?>
            <div class="element-category-box2 hot-cat8 <?php if(empty($title)) echo 'not-title'; ?> <?php echo esc_attr($el_class); ?>">
                <?php if(!empty($title)) { ?><h2 class="title18"><?php echo esc_attr($title)?></h2><?php } ?>
                <div class="hotcat-slider3">
                    <div class="wrap-item group-navi style2" data-itemscustom="[[0,1],[480,2],[768,3],[990,<?php echo esc_attr($number_item_desktop); ?>]]" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-pagination="<?php echo esc_attr($pagination); ?>" data-navigation="<?php echo esc_attr($navigation); ?>">
                        <?php foreach ($data_category_info2 as $value){
                            $product_count = '';
                            if(!empty($value['product_category'])){ $category =  explode(',',$value['product_category']);
                                if(is_array($category)){
                                    foreach ($category as $cart) {
                                        $term = get_term_by('slug', $cart, 'product_cat');

                                        $product_count = (int)$product_count + (int)$term->count;
                                    }
                                }
                            }
                            if(!empty($value['link'])) $link = vc_build_link($value['link']); ?>
                            <div class="cat-item3 border text-center">
                                <?php if(!empty($value['image'])){ ?>
                                <div class="banner-adv zoom-out">
                                    <a href="<?php echo (!empty($link['url']))? esc_url($link['url']):'#'; ?>" <?php if(empty($link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($link['rel'])) echo'rel="' .esc_attr( $link['rel'] ) . '"'?> class="adv-thumb-link">
                                        <?php echo wp_get_attachment_image($value['image'],$image_size); ?>
                                        <?php echo wp_get_attachment_image($value['image'],$image_size); ?>
                                    </a>
                                </div>
                                <?php } ?>
                                <?php if(!empty($value['title'])){ ?>
                                <div class="cat-title">
                                    <a href="<?php echo (!empty($link['url']))? esc_url($link['url']):'#'; ?>" <?php if(empty($link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($link['rel'])) echo'rel="' .esc_attr( $link['rel'] ) . '"'?>>
                                       <span class="title14"> <?php echo esc_attr($value['title']); ?></span><?php if(!empty($product_count)){ ?><span class="silver">(<?php echo esc_attr($product_count); ?>)</span><?php } ?>
                                    </a>
                                </div>
                                <?php } ?>
                            </div>
                        <?php } ?>

                    </div>
                </div>
            </div>
            <?php
        }
        break;
        case 'style3':
        if(!empty($data_category_info2) and is_array($data_category_info2)){ ?>
            <div class="category-slider6 <?php echo esc_attr($el_class); ?>">
                <div class="wrap-item middle-navi" data-itemscustom="[[0,1],[480,2],[768,3],[990,<?php echo esc_attr($number_item_desktop); ?>]]" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-pagination="<?php echo esc_attr($pagination); ?>" data-navigation="<?php echo esc_attr($navigation); ?>">
                    <?php foreach ($data_category_info2 as $value){
                        $product_count = '';
                        if(!empty($value['product_category'])){ $category =  explode(',',$value['product_category']);
                            if(is_array($category)){
                                foreach ($category as $cart) {
                                    $term = get_term_by('slug', $cart, 'product_cat');

                                    $product_count = (int)$product_count + (int)$term->count;
                                }
                            }
                        }
                        if(!empty($value['link'])) $link = vc_build_link($value['link']); ?>
                        <div class="cat-item6 border">
                            <div class="banner-adv zoom-image">
                                <?php if(!empty($value['image'])){ ?>
                                    <a href="<?php echo (!empty($link['url']))? esc_url($link['url']):'#'; ?>" <?php if(empty($link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($link['rel'])) echo'rel="' .esc_attr( $link['rel'] ) . '"'?> class="adv-thumb-link">
                                        <?php echo wp_get_attachment_image($value['image'],$image_size); ?>
                                    </a>
                                <?php } ?>
                                <?php if(!empty($value['title'])){ ?>
                                <div class="banner-info">
                                    <a href="<?php echo (!empty($link['url']))? esc_url($link['url']):'#'; ?>" <?php if(empty($link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($link['rel'])) echo'rel="' .esc_attr( $link['rel'] ) . '"'?>>
                                       <span class="title14"> <?php echo esc_attr($value['title']); ?></span><?php if(!empty($product_count)){ ?> <span  class="pro-in-cat bg-color white round"><?php echo esc_attr($product_count); ?></span><?php } ?>
                                    </a>
                                </div>
                                <?php } ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <?php
        }
        break;
    default:
        if(!empty($data_category_info2) and is_array($data_category_info2)){ ?>
        <div class="category-slider4">
            <div class="wrap-item" data-itemscustom="[[0,1],[560,2],[990,<?php echo esc_attr($number_item_desktop); ?>]]" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-pagination="<?php echo esc_attr($pagination); ?>" data-navigation="<?php echo esc_attr($navigation); ?>">
            <?php foreach ($data_category_info2 as $value){
                if(!empty($value['link'])) $link = vc_build_link($value['link']); ?>
                <div class="cat-item4">
                    <?php if(!empty($value['title'])) { ?>
                    <h2 class="title18 border-bottom"><?php echo esc_attr($value['title']); ?></h2>
                    <?php } ?>
                    <ul class="list-inline-block text-uppercase">
                        <?php
                        if(!empty($value['product_category'])){ $category =  explode(',',$value['product_category']);
                            if(is_array($category)){
                                foreach ($category as $cart) {
                                    $term = get_term_by('slug', $cart, 'product_cat'); ?>
                                    <li>
                                        <a href="<?php echo esc_url(get_term_link($term->term_id),'product_cat'); ?>">
                                            <?php echo esc_attr($term->name); ?>
                                        </a>
                                    </li>
                                    <?php
                                }
                            }
                        }
                        if(!empty($value['link']) and !empty($link['title'])){
                            echo '<li>';
                            echo s7upf_get_vc_build_link($value['link'],'',false,null,false);
                            echo '</li>';
                        }
                        ?>
                    </ul>
                    <?php if(!empty($value['image'])){ ?>
                        <div class="banner-adv fade-out-in">
                            <a href="<?php echo (!empty($link['url']))? esc_url($link['url']):'#'; ?>" <?php if(empty($link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($link['rel'])) echo'rel="' .esc_attr( $link['rel'] ) . '"'?> class="adv-thumb-link">
                                <?php echo wp_get_attachment_image($value['image'],$image_size); ?>
                            </a>
                        </div>
                    <?php } ?>
                </div>
            <?php } ?>
            </div>
        </div>
        <?php
        }
        break;
}
