<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 22/05/2017
 * Time: 11:09
 */
$image_size = s7upf_get_size_image('full',$image_size);
switch ($style){
    case 'style1':
        if(!empty($link)) $data_link = vc_build_link($link);
        ?>
        <div class="element-info-box1 special-box border <?php echo esc_attr($el_class); ?>">
            <?php if(!empty($title)){ ?>
                <h2 class="title18 font-bold"><?php echo esc_attr($title); ?></h2>
            <?php } ?>
            <div class="box-video">
                <?php if(!empty($image)) {
                    if(!empty($link_media)){ ?>
                        <a href="<?php echo esc_url($link_media); ?>" class="video-lightbox video-popup-fancybox"><?php echo wp_get_attachment_image($image,$image_size); ?></a>
                <?php }else{ ?>
                        <a href="<?php echo (!empty($data_link['url']))? esc_url($data_link['url']):'#'; ?>" <?php if(empty($data_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($data_link['rel'])) echo'rel="' .esc_attr( $data_link['rel'] ) . '"'?> class="video-lightbox"><?php echo wp_get_attachment_image($image,$image_size); ?></a>
                        <?php
                    }
                } if(!empty($desc)){ ?>
                    <h3 class="title14"><a href="<?php echo (!empty($data_link['url']))? esc_url($data_link['url']):'#'; ?>" <?php if(empty($data_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($data_link['rel'])) echo'rel="' .esc_attr( $data_link['rel'] ) . '"'?>><?php echo esc_attr($desc); ?></a></h3>
                <?php } ?>
            </div>
        </div>
        <?php
        break;
    case 'style2':
        $class = '';
        if(!empty($color)) {
            $class .= ' '.S7upf_Assets::build_css('color:'.$color.';');
            $class .= ' '.S7upf_Assets::build_css('color:'.$color.';',' a');
        }
        ?>
        <div class="element-info-box2 footer-box <?php echo esc_attr($el_class); ?>">
            <?php if(!empty($title)){ ?>
                <h2 class="title14 black"><?php echo esc_attr($title); ?></h2>
            <?php }
            if(!empty($data_item_box2) and is_array($data_item_box2)) {
                foreach ($data_item_box2 as $value) { ?>
                    <p class="desc contact-info-footer <?php echo esc_attr($class); ?>">
                        <?php if(!empty($value['icon'])){ ?>
                        <span class="silver"><i class="fa <?php echo esc_attr($value['icon']); ?>" aria-hidden="true"></i></span>
                        <?php }
                        if(!empty($value['title'])){ ?>
                            <?php if(!empty($value['link'])) echo '<a href="'.esc_url($value['link']).'">'?>
                                <?php echo esc_attr($value['title']); ?>
                            <?php if(!empty($value['link'])) echo '</a>'?>
                        <?php } ?>
                    </p>
                <?php }
            }?>
        </div>
        <?php
        break;
    case 'style3': ?>
        <div class="element-info-box3 special-box border <?php echo esc_attr($el_class); ?>">
            <?php if(!empty($title)){ ?>
                <h2 class="title18 font-bold"><?php echo esc_attr($title); ?></h2>
            <?php } ?>
            <div class="newletter-form">
                <?php if(!empty($desc)){ ?>
                    <p class="desc"><?php echo esc_attr($desc); ?></p>
                <?php } ?>
                <?php if(!empty($shortcode)) echo do_shortcode('[mc4wp_form id="'.$shortcode.'"]');?>
            </div>
            <?php if(!empty($title_social)){ ?>
                <h2 class="title18 font-bold"><?php echo esc_attr($title_social); ?></h2>
            <?php }
            if(!empty($data_item_social) and is_array($data_item_social)){ ?>
                <div class="social-network">
                    <?php foreach ($data_item_social as $value) {
                        $class = '';
                        if(!empty($value['bg_icon'])) $class = S7upf_Assets::build_css('background:'.$value['bg_icon'].'!important;');
                        if(!empty($value['link'])) $data_link = vc_build_link($value['link']);
                        if (!empty($value['icon'])) { ?>
                            <a href="<?php echo (!empty($data_link['url']))? esc_url($data_link['url']):'#'; ?>" <?php if(empty($data_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($data_link['rel'])) echo'rel="' .esc_attr( $data_link['rel'] ) . '"'?> class="float-shadow <?php echo esc_attr($class); ?>"><i class="fa <?php echo esc_attr($value['icon']); ?>"></i></a>
                        <?php }
                    }?>
                </div>
            <?php } ?>
        </div>
        <?php
        break;
    default: ?>
        <div class="element-info-box4 comming-event border <?php echo esc_attr($el_class); ?>">
            <?php if(!empty($title)){ ?>
                <h2 class="title18 "><?php echo esc_attr($title); ?></h2>
            <?php }  if(!empty($data_item_box4) and is_array($data_item_box4)){ ?>
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-xs-12">
                    <?php foreach ($data_item_box4 as $key => $value){
                        if(!empty($value['link'])) $data_link = vc_build_link($value['link']);?>
                        <div class="event-item">
                            <?php if(!empty($value['title'])){ ?>
                            <h3 class="title14"><a href="<?php echo (!empty($data_link['url']))? esc_url($data_link['url']):'#'; ?>" <?php if(empty($data_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data_link['target']))?'_blank':'_parent'; ?>" <?php if(!empty($data_link['rel'])) echo'rel="' .esc_attr( $data_link['rel'] ) . '"'?> >
                                    <?php echo esc_attr($value['title'])?>
                                </a></h3>
                            <?php } if($value['time']){ ?>
                            <p class="silver"><?php echo esc_attr($value['time']); ?></p>
                            <?php } ?>
                        </div>
                    <?php
                        if(($key+1)== CEIL(count($data_item_box4)/2)) echo ' </div><div class="col-md-6 col-sm-6 col-xs-12">';
                    } ?>
                </div>
            </div>
            <?php }
            $data_button = vc_build_link($button_link);
            if(!empty($data_button['title'])){ ?>
                <a href="<?php echo (!empty($data_button['url']))? esc_url($data_button['url']):'#'; ?>" <?php if(empty($data_button['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data_button['target']))?'_blank':'_parent'; ?>" <?php if(!empty($data_button['rel'])) echo'rel="' .esc_attr( $data_button['rel'] ) . '"'?> class="shop-button">
                    <?php echo esc_attr($data_button['title']); ?>
                </a>
            <?php } ?>
        </div>
    <?php
    break;
}