<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 29/07/2017
 * Time: 3:50 CH
 */
$vip_args = array();
if(empty($number_item_desktop)) $number_item_desktop = '4';
$image_size  = s7upf_get_size_image('268x268',$image_size);
if(empty($position_tab_active)) $position_tab_active = 1;
if(!empty($data_item_tab) and is_array($data_item_tab)){ ?>
    <div class="product-box1 woocommerce mb-element-product-<?php echo esc_attr($style); ?> <?php echo esc_attr($extra_class)?>">
        <div class="intro-box1 text-center">
            <?php if(!empty($title)){ ?>
            <h2 class="title30 font-bold title-underline"><span><?php echo esc_attr($title); ?></span></h2>
            <?php } if(!empty($desc)){ ?>
            <p class="desc"><?php echo esc_attr($desc); ?></p>
            <?php } ?>
        </div>
        <div class="title-tab1">
            <ul class="list-inline-block text-center">
                <?php foreach ($data_item_tab as $key => $value){
                    if($key +1 == (int)$position_tab_active) $class_active = 'active'; else $class_active ='';
                    $time = s7upf_get_deals_time(); ?>
                    <li class="<?php echo esc_attr($class_active); ?>"><a class="title14 black link-btn" href="#tab-vip<?php echo esc_attr($key); echo esc_attr($time); ?>" data-toggle="tab"><?php if(!empty($value['title'])) echo esc_attr($value['title']); ?></a></li>
                <?php } ?>
            </ul>
        </div>
        <div class="tab-content">
            <?php
            foreach ($data_item_tab as $key => $value){
                $link ='';
                if($key +1 == $position_tab_active) $class_active = 'active'; else $class_active =''; ?>
                <div id="tab-vip<?php echo esc_attr($key); echo esc_attr($time); ?>" class="tab-pane <?php echo esc_attr($class_active); ?>">
                    <div class="product-slider">
                        <div class="wrap-item navi-bottom" data-pagination="<?php echo esc_attr($pagination_slider); ?>" data-navigation="<?php echo esc_attr($navigation)?>" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-itemscustom="[[0,1],[560,2],[768,3],[990,<?php echo esc_attr($number_item_desktop)?>]]">
                            <?php
                            if(empty($value['product_number'])) $value['product_number']=12;
                            if ($value['order_by'] == 'best_seller') {
                                $vip_args = array(
                                    'post_type' => 'product',
                                    'meta_key' => 'total_sales',
                                    'orderby' => 'meta_value_num',
                                    'post_status'    => 'publish',
                                    'order' => $value['order'],
                                    'posts_per_page' => $value['product_number']
                                );
                            } elseif ($value['order_by'] == 'top_rating') {
                                $vip_args = array(
                                    'post_type' => 'product',
                                    'post_status'    => 'publish',
                                    'posts_per_page' => $value['product_number'],
                                    'meta_key' => '_wc_average_rating',
                                    'orderby'        => 'meta_value_num',
                                    'order'          => $value['order'],
                                    'meta_query'     => WC()->query->get_meta_query(),
                                    'tax_query'      => WC()->query->get_tax_query(),
                                );
                                $vip_args['meta_query'] = WC()->query->get_meta_query();
                            } elseif ($value['order_by'] == 'mostview'){
                                $vip_args = array(
                                    'post_type' => 'product',
                                    'post_status'    => 'publish',
                                    'posts_per_page' => $value['product_number'],
                                    'meta_key'           => 'post_views',
                                    'order'             => $value['order'],
                                    'orderby'             => 'meta_value_num',
                                );
                            } else {
                                $vip_args = array(
                                    'post_type' => 'product',
                                    'post_status'    => 'publish',
                                    'orderby' => $value['order_by'],
                                    'order' => $value['order'],
                                    'posts_per_page' => $value['product_number'],
                                );
                            }

                            // filter by category
                            if (!empty($value['product_category'])) {
                                $list_cat = explode(",", $value['product_category']);
                                if ($list_cat[0] != '') {
                                    $vip_args['tax_query'][] = array(
                                        'taxonomy' => 'product_cat',
                                        'field' => 'slug',
                                        'terms' => $list_cat,
                                    );
                                }
                            }

                            // Filter product by feature
                            if (!empty($value['pro_feature']) and $value['pro_feature'] == 'yes') {
                                $vip_args['tax_query'][] = array(
                                    'taxonomy' => 'product_visibility',
                                    'field'    => 'name',
                                    'terms'    => 'featured',
                                    'operator' => 'IN',
                                );
                            }
                            if (!empty($value['pro_sale']) and $value['pro_sale'] == 'yes') {
                                $vip_args['post__in'] = array_unique( wc_get_product_ids_on_sale());
                            }
                            $vip_query = new WP_Query($vip_args);
                            if($vip_query->have_posts()) {
                                while($vip_query->have_posts()) {
                                    $vip_query->the_post(); global $product;?>
                                    <div class="item-product text-center product">
                                        <?php s7up_get_label_new_sale_element_product($show_sale_label,$show_new_label,$day_new_product); ?>

                                        <div class="product-thumb">
                                            <?php s7upf_get_image_product_element($image_size,$default_image,$animation_img); ?>
                                            <div class="product-extra-link">
                                                <?php echo s7up_wishlist_url(); ?>
                                                <?php woocommerce_template_loop_add_to_cart();?>
                                                <?php echo s7upf_compare_url(); ?>
                                            </div>
                                            <a data-product-id="<?php echo get_the_id();?>" href="<?php the_permalink(); ?>" class="quickview-link title14 product-ajax-popup"><?php echo esc_html__('Quick View','sport')?></a>

                                        </div>
                                        <div class="product-info">
                                            <h3 class="product-title title14"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                            <div class="product-price">
                                                <?php woocommerce_template_loop_price(); ?>
                                            </div>
                                            <?php echo s7upf_get_rating_html();?>
                                        </div>
                                    </div>


                                <?php } wp_reset_postdata();
                            } ?>
                        </div>
                    </div>
                </div>
                <!-- End Tab -->
            <?php } ?>
        </div>
    </div>
    <?php
}