<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 21/07/2017
 * Time: 10:25 SA
 */
$class = '';
if(!empty($width_search)) $class .= ' '.S7upf_Assets::build_css('max-width:'.$width_search.'px;');
if(!empty($color)){
    $class .= ' '.S7upf_Assets::build_css('color:'.$color.';',' .search-label');
    $class .= ' '.S7upf_Assets::build_css('color:'.$color.';',' .btn-search-cat');
    $class .= ' '.S7upf_Assets::build_css('color:'.$color.';',' input[type="text"]');
    $class .= ' '.S7upf_Assets::build_css('color:'.$color.';',' .smart-search-form input[type="text"]::-webkit-input-placeholder');
    $class .= ' '.S7upf_Assets::build_css('color:'.$color.';',' .smart-search-form input[type="text"]::-moz-placeholder');
    $class .= ' '.S7upf_Assets::build_css('color:'.$color.';',' .smart-search-form input[type="text"]:-ms-input-placeholder');
    $class .= ' '.S7upf_Assets::build_css('color:'.$color.';',' .smart-search-form input[type="text"]:-moz-placeholder');
}
?>
<div class="element-search-product smart-search <?php echo esc_attr($position); ?> live-search-<?php echo esc_attr($live_search);?> <?php echo esc_attr($el_class);?> <?php echo esc_attr($class); ?>">
    <?php if(!empty($title)) {?><span class="title14 search-label"><?php echo esc_attr($title)?></span><?php } ?>

    <form class="smart-search-form cart_box_<?php echo esc_attr($show_categories)?>"  action = "<?php echo esc_url(home_url('/')); ?>">
        <input name="s" type="text" value="<?php echo get_search_query()?>" placeholder = "<?php echo esc_html__('Search for products','sport')?>">
        <input name="post_type" type="hidden" value="product">
        <input value="" type="submit">
        <input class="cat-value" type="hidden" name="product_cat" value="" />
        <?php if('show' === $show_categories){ ?>
            <div class="select-search-category">
                <a href="#" class="btn-search-cat"><span><?php esc_html_e("All",'sport')?></span></a>
                <ul class="list-cat-search list-none">
                    <?php
                    if(!empty($cats)){
                        $custom_list = explode(",",$cats);
                        foreach ($custom_list as $key => $cat) {
                            $term = get_term_by( 'slug',$cat, 'product_cat' );
                            if(!empty($term) && is_object($term)){
                                if(!empty($term) && is_object($term)){
                                    echo '<li><a href="#" data-filter=".'.$term->slug.'">'.$term->name.'</a></li>';
                                }
                            }
                        }
                    }
                    else{
                        $product_cat_list = get_terms('product_cat');
                        if(is_array($product_cat_list) && !empty($product_cat_list)){
                            foreach ($product_cat_list as $cat) {
                                echo '<li><a href="#" data-filter=".'.$cat->slug.'">'.$cat->name.'</a></li>';
                            }
                        }
                    }
                    ?>
                </ul>
            </div>
        <?php } ?>
        <div class="list-product-search">

        </div>
    </form>
</div>