<?php
$data = '';
$media_url = get_post_meta(get_the_ID(), 'format_media', true);
$hide_media = get_post_meta(get_the_ID(),'hide_media_single',true);
if (!empty($media_url)) {
    if(strpos($media_url,'.mp3') !== false){
        $data .='<div class="post-audio"><audio controls><source src="'.esc_url($media_url).'" type="audio/mpeg"></audio></div>';
    }else{
        $data .= '<div class="post-audio">' . s7upf_remove_w3c(wp_oembed_get($media_url, array('height' => '176'))) . '</div>';
    }
}
?>
<div class="blog-item <?php echo (is_sticky()) ? 'sticky':''?>">
    <div class="post-title-date">
        <div class="postdate">
            <strong class="title30"><?php echo get_the_date('d'); ?></strong>
            <span class="title12"><?php echo get_the_date('M Y'); ?></span>
        </div>
        <div class="post-title-comment">
            <h2 class="title14"><?php the_title(); ?></h2>
            <ul class="list-inline-block">
                <li><span><?php echo esc_html__('Posted By','sport')?></span> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" class="silver"><?php echo get_the_author(); ?></a></li>
                <li>
                    <span><?php echo get_comments_number(); ?> </span>
                    <a href="<?php echo esc_url( get_comments_link() ); ?>" class="silver"><?php
                        if(get_comments_number()>1) esc_html_e('Comments', 'sport') ;
                        else esc_html_e('Comments', 'sport') ;
                        ?>
                    </a>
                </li>
                <?php $cats = get_the_category_list(', ');
                if($cats) { ?>
                    <li>
                        <div class="mb-category-list">
                            <span><?php echo esc_html__('Category','sport'); ?> </span>
                            <?php echo balanceTags($cats); ?>
                        </div>
                    </li>
                <?php } ?>
            </ul>
        </div>
    </div>
    <?php if(!empty($data) and $hide_media !== 'on') echo balanceTags($data);?>
    <div class="blog-info">
        <div class="desc"><?php the_content(); ?></div>
        <?php
        wp_link_pages( array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'sport' ),
            'after'  => '</div>',
            'link_before' => '<span>',
            'link_after'  => '</span>',
        ) );
        ?>
    </div>
    <?php $tags = get_the_tag_list(' ',',',' ');
    if($tags) { ?>
        <div class="mb-tag-list">
            <i class="fa fa-tag"></i>
            <?php echo balanceTags($tags);?>
        </div>
    <?php } ?>
    <?php s7upf_display_metabox('single-share'); ?>
</div>