<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 27/07/2017
 * Time: 4:18 CH
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

global $product;
$dates_to=$countdown_time=$dates_from_check =$dates_from='';
$rating_count = $product->get_rating_count();
$review_count = $product->get_review_count();

$sale_price_dates_to = get_post_meta(get_the_ID(),'_sale_price_dates_to',true);
$sale_price_dates_from = get_post_meta(get_the_ID(),'_sale_price_dates_from',true);
$number_stock = get_post_meta(get_the_ID(),'_stock',true);
$link_video_popup= get_post_meta(get_the_ID(),'s7upf_video_product',true);
$style_product_detail = s7upf_get_value_by_id('s7upf_style_product_detail');


$availability = $product->get_availability();
switch ($style_product_detail){
    case 'style3':?>
        <div class="detail-info">

            <div class="single_add_to_cart_product">
                <?php
                /**
                 * s7up_template_single_add_to_cart hook.
                 *
                 * @hooked woocommerce_template_single_add_to_cart - 10
                 * @hooked s7upf_catelog_custom_button - 1
                 */
                do_action('s7up_template_single_add_to_cart')?>
            </div>
            <div class="product-extra-link">
                <?php echo s7up_wishlist_url(); ?>
                <?php echo s7upf_compare_url(); ?>
                <?php if(!empty($link_video_popup)){ ?>
                    <a href="<?php echo esc_url($link_video_popup); ?>" class="video-product-style2-popup btn-arrow black video-popup-fancybox"><span><?php echo esc_html__('Play','sport')?></span></a>
                <?php } ?>
            </div>
            <?php echo wc_get_product_category_list( $product->get_id(), ', ', '<div class="detail-tags"><label class="title14">' . _n( 'Category: ', 'Categories: ', count( $product->get_category_ids() ), 'sport' ) . '</label>', '</div>' ); ?>
            <?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<div class="detail-tags"><label class="title14">' . _n( 'Tag: ', 'Tags: ', count( $product->get_tag_ids() ), 'sport' ) . '</label>', '</div>' ); ?>
            <?php
            $box_share = s7upf_get_option('s7upf_show_share_product_detail');
            if($box_share=='on') { ?>
                <div class="info-extra share-product-detail">
                    <a class="share-google silver" target="popup"  href="https://plus.google.com/share?url=<?php the_permalink(); ?>"></a>
                    <a class="share-twitter silver" target="popup" href="http://twitter.com/share?url=<?php the_permalink() ?>"></a>
                    <a class="no-open share-pin silver" href="javascript:void((function()%7Bvar%20e=document.createElement('script');e.setAttribute('type','text/javascript');e.setAttribute('charset','UTF-8');e.setAttribute('src','http://assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e)%7D)());" target="popup"></a>
                    <a class="share-face silver" target="popup" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink() ?>"></a>
                </div>
                <?php
            }
            ?>
        </div>
        <?php
        break;
    case 'style2':?>
        <div class="detail-info">
            <h2 class="title-detail title30"><?php the_title(); ?></h2>
            <ul class="list-inline-block sku-stock">
                <?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>
                    <li class="product_meta"><span class="title14 sku_wrapper"><?php esc_html_e( 'SKU:', 'sport' ); ?></span> <span class="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'sport' ); ?></span></li>
                <?php endif; ?>
                <?php if( $rating_count > 0 and 'yes' === get_option( 'woocommerce_enable_review_rating' ) ){ ?>
                    <li>
                        <?php echo s7upf_get_rating_html();?>
                        <?php if ( comments_open() ) : ?><a href="#reviews" class="woocommerce-review-link add-review" rel="nofollow"><?php printf( _n( '%s Add your review', '%s Add your reviews', $review_count, 'sport' ), '<span class="number-rate silver">(' . esc_html( $review_count ) . ')</span>' ); ?></a><?php endif ?>

                    </li>
                <?php } ?>
                <?php if ( ! empty( $availability['availability'] ) ){ ?>
                    <li><?php echo wc_get_stock_html($product); ?></li>
                <?php } ?>
            </ul>
            <div class="product-price">
                <?php woocommerce_template_single_price(); ?>
            </div>

            <?php

            $date = getdate();
            $date = date('Y-m-d H:i:s',$date[0]);
            if(!empty($sale_price_dates_to)){
                $dates_to= date( 'Y-m-d', $sale_price_dates_to );
            }
            $date = strtotime($date);
            $dates_to = strtotime($dates_to);

            if($dates_to>$date){
                $countdown_time = abs($dates_to - $date);
            }
            if(!empty($sale_price_dates_from)){
                $dates_from= date( 'Y-m-d', $sale_price_dates_from );
            }
            $dates_to = strtotime($dates_from);
            $discount = s7upf_product_loop_discount_sale();
            if($product->is_type( 'simple' ) || $product->is_type( 'external' )){ ?>
                <?php if($product->is_on_sale() and $product->is_in_stock() and $number_stock>0){ ?>
                    <p class="percent-config"><span><?php echo esc_attr($discount)?>%</span> <?php echo esc_html__('Off. ','sport');  echo sprintf( esc_html__( 'Hurry, there are only %s item(s) left!', 'sport' ), $number_stock ); ?> </p>
                <?php } ?>
                <?php if(!empty($countdown_time) and $product->is_on_sale() and $date>$dates_to and $product->is_in_stock()){ ?>
                    <div class="countdown-product" data-time="<?php echo esc_attr($countdown_time);?>"></div>
                <?php }
            } ?>
            <div class="single_excerpt_product">
                <?php woocommerce_template_single_excerpt(); ?>
            </div>
            <div class="single_add_to_cart_product">
                <?php
                /**
                 * s7up_template_single_add_to_cart hook.
                 *
                 * @hooked woocommerce_template_single_add_to_cart - 10
                 * @hooked s7upf_catelog_custom_button - 1
                 */
                do_action('s7up_template_single_add_to_cart')?>
            </div>
            <div class="product-extra-link">
                <?php echo s7up_wishlist_url(); ?>
                <?php echo s7upf_compare_url(); ?>
                <?php if(!empty($link_video_popup)){ ?>
                    <a href="<?php echo esc_url($link_video_popup); ?>" class="video-product-style2-popup btn-arrow black video-popup-fancybox"><span><?php echo esc_html__('Play','sport')?></span></a>
                <?php } ?>
            </div>

            <?php echo wc_get_product_category_list( $product->get_id(), ', ', '<div class="detail-tags"><label class="title14">' . _n( 'Category: ', 'Categories: ', count( $product->get_category_ids() ), 'sport' ) . '</label>', '</div>' ); ?>
            <?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<div class="detail-tags"><label class="title14">' . _n( 'Tag: ', 'Tags: ', count( $product->get_tag_ids() ), 'sport' ) . '</label>', '</div>' ); ?>
            <?php
            $box_share = s7upf_get_option('s7upf_show_share_product_detail');
            if($box_share=='on') { ?>
                <div class="info-extra share-product-detail">
                    <a class="share-google silver" target="popup"  href="https://plus.google.com/share?url=<?php the_permalink(); ?>"></a>
                    <a class="share-twitter silver" target="popup" href="http://twitter.com/share?url=<?php the_permalink() ?>"></a>
                    <a class="no-open share-pin silver" href="javascript:void((function()%7Bvar%20e=document.createElement('script');e.setAttribute('type','text/javascript');e.setAttribute('charset','UTF-8');e.setAttribute('src','http://assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e)%7D)());" target="popup"></a>
                    <a class="share-face silver" target="popup" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink() ?>"></a>
                </div>
                <?php
            }
            ?>
        </div>
        <?php
        break;
    default: ?>
        <div class="detail-info">
            <h2 class="title-detail title30"><?php the_title(); ?></h2>
            <ul class="list-inline-block sku-stock">
                <?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>
                    <li class="product_meta"><span class="title14 sku_wrapper"><?php esc_html_e( 'SKU:', 'sport' ); ?></span> <span class="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'sport' ); ?></span></li>
                <?php endif; ?>
                <?php if( $rating_count > 0 and 'yes' === get_option( 'woocommerce_enable_review_rating' ) ){ ?>
                    <li>
                        <?php echo s7upf_get_rating_html();?>
                        <?php if ( comments_open() ) : ?><a href="#reviews" class="woocommerce-review-link add-review" rel="nofollow"><?php printf( _n( '%s Add your review', '%s Add your reviews', $review_count, 'sport' ), '<span class="number-rate silver">(' . esc_html( $review_count ) . ')</span>' ); ?></a><?php endif ?>

                    </li>

                <?php } ?>
                <?php if ( ! empty( $availability['availability'] ) ){ ?>
                    <li><?php echo wc_get_stock_html($product); ?></li>
                <?php } ?>
            </ul>
            <div class="product-price">
                <?php woocommerce_template_single_price(); ?>
            </div>

            <?php

            $date = getdate();
            $date = date('Y-m-d H:i:s',$date[0]);
            if(!empty($sale_price_dates_to)){
                $dates_to= date( 'Y-m-d', $sale_price_dates_to );
            }
            $date = strtotime($date);
            $dates_to = strtotime($dates_to);

            if($dates_to>$date){
                $countdown_time = abs($dates_to - $date);
            }
            if(!empty($sale_price_dates_from)){
                $dates_from= date( 'Y-m-d', $sale_price_dates_from );
            }
            $dates_to = strtotime($dates_from);
            $discount = s7upf_product_loop_discount_sale();
            if($product->is_type( 'simple' ) || $product->is_type( 'external' )){ ?>
                <?php if($product->is_on_sale() and $product->is_in_stock() and $number_stock>0){?>
                    <p class="percent-config"><span><?php echo esc_attr($discount)?>%</span> <?php echo esc_html__('Off. ','sport');  echo sprintf( esc_html__( 'Hurry, there are only %s item(s) left!', 'sport' ), $number_stock ); ?> </p>
                <?php } ?>
                <?php if(!empty($countdown_time) and $product->is_on_sale() and $date>$dates_to and $product->is_in_stock()){ ?>
                    <div class="countdown-product" data-time="<?php echo esc_attr($countdown_time);?>"></div>
                <?php }
            }?>
            <div class="single_excerpt_product">
                <?php woocommerce_template_single_excerpt(); ?>
            </div>
            <div class="single_add_to_cart_product">
                <?php
                /**
                 * s7up_template_single_add_to_cart hook.
                 *
                 * @hooked woocommerce_template_single_add_to_cart - 10
                 * @hooked s7upf_catelog_custom_button - 1
                 */
                do_action('s7up_template_single_add_to_cart')?>
            </div>
            <div class="product-extra-link">
                <?php echo s7up_wishlist_url(); ?>
                <?php echo s7upf_compare_url(); ?>
            </div>
            <?php echo wc_get_product_category_list( $product->get_id(), ', ', '<div class="detail-tags"><label class="title14">' . _n( 'Category: ', 'Categories: ', count( $product->get_category_ids() ), 'sport' ) . '</label>', '</div>' ); ?>
            <?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<div class="detail-tags"><label class="title14">' . _n( 'Tag: ', 'Tags: ', count( $product->get_tag_ids() ), 'sport' ) . '</label>', '</div>' ); ?>
            <?php
            $box_share = s7upf_get_option('s7upf_show_share_product_detail');
            if($box_share=='on') { ?>
                <div class="info-extra share-product-detail">
                    <a class="share-google silver" target="popup"  href="https://plus.google.com/share?url=<?php the_permalink(); ?>"></a>
                    <a class="share-twitter silver" target="popup" href="http://twitter.com/share?url=<?php the_permalink() ?>"></a>
                    <a class="no-open share-pin silver" href="javascript:void((function()%7Bvar%20e=document.createElement('script');e.setAttribute('type','text/javascript');e.setAttribute('charset','UTF-8');e.setAttribute('src','http://assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e)%7D)());" target="popup"></a>
                    <a class="share-face silver" target="popup" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink() ?>"></a>
                </div>
                <?php
            }
            ?>
        </div>
        <?php
        break;
}

