<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 27/07/2017
 * Time: 4:12 CH
 */
global $product;
global $post;
$default_image = get_template_directory_uri().'/assets/images/placeholder.png';
$attachment_ids = $product->get_gallery_image_ids();
$image_size='full';
$image_size = s7upf_get_option('s7upf_custom_image_size');

if(!empty($image_size)){
    $image_size  = s7upf_get_size_image('800x800',$image_size);
}

$available_data =$array_img_id= array(); $count_img_variable=0;
if( $product->is_type( 'variable' ) ) $available_data = $product->get_available_variations();
foreach($available_data as $val){
    if(!empty($val['image_id'])){
        $count_img_variable = $count_img_variable+1;
    }
}

if(has_post_thumbnail()){
    $array_img_id = array_merge($array_img_id,array(get_post_thumbnail_id()));
}
if(!empty($attachment_ids)){
    $array_img_id = array_merge($array_img_id,$attachment_ids);
}
$array_available_img = '';
if(!empty($available_data)){
    foreach ($available_data as $key=>$value){

        $array_available_img .= ($key==0)?$value['image_id']:','.$value['image_id'];
    }
}
$array_img_id = array_merge($array_img_id,explode(',',$array_available_img));
$array_img_id = array_unique($array_img_id);


$sidebar=s7upf_get_sidebar();
$sidebar_pos=$sidebar['position'];
$link_video_popup= get_post_meta(get_the_ID(),'s7upf_video_product',true);

$style_product_detail = s7upf_get_value_by_id('s7upf_style_product_detail');
switch ($style_product_detail){
    case 'style3':?>
        <div class="popup-gallery info-fixed" data-style="info-fixed">
            <div class="list-popup-gallery detail-product">
                <div class="row">
                    <?php
                    if(is_array($array_img_id) and count($array_img_id)>0){
                        foreach ($array_img_id as $key => $value){
                            if(!empty($value)){
                                ?>
                                <div class="col-md-12 hidden-xs">
                                    <a class="fancybox-buttons" href="<?php echo wp_get_attachment_image_url($value,'full'); ?>" data-fancybox-group="gallery">
                                        <?php echo wp_get_attachment_image($value,$image_size)?>
                                    </a>
                                </div>
                                <?php
                            }
                        }
                    }
                    ?>

                </div>
            </div>
        </div>
        <?php
        break;
    case 'style2':?>
        <div class="popup-gallery info-fixed" data-style="info-fixed">
            <div class="list-popup-gallery detail-product">
                <div class="row">
                    <?php
                    if(is_array($array_img_id) and count($array_img_id)>0){
                        foreach ($array_img_id as $key => $value){
                            if(!empty($value)){
                                ?>
                                <div class="col-md-12 hidden-xs">
                                    <a class="fancybox-buttons" href="<?php echo wp_get_attachment_image_url($value,'full'); ?>" data-fancybox-group="gallery">
                                        <?php echo wp_get_attachment_image($value,$image_size)?>
                                    </a>
                                </div>
                                <?php
                            }
                        }
                    }
                    ?>
                </div>
            </div>
        </div>
        <?php
        break;
    default: ?>
        <div class="detail-gallery <?php if($sidebar_pos=='no') echo 'vertical-true'; else 'vertical-false'; ?>">
            <div class="mid item-product">
                <?php if(!empty($link_video_popup)){ ?>
                    <a href="<?php echo esc_url($link_video_popup); ?>" class="video-product-popup btn-arrow black video-popup-fancybox"><span><?php echo esc_html__('Play','sport')?></span></a>
                <?php } ?>
                <?php s7up_get_label_new_sale_product(); ?>
                <?php if ( has_post_thumbnail() ) {
                    $id_img =  get_post_thumbnail_id( $post->ID );
                    $url_img = wp_get_attachment_image_url($id_img,$image_size);
                    ?>
                    <img src="<?php echo esc_url($url_img); ?>"/>
                    <?php
                }  else {
                    $dimensions = wc_get_image_size( $image_size ); ?>
                    <img src="<?php echo esc_url($default_image); ?>" width="<?php echo esc_attr( $dimensions['width'] ) ?> " height="<?php echo esc_attr( $dimensions['height'] ) ?> "  alt="<?php esc_html_e('Image Default','sport')?>" title="<?php esc_html_e('product','sport')?>" />
                    <?php
                }?>
            </div>
            <div class="gallery-control">
                <div class="carousel" data-vertical = "<?php if($sidebar_pos=='no') echo 'true'; else 'false'; ?>" data-visible="<?php echo(count($array_img_id)>4)?'4': count($array_img_id)?>">
                    <ul class="list-none">

                        <?php if ( !has_post_thumbnail() ) {
                            $dimensions = wc_get_image_size( $image_size ); ?>
                            <li>
                                <a href="#" class="active">
                                    <img src="<?php echo esc_url($default_image); ?>" width="<?php echo esc_attr( $dimensions['width'] ) ?> " height="<?php echo esc_attr( $dimensions['height'] ) ?> "  alt="<?php esc_html_e('Image Default','sport')?>" title="<?php esc_html_e('product','sport')?>" />
                                </a>
                            </li>
                            <?php
                        }?>

                        <?php
                        if(!empty($array_img_id)){
                            foreach ($array_img_id as $key => $value){
                                if(!empty($value)){ ?>
                                    <li>
                                        <a class="<?php if(has_post_thumbnail() and $key == 0)echo'active';?>" href="#" data-variation_id="<?php echo esc_attr($value); ?>">
                                           <img src="<?php echo wp_get_attachment_image_url($value,'full')?>">
                                        </a>
                                    </li>
                                    <?php
                                }
                            }
                        }
                        ?>
                    </ul>
                </div>
                <a href="#" class="prev"></a>
                <a href="#" class="next"></a>
            </div>
        </div>
        <?php
        break;
}
