<?php
/**
 * Created by PhpStorm
 * User: up7theme
 * Date: 29/02/16
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_blog'))
{
    function s7upf_vc_blog($attr)
    {
        $html = $number_item_post= $desc=$autoplay=$image_default=$button= $number_item_desktop=$sort_bar=$show_bar= $extra_class = $navigation = $title=$date_format = $main_color = $user_id = $col_layout = $style = $post_format = $post_id = $word_excerpt = $image_size = $pagination = $number = $order_by = $order = '';
        extract(shortcode_atts(array(
            'number'     => '8',
            'word_excerpt'    => '30',
            'cats'      => '',
            'order'      => '',
            'order_by'   => '',
            'style'   => 'style1',
            'image_size'   => '',
            'pagination'   => 'off',
            'post_id'   => '',
            'user_id'   => 'off',
            'post_format'   => 'on',
            'col_layout'   => '12',
            'date_format'   => '',
            'video_height'   => '',
            'title'   => '',
            'navigation'   => 'false',
            'autoplay'   => 'true',
            'number_item_post'   => '',
            'extra_class'   => '',
            'show_bar'   => 'off',
            'sort_bar'   => 'off',
            'number_item_desktop'   => '',
            'button'   => '',
            'desc'   => '',
            'image_default'   => '',
            'color_date'   => '',
            'color_title'   => '',
        ),$attr));
        $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
        $args = array(
            'post_type'         => 'post',
            'posts_per_page'    => $number,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => $paged,
            'post__not_in' => get_option( 'sticky_posts' ),
            'post_status' => 'publish',
        );
        if($order_by == 'post_views'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = 'post_views';
        }
        if($order_by == 'time_update'){
            $args['orderby'] = 'meta_value';
            $args['meta_key'] = 'time_update';
        }
        if($order_by == '_post_like_count'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = '_post_like_count';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'=>'category',
                'field'=>'slug',
                'terms'=> $custom_list
            );
        }
        $query = new WP_Query($args);
        if($user_id == 'on' and !empty($post_id)){
            $ids_arr = explode(',', $post_id);
            $ids_arr = array_unique($ids_arr);
            $args2 = array(
                'post_type' => 'post',
                'post__in'=>$ids_arr,
                'posts_per_page'    => $number,
                'paged'             => $paged,
                'post_status' => 'publish',
                'order'             => $order,
                'orderby'           => $order_by,
            );
            $query = new WP_Query($args2);
        }
        $max_page = $query->max_num_pages;
        $html .= S7upf_Template::load_view('elements/blog/blog',$style,array(
            'query' => $query,
            'word_excerpt' => $word_excerpt,
            'image_size' => $image_size,
            'post_format' => $post_format,
            'pagination' => $pagination,
            'paged' => $paged,
            'col_layout' => $col_layout,
            'main_color' => $main_color,
            'date_format' => $date_format,
            'style' => $style,
            'title' => $title,
            'navigation' => $navigation,
            'autoplay' => $autoplay,
            'number_item_post' => $number_item_post,
            'extra_class' => $extra_class,
            'show_bar' => $show_bar,
            'sort_bar' => $sort_bar,
            'number_item_desktop' => $number_item_desktop,
            'button' => $button,
            'desc' => $desc,
            'image_default' => $image_default,
            'color_date'   => $color_date,
            'color_title'   => $color_title,
        ));
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('s7upf_blog','s7upf_vc_blog');

vc_map( array(
    "name"      => esc_html__("SV Blog", 'sport'),
    "base"      => "s7upf_blog",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style blog",'sport'),
            "param_name" => "style",
            'admin_label' => true,
            'description'   => esc_html__( 'Select style blog.', 'sport' ),
            "value"         => array(
                esc_html__('Style 1 (Default)','sport') => 'style1',
                esc_html__('Style 2','sport') => 'style2',
                esc_html__('Style 3','sport') => 'style3',
                esc_html__('Style 4','sport') => 'style4',
                esc_html__('Style 5','sport') => 'style5',
                esc_html__('Style 6','sport') => 'style6',
                esc_html__('Style 7','sport') => 'style7',
            ),
        ),
        array(
            'type' => 's7up_image_check',
            'param_name' => 'style_blog',
            'heading' => '',
            'element' => 'style',
        ),
        array(
            'type' => 'textfield',
            'param_name' => 'title',
            "heading" => esc_html__("Title element",'sport'),
            'description' => __( 'Enter text', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2','style4','style5','style6','style7')
            ),
        ),
        array(
            'type' => 'textfield',
            'param_name' => 'desc',
            "heading" => esc_html__("Description element",'sport'),
            'description' => __( 'Enter text', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
            ),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("User ID post",'sport'),
            "param_name" => "user_id",
            'admin_label' => true,
            "value"         => array(
                esc_html__('Off','sport') => 'off',
                esc_html__('On','sport') => 'on',
            ),
        ),
        array(
            'type' => 'autocomplete',
            'heading' => __( 'Posts', 'sport' ),
            'param_name' => 'post_id',
            'edit_field_class'=>'vc_col-sm-12 vc_column',
            'settings' => array(
                'multiple' => true,
                'sortable' => true,
                'unique_values' => true,
                // In UI show results except selected. NB! You should manually check values in backend
            ),
            'save_always' => true,
            'description' => __( 'Enter List of Posts', 'sport' ),
            'dependency'    =>array(
                'element'   =>'user_id',
                'value'     =>array('on')
            ),
        ),
        array(
            "type" => "s7up_number",
            "heading" => esc_html__("Number post",'sport'),
            "param_name" => "number",
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'admin_label' => true,
            'std' => 8,
            "min" => 0,
            'suffix' => esc_html__('Post','sport'),
        ),
        array(
            "type" => "s7up_number",
            "heading" => esc_html__("Number word excerpt",'sport'),
            "param_name" => "word_excerpt",
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            "min" => 0,
            'suffix' => esc_html__('word','sport'),
            'std'=>30
        ),
        array(
            'holder'     => 'div',
            'heading'     => esc_html__( 'Categories', 'sport' ),
            'type'        => 'checkbox',
            'param_name'  => 'cats',
            'value'       => s7upf_list_taxonomy('category',false),
            'edit_field_class'=>'vc_col-sm-12 vc_column s7upf-category-option',
            'dependency'    =>array(
                'element'   =>'user_id',
                'value'     =>array('off')
            ),
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order",'sport'),
            "param_name"    => "order",
            "value"         => array(
                esc_html__('Desc','sport') => 'DESC',
                esc_html__('Asc','sport')  => 'ASC',
            ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',

        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order By",'sport'),
            "param_name"    => "order_by",
            "value"         => s7upf_get_order_list(),
            'edit_field_class'=>'vc_col-sm-6 vc_column',

        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Custom Date Format (Default get in Settings/General)', 'sport' ),
            'param_name' => 'date_format',
            'description' => wp_kses(__('Eg: d/m/Y <a href="https://codex.wordpress.org/Formatting_Date_and_Time" target="_blank">Documentation on date and time formatting</a>','sport'),array('a' => array('href' => array(),'target'=>array()))),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2','style4','style5','style6','style7')
            ),
        ),

        array(
            'type' => 'vc_link',
            'param_name' => 'button',
            "heading" => esc_html__("Add button",'sport'),
            'description' => __( 'Link/URL', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Extra Class Name','sport'),
            'param_name' => 'extra_class',
            'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.','sport'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Pagination bar', 'sport'),
            'param_name' => 'pagination',
            'group' => esc_html__('Design Option','sport'),
            'value' => array(
                esc_html__("Hide", 'sport') => 'off',
                esc_html__("Show", 'sport') => 'on'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Show bar', 'sport'),
            'param_name' => 'show_bar',
            'group' => esc_html__('Design Option','sport'),
            'value' => array(
                esc_html__("Hide", 'sport') => 'off',
                esc_html__("Show", 'sport') => 'on'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Sort bar', 'sport'),
            'param_name' => 'sort_bar',
            'group' => esc_html__('Design Option','sport'),
            'value' => array(
                esc_html__("Hide", 'sport') => 'off',
                esc_html__("Show", 'sport') => 'on'
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),

       /* array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__('Column layout', 'sport'),
            'param_name' => 'col_layout',
            'edit_field_class'=>'vc_col-sm-12 vc_column',
            'value' => array(
                esc_html__("Columns 1", 'sport') => '12',
                esc_html__("Columns 2", 'sport') => '6',
                esc_html__("Columns 3", 'sport') => '4',
                esc_html__("Columns 4", 'sport') => '3',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style3')
            ),
        ),*/
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'group' => esc_html__('Design Option', 'sport'),
            'heading' => esc_html__('Custom column Slider in (Display desktop)', 'sport'),
            'param_name' => 'number_item_desktop',
            'value' => array(
                esc_html__('Default', 'sport') => '',
                esc_html__('1 Column', 'sport') => '1',
                esc_html__('2 Columns', 'sport') => '2',
                esc_html__('3 Columns', 'sport') => '3',
                esc_html__('4 Columns', 'sport') => '4',
                esc_html__('5 Columns', 'sport') => '5',
            ),
            'dependency' => array(
                'element' => 'style',
                'value' => array('style2','style3','style5','style7')
            ),
            'description' => esc_html__('Select number column of slides to display (990px screen).', 'sport')
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Custom number post in 1 column of Slider', 'sport' ),
            'param_name' => 'number_item_post',
            'value' => array(
                esc_html__('Default', 'sport') => '',
                esc_html__('1 post','sport')=>1,
                esc_html__('2 post','sport')=>2,
                esc_html__('3 post','sport')=>3,
                esc_html__('4 post','sport')=>4,
                esc_html__('5 post','sport')=>5,
                esc_html__('6 post','sport')=>6,
                esc_html__('7 post','sport')=>7,
                esc_html__('8 post','sport')=>8,
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style3','style5','style7')
            ),
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__('On/off post format', 'sport'),
            'param_name' => 'post_format',
            'value' => array(
                esc_html__('On','sport') => 'on',
                esc_html__('Off','sport') => 'off',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
            'edit_field_class'=>'vc_col-sm-12 vc_column',
        ),

        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Autoplay slider', 'sport' ),
            'param_name' => 'autoplay',
            'value' => array(
                esc_html__('On','sport') => 'true',
                esc_html__('Off','sport') => 'false',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2','style3','style5','style7')
            ),
        ),
        array(
            'type' => 'dropdown',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Navigation slider', 'sport' ),
            'param_name' => 'navigation',
            'value' => array(
                esc_html__('Hide','sport') => 'false',
                esc_html__('Show','sport') => 'true',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2','style3','style5','style7')
            ),
        ),

        array(
            'type' => 'colorpicker',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__('Color title post', 'sport'),
            'param_name' => 'color_title',
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style4')
            ),
        ),
        array(
            'type' => 'colorpicker',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__('Color date post', 'sport'),
            'param_name' => 'color_date',
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style4')
            ),
        ),
        array(
            'type' => 'attach_image',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__('Image default', 'sport'),
            'param_name' => 'image_default',
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2','style3','style4','style5','style6','style7')
            ),
        ),
        array(
            'type' => 'textfield',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__('Custom image size', 'sport'),
            'param_name' => 'image_size',
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
        ),

    )
));
