<?php
/**
 * Created by PhpStorm.
 * User: up7theme
 * Date: 11/04/2017
 * Time: 14:32
 */
if(!function_exists('s7upf_vc_link'))
{
    function s7upf_vc_link($attr,$content = false)
    {
        $html = $style = $title =$el_class= $color_title=$color_link =$color_link_hover= $data_link = '' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'add_item_link'      => '',
            'title'      => '',
            'color_title'      => '',
            'color_link'      => '',
            'el_class'      => '',
            'color_link_hover'      => '',

        ),$attr));

        if(isset($add_item_link))
            $data_link = vc_param_group_parse_atts($add_item_link);

        $html .= S7upf_Template::load_view('elements/link',false,array(
            'style' => $style,
            'data_link' => $data_link,
            'title' => $title,
            'color_title' => $color_title,
            'color_link' => $color_link,
            'color_link_hover' => $color_link_hover,
            'el_class' => $el_class,
        ));
        return $html;
    }
}
stp_reg_shortcode('s7upf_link','s7upf_vc_link');

vc_map(
    array(
        "name"      => esc_html__("SV Link", 'sport'),
        "base"      => "s7upf_link",
        "icon"      => "icon-st",
        "category"  => '7Up-theme',
        "params"    => array(
            array(
                'type' => 'dropdown',
                'admin_label' => true,
                'heading' => esc_html__( 'Style', 'sport' ),
                'param_name' => 'style',
                'value' => array(
                    esc_html__('Style 1 (Vertical)','sport')=>'style1',/*
                    esc_html__('Style 2 (Vertical)','sport')=>'style1-2',
                    esc_html__('Style 3 (Horizontal)','sport')=>'style2',
                    esc_html__('Style 4 (Mega link)','sport')=>'style3',*/
                ),
                'description' => esc_html__( 'Select style', 'sport' )
            ),
            array(
                'type' => 's7up_image_check',
                'param_name' => 'style_link',
                'heading' => '',
                'element' => 'style',
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Title', 'sport' ),
                'param_name' => 'title',
                'admin_label' => true,
                'description' => esc_html__('Enter title','sport'),
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style1')
                ),
            ),
            array(
                'type' => 'param_group',
                'heading' => esc_html__('Add link item', 'sport'),
                'param_name' => 'add_item_link',
                'value' =>'',
                'params' => array(
                    array(
                        'type' => 'vc_link',
                        'heading' => esc_html__( 'Add link', 'sport' ),
                        'param_name' => 'link',
                    ),
                ),
                'callbacks' => array(
                    'after_add' => 'vcChartParamAfterAddCallback'
                ),
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style1')
                ),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name",'sport'),
                "param_name" => "el_class",
                'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
            ),
            array(
                'type' => 'colorpicker',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__( 'Color title', 'sport' ),
                'param_name' => 'color_title',
                'description' => esc_html__( 'Select color', 'sport' ),
            ),
            array(
                'type' => 'colorpicker',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__( 'Color link', 'sport' ),
                'param_name' => 'color_link',
                'description' => esc_html__( 'Select color', 'sport' ),
            ),
            array(
                'type' => 'colorpicker',
                'group' => esc_html__('Design Option','sport'),
                'heading' => esc_html__( 'Color link (Action Hover)', 'sport' ),
                'param_name' => 'color_link_hover',
                'description' => esc_html__( 'Select color', 'sport' ),
            ),
        )
    )
);