<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 25/04/2017
 * Time: 10:28
 */
if(!function_exists('s7upf_vc_map_find'))
{
    function s7upf_vc_map_find($attr,$content = false)
    {
        $html = $style  = $title = $placeholder=$image_size = $extra_class=$position = $submit_name =  $img_icon = $shortcode =  $main_color = $desc_color = $desc = $placeholder = '' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'title'      => '',
            'placeholder'      => '',
            'img_icon'      => '',
            'shortcode'      => '',
            'submit_name'      => '',
            'extra_class'      => '',
            'image_size'      => '',

        ),$attr));

        $html .= S7upf_Template::load_view('elements/map_find',false,array(
            'style' => $style,
            'title'      => $title,
            'placeholder'      => $placeholder,
            'img_icon'      => $img_icon,
            'shortcode'      => $shortcode,
            'submit_name'      => $submit_name,
            'extra_class'      => $extra_class,
            'image_size'      => $image_size,
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_map_find','s7upf_vc_map_find');

vc_map( array(
    "name"      => esc_html__("SV Map Find", 'sport'),
    "base"      => "s7upf_map_find",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title', 'sport' ),
            'param_name' => 'title',
            'admin_label' => true,
            'description' => esc_html__('Enter text.','sport'),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Placeholder input', 'sport' ),
            'param_name' => 'placeholder',
            'description' => esc_html__('Enter text.','sport'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Submit name', 'sport' ),
            'param_name' => 'submit_name',
            'description' => esc_html__('Enter text.','sport'),
        ),
        array(
            'type'          => 'attach_image',
            'heading'       => esc_html__( 'Image icon', 'sport' ),
            'param_name'    => 'img_icon',
            'value'         => '',
            'settings'      => array(
                'emptyIcon'     => true,
                'iconsPerPage'  => 4000,
            ),
            'description'   => esc_html__( 'Select icon from library.', 'sport' ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Extra Class Name','sport'),
            'param_name' => 'extra_class',
            'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.','sport'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Custom image size', 'sport'),
            'param_name' => 'image_size',
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
        ),
        //---------- Design Option -------------------//

    )
));