<?php
/**
 * Created by PhpStorm.
 * User: 7uptheme
 * Date: 08/04/2017
 * Time: 10:37
 */
if ( !class_exists('WC_Product') ) {
    return;
}
if(!function_exists('s7upf_vc_mini_cart'))
{
    function s7upf_vc_mini_cart($attr,$content = false)
    {
        $html = $style =$price_color= $el_class=$font_color=$pull_cart = $data_link_item=$image_cart='' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'pull_cart'      => 'pull-right',
            'image_cart'      => '',
            'link_item'      => '',
            'font_color'      => '',
            'el_class'      => '',
            'price_color'      => '',
        ),$attr));
        if(isset($link_item))
            $data_link_item = vc_param_group_parse_atts($link_item);
        $html .= S7upf_Template::load_view('elements/mini-cart',false,array(
            'style' => $style,
            'pull_cart' => $pull_cart,
            'image_cart' => $image_cart,
            'data_link_item' => $data_link_item,
            'font_color' => $font_color,
            'el_class' => $el_class,
            'price_color' => $price_color,
        ));
        return $html;
    }
}
stp_reg_shortcode('s7upf_mini_cart','s7upf_vc_mini_cart');

vc_map(
    array(
        "name"      => esc_html__("SV Mini Cart", 'sport'),
        "base"      => "s7upf_mini_cart",
        "icon"      => "icon-st",
        "category"  => '7Up-theme',
        "params"    => array(
            array(
                'type' => 'dropdown',
                'admin_label' => true,
                'heading' => esc_html__( 'Style', 'sport' ),
                'param_name' => 'style',
                'value' => array(
                    esc_html__('Style 1','sport')=>'style1',
                    esc_html__('Style 2','sport')=>'style2',
                    esc_html__('Style 3','sport')=>'style3',
                ),
                'description' => esc_html__( 'Select style', 'sport' )
            ),
            array(
                'type' => 's7up_image_check',
                'param_name' => 'style_mini_car',
                'heading' => '',
                'element' => 'style',
            ),
            array(
                'type' => 'attach_image',
                'heading' => esc_html__( 'Custom image icon cart (Size: 28x26 px)', 'sport' ),
                'param_name' => 'image_cart',
                'description' => esc_html__('Select image from library.','sport'),
                'edit_field_class' => 'vc_column vc_col-sm-12',
            ),
            array(
                'type' => 'param_group',
                'heading' => esc_html__('Add link item', 'sport'),
                'param_name' => 'link_item',
                'description' => esc_html__( 'Allows you to create link lists', 'sport' ),
                'value' =>'',
                'params' => array(
                    array(
                        'type' => 'vc_link',
                        'admin_label' => true,
                        'heading' => esc_html__( 'Add link', 'sport' ),
                        'param_name' => 'link',
                    ),
                    array(
                        'type' => 'attach_image',
                        'admin_label' => true,
                        'heading' => esc_html__( 'Add icon image', 'sport' ),
                        'param_name' => 'icon_image',
                    ),

                ),
                'callbacks' => array(
                    'after_add' => 'vcChartParamAfterAddCallback'
                ),
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style2','style3')
                ),
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Pull cart', 'sport' ),
                'param_name' => 'pull_cart',
                'group' => esc_html__('Design Option','sport'),
                'value' => array(
                    esc_html__('Pull right','sport') => 'pull-right',
                    esc_html__('Pull left','sport') => 'pull-left',
                    esc_html__('Pull center','sport') => 'text-center',
                ),
            ),
            array(
                'type' => 'colorpicker',
                'heading' => esc_html__('Font color text','sport'),
                'param_name' => 'font_color',
                'group' => esc_html__('Design Option','sport'),
                'description' => esc_html__('Select a color','sport'),
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style1','style2','style3')
                ),
            ),
            array(
                'type' => 'colorpicker',
                'heading' => esc_html__('Price color','sport'),
                'param_name' => 'price_color',
                'group' => esc_html__('Design Option','sport'),
                'description' => esc_html__('Select a color','sport'),
                'dependency'    =>array(
                    'element'   =>'style',
                    'value'     =>array('style1')
                ),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name",'sport'),
                "param_name" => "el_class",
                'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
            ),
        )
    )
);