<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 20/07/2017
 * Time: 10:59 SA
 */
if ( !class_exists('WC_Product') ) {
    return;
}

if(!function_exists('s7upf_vc_search_product'))
{
    function s7upf_vc_search_product($attr)
    {
        $html = $live_search =$title= $position=$el_class=$style = $width_search = $show_categories=$cats = $color = '';
        extract(shortcode_atts(array(
            'color'      => '',
            'cats'      => '',
            'live_search'      => 'true',
            'show_categories'      => 'show',
            'style'      => 'style1',
            'width_search'      => '',
            'title'      => '',
            'el_class'      => '',
            'position'      => 'pull-right',
        ),$attr));
        $html .= S7upf_Template::load_view('elements/search-product',false,array(
            'color'  => $color,
            'cats'  => $cats,
            'live_search'  => $live_search,
            'show_categories'  => $show_categories,
            'style'  => $style,
            'width_search'  => $width_search,
            'title'  => $title,
            'el_class'  => $el_class,
            'position'  => $position,
        ));
        return $html;
    }
}
stp_reg_shortcode('s7upf_search_product','s7upf_vc_search_product');
$check_add = '';
if(isset($_GET['return'])) $check_add = $_GET['return'];
if(empty($check_add)) add_action( 'vc_before_init_base','s7upf_add_admin_search_product',10,100 );
if ( ! function_exists( 's7upf_add_admin_search_product' ) ) {
    function s7upf_add_admin_search_product(){
        vc_map( array(
            "name"      => esc_html__("SV Search Product", 'sport'),
            "base"      => "s7upf_search_product",
            "icon"      => "icon-st",
            "category"  => '7Up-theme',
            "params"    => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'sport' ),
                    'param_name' => 'title',
                    'admin_label' => true,
                    'description' => esc_html__('Enter text.','sport'),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Live Search', 'sport' ),
                    'param_name' => 'live_search',
                    'admin_label' => true,
                    'value'=>array(
                        esc_html__('On','sport')=> 'true',
                        esc_html__('Off','sport')=> 'false',
                    ),
                ),
                array(
                    'holder'     => 'div',
                    'heading'     => esc_html__( 'Search by Categories', 'sport' ),
                    'type'        => 'autocomplete',
                    'param_name'  => 'cats',
                    'settings' => array(
                        'multiple' => true,
                        'sortable' => true,
                        'values' => s7upf_get_product_taxonomy(),
                    ),
                    'save_always' => true,
                    'description' => esc_html__( 'List of product categories', 'sport' ),
                ),

                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Show cart box', 'sport' ),
                    'param_name' => 'show_categories',
                    'value'=>array(
                        esc_html__('Show','sport')=> 'show',
                        esc_html__('Hide','sport')=> 'hide',
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name",'sport'),
                    "param_name" => "el_class",
                    'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
                ),
                array(
                    'type' => 'colorpicker',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Color text', 'sport' ),
                    'param_name' => 'color',
                    'description' => esc_html__( 'Select color', 'sport' )
                ),
                array(
                    'type' => 's7up_number',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'custom width', 'sport' ),
                    'param_name' => 'width_search',
                    'min'=> 0,
                    'suffix' => esc_html__('px','sport'),
                    'description' => esc_html__( 'Custom width', 'sport' )
                ),
                array(
                    'type' => 'dropdown',
                    'group' => esc_html__('Design Option','sport'),
                    'heading' => esc_html__( 'Position info text', 'sport' ),
                    'param_name' => 'position',
                    'description' => esc_html__('Select position.','sport'),
                    'value' => array(
                        esc_html__('Right','sport')=>'pull-right',
                        esc_html__('Left','sport')=>'pull-left',
                        esc_html__('Center','sport')=>'pull-center',

                    ),
                ),

            )
        ));
    }
}
add_action( 'wp_ajax_live_search', 's7upf_live_search' );
add_action( 'wp_ajax_nopriv_live_search', 's7upf_live_search' );
if(!function_exists('s7upf_live_search')){
    function s7upf_live_search() {
        $key = $_POST['key'];
        $post_type = $_POST['post_type'];
        $trim_key = trim($key);
        $args = array(
            'post_type' => $post_type,
            's'         => $key,
        );
        $query = new WP_Query( $args );
        if( $query->have_posts() && !empty($key) && !empty($trim_key)){
            while ( $query->have_posts() ) : $query->the_post();
                global $product;
                $post_object = get_post( $product->get_id() );
                setup_postdata( $GLOBALS['post'] =& $post_object );
                echo    '<div class="item-search-pro">
                            <div class="search-ajax-thumb product-thumb">
                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                    '.get_the_post_thumbnail(get_the_ID(),array(70,70)).'
                                </a>
                                
                            </div>
                            <div class="search-ajax-title product-info">
                                <h3 class="product-title title14">
                                    <a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a>
                                </h3>
                                <div class="product-price">
                                   '.$product->get_price_html().'
                                </div>
                               '.s7upf_get_rating_html().'
                            </div>
                            
                        </div>';
            endwhile;
        }
        else{
           echo '<p class="text-center">'.esc_html__("No any results with this keyword.",'sport').'</p>';
        }
        wp_reset_postdata();
    }
}