<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 24/04/2017
 * Time: 17:37
 */
if(!function_exists('s7upf_vc_service'))
{
    function s7upf_vc_service($attr,$content = false)
    {
        $html = $style = $image =$iconpicker= $autoplay=$item_number= $navigation  = $image_size  =$bg_color = $alignment=  $title_color= $desc_color  = $link = $desc = $title = $el_class  = '' ;
        extract(shortcode_atts(array(
            'style'      => 'style1',
            'desc'      => '',
            'title'      => '',
            'el_class'      => '',
            'link'      => '',
            'alignment'      => 'text-left',
            'iconpicker'      => '',
            'image'      => '',
            'image_size'      => '',
            'bg_color'      => '',
            'title_color'      => '',
            'desc_color'      => '',
            'item_number'      => '3',
            'navigation'      => 'true',
            'autoplay'      => 'true',
        ),$attr));
        $html .= S7upf_Template::load_view('elements/service',false,array(
            'style' => $style,
            'desc' => $desc,
            'title' => $title,
            'el_class' => $el_class,
            'link' => $link,
            'alignment' => $alignment,
            'bg_color' => $bg_color,
            'title_color' => $title_color,
            'image' => $image,
            'iconpicker' => $iconpicker,
            'image_size' => $image_size,
            'desc_color' => $desc_color,
            'item_number' => $item_number, //style 7
            'navigation' => $navigation, //style 7
            'autoplay' => $autoplay, //style 7
        ));
        return $html;
    }
}

stp_reg_shortcode('s7upf_service','s7upf_vc_service');

vc_map( array(
    "name"      => esc_html__("SV Service", 'sport'),
    "base"      => "s7upf_service",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'heading' => esc_html__( 'Style', 'sport' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__('Style 1','sport')=>'style1',
                esc_html__('Style 2','sport')=>'style2',
            ),
            'description' => esc_html__( 'Select style', 'sport' )
        ),
        array(
            'type' => 's7up_image_check',
            'param_name' => 'style_service',
            'heading' => '',
            'element' => 'style',
        ),

        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'sport' ),
            'param_name' => 'image',
            'description' => esc_html__('Select image from library.','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-8',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
        array(
            'type'          => 'iconpicker',
            'heading'       => esc_html__( 'Icon', 'sport' ),
            'param_name'    => 'iconpicker',
            'value'         => '',
            'settings'      => array(
                'emptyIcon'     => true,
                'iconsPerPage'  => 4000,
            ),
            'description'   => esc_html__( 'Select icon from library.', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title', 'sport' ),
            'param_name' => 'title',
            'admin_label' => true,
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            'type' => 'textarea',
            'heading' => esc_html__( 'Description', 'sport' ),
            'param_name' => 'desc',
            'description' => esc_html__('Enter text.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'Link/URL', 'sport' ),
            'param_name' => 'link',
            'description' => esc_html__('Enter Link/URL.','sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name",'sport'),
            "param_name" => "el_class",
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'sport' ),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Alignment",'sport'),
            'group' => esc_html__('Design Option','sport'),
            "param_name" => "alignment",
            'description' => esc_html__( 'Select alignment.', 'sport' ),
            'value' => array(
                esc_html__('Left','sport') => 'text-left',
                esc_html__('Right','sport') => 'text-right',
                esc_html__('Center','sport') => 'text-center',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1','style2')
            ),
        ),
        array(
            'type' => 'colorpicker',
            'group' => esc_html__('Design Option','sport'),
            'heading' => esc_html__( 'Background color', 'sport' ),
            'param_name' => 'bg_color',
            'description' => esc_html__( 'Select color', 'sport' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'sport'),
            'param_name' => 'image_size',
            'group' => esc_html__('Design Option','sport'),
            'edit_field_class' => 'vc_column vc_col-sm-12',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'sport'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
            ),
        ),
    )
));