<?php
$word_excerpt = s7upf_get_option('number_word_excerpt_blog_list','30');
$style_blog = s7upf_get_option('s7upf_style_blog');
if($style_blog == 'style2'){ ?>
    <div class="item-blog-post blog-post-item-style2">
        <div class="row">
            <div class="col-md-5 col-sm-5 col-xs-12">
                <?php
                echo S7upf_Template::load_view('blog-content/media-post');
                ?>
            </div>
            <div class="col-md-7 col-sm-7 col-xs-12">
                <div class="post-info">
                    <div class="post-title-date">
                        <div class="postdate">
                            <strong class="title30"><?php echo get_the_date('d'); ?></strong>
                            <span class="title12"><?php echo get_the_date('M Y'); ?></span>
                        </div>
                        <div class="post-title-comment">
                            <h2 class="title14 title-post"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>   <?php echo (is_sticky()) ? '<i class="fa fa-thumb-tack"></i>':''?></h2>
                            <ul class="list-inline-block">
                                <li> <span><?php echo esc_html__('Posted By', 'sport')?></span> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" class="silver"><?php echo get_the_author(); ?></a></li>
                                <li>
                                    <span><?php echo get_comments_number(); ?> </span>
                                    <a href="<?php echo esc_url( get_comments_link() ); ?>" class="silver"><?php
                                        if(get_comments_number()>1) esc_html_e('Comments', 'sport') ;
                                        else esc_html_e('Comments', 'sport') ;
                                        ?>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <p class="desc">
                        <?php if ( has_excerpt( get_the_ID()) ) {
                            echo balanceTags(wp_trim_words( get_the_excerpt(), $word_excerpt , '...' ), true); }
                        else echo  balanceTags(wp_trim_words( get_the_content(), $word_excerpt , '...   '), true); ?>
                    </p>
                    <a href="<?php the_permalink(); ?>" class="title14 readmore"><?php echo esc_html__('Read more','sport'); ?></a>
                </div>
            </div>
        </div>
    </div>

    <?php
}else{ ?>
    <div class="item-post-list blog-post-item-style1">

        <?php
        echo S7upf_Template::load_view('blog-content/media-post');
        ?>
        <div class="post-info post-title-comment">
            <ul class="list-inline-block date-comment">
                <li> <span><?php echo esc_html__('Posted By', 'sport')?></span> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" class="silver"><?php echo get_the_author(); ?></a></li>
                <li>
                    <span><?php echo get_comments_number(); ?> </span>
                    <a href="<?php echo esc_url( get_comments_link() ); ?>" class="silver"><?php
                        if(get_comments_number()>1) esc_html_e('Comments', 'sport') ;
                        else esc_html_e('Comments', 'sport') ;
                        ?>
                    </a>
                </li>
                <?php $cats = get_the_category_list(', ');
                if($cats) { ?>
                    <li>
                        <div class="mb-category-list">
                            <span><?php echo esc_html__('Category','sport'); ?> </span>
                            <?php echo balanceTags($cats); ?>
                        </div>
                    </li>
                <?php } ?>
            </ul>
            <h3 class="title18 text-uppercase title-post">
                <a href="<?php echo esc_url(get_the_permalink()); ?>" class="dark">
                    <?php the_title()?>
                    <?php echo (is_sticky()) ? '<i class="fa fa-thumb-tack"></i>':''?>
                </a>
            </h3>
            <p class="desc">
                <?php if ( has_excerpt( get_the_ID()) ) {
                    echo balanceTags(wp_trim_words( get_the_excerpt(), $word_excerpt , '...' ), true); }
                ?>
            </p>
            <?php $tags = get_the_tag_list(' ',',',' ');
            if($tags) { ?>
                <div class="mb-tag-list">
                    <i class="fa fa-tag"></i>
                    <?php echo balanceTags($tags);?>
                </div>
            <?php } ?>

            <a href="<?php the_permalink(); ?>" class="btn-arrow black"><span><?php echo esc_html__('Read more','sport'); ?></span></a>
        </div>
    </div>
    <?php
}
?>