<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 25/07/2017
 * Time: 8:21 SA
 */

$image_size = s7upf_get_size_image('600x400',$image_size);
$data_date=get_option('date_format');
if(empty($number_item_desktop)) $number_item_desktop = '3';
if(!empty($date_format))
    $data_date= $date_format;
?>
<div class="element-blog-style2 recent-blog <?php echo esc_attr($extra_class); ?>">
        <div class="intro-box1 text-center">
            <?php if(!empty($title)){ ?>
            <h2 class="title30 font-bold title-underline"><span><?php echo esc_attr($title)?></span></h2>
            <?php } if(!empty($desc)){ ?>
            <p class="desc"><?php echo esc_attr($desc); ?></p>
            <?php }
            echo s7upf_get_vc_build_link($button,'shop-button'); ?>
        </div>
    <?php
    if($query->have_posts()){ ?>
        <div class="recentpost-slider">
            <div class="wrap-item navi-bottom" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-navigation="<?php echo esc_attr($navigation); ?>" data-pagination="false" data-itemscustom="[[0,1],[600,2],[990,<?php echo esc_attr($number_item_desktop); ?>]]">
                <?php
                while ($query->have_posts()) {
                    $query->the_post();?>
                    <div class="post-item">
                        <?php
                        if(has_post_thumbnail()) { ?>
                            <div class="post-thumb">
                                <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                                    <?php the_post_thumbnail($image_size); ?>
                                </a>
                                <a href="<?php the_post_thumbnail_url('full'); ?>" class="fancybox"></a>
                            </div>
                        <?php } else if(!empty($image_default)){ ?>
                            <div class="post-thumb">
                                <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                                    <?php echo wp_get_attachment_image($image_default,$image_size); ?>
                                </a>
                                <a href="<?php echo wp_get_attachment_image_url($image_default,$image_size); ?>" class="fancybox"></a>
                            </div>
                        <?php } ?>
                        <div class="post-info">
                            <h3 class="title14"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            <ul class="list-inline-block silver post-comment-date">
                                <li><i class="fa fa-comment-o" aria-hidden="true"></i><span><?php echo get_comments_number(); ?></span></li>
                                <li><i class="fa fa-calendar-o" aria-hidden="true"></i><span><?php echo get_the_date($data_date); ?></span></li>
                            </ul>
                            <p class="desc">
                                <?php if(!empty($word_excerpt)){ ?>
                                    <?php if ( has_excerpt( get_the_ID()) )
                                        echo balanceTags(wp_trim_words( get_the_excerpt(), $word_excerpt , ' [...]' ), true); ?>
                                <?php } ?>
                            </p>
                        </div>
                    </div>
                    <?php
                } ?>
            </div>
        </div>
    <?php  } ?>
</div>
