<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 25/07/2017
 * Time: 10:55 SA
 */
$class_color='';
$image_size = s7upf_get_size_image('70x47',$image_size);
$data_date=get_option('date_format');
if(!empty($date_format))
    $data_date= $date_format;
if(!empty($color_title)){
    $class_color .= ' '.S7upf_Assets::build_css('color:'.$color_title.';' ,' .post-info .title-post a');
}
if(!empty($color_date)){
    $class_color .= ' '.S7upf_Assets::build_css('color:'.$color_date.';', ' ul li');
}
?>
<div class="element-blog-style4 footer-box <?php echo esc_attr($extra_class); ?> <?php echo esc_attr($class_color)?>">
    <?php if(!empty($title)){ ?>
    <h2 class="title14 black"><?php echo esc_attr($title); ?></h2>
    <?php }
    if($query->have_posts()){?>
    <div class="list-most-post">
        <?php while($query->have_posts()){ $query->the_post();?>
        <div class="post-item table">
            <?php
            if(has_post_thumbnail()) { ?>
                <div class="post-thumb">
                    <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                        <?php the_post_thumbnail($image_size); ?>
                    </a>
                </div>
            <?php } else if(!empty($image_default)){ ?>
                <div class="post-thumb">
                    <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                        <?php echo wp_get_attachment_image($image_default,$image_size); ?>
                    </a>
                </div>
            <?php } ?>
            <div class="post-info">
                <h3 class="title-post"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <ul class="list-inline-block silver post-comment-date">
                    <li><i class="fa fa-calendar-o" aria-hidden="true"></i><span><?php echo get_the_date($data_date)?></span></li>
                </ul>
            </div>
        </div>
        <?php } ?>
    </div>
    <?php } ?>
</div>
