<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 25/07/2017
 * Time: 8:21 SA
 */

$image_size = s7upf_get_size_image('600x400',$image_size);
$data_date=get_option('date_format');
if(empty($number_item_desktop)) $number_item_desktop = '1';
if(empty($number_item_post)) $number_item_post = 2;
if(!empty($date_format))
    $data_date= $date_format;
$i = 1;
$count_post = $query->post_count;
?>
<div class="element-blog-style5 from-blog3 <?php echo esc_attr($extra_class); ?>">
    <?php if(!empty($title)){ ?>
    <h2 class="title18"><?php echo esc_attr($title); ?></h2>
    <?php } ?>
    <?php
    if($query->have_posts()){ ?>
    <div class="blog-slider3">
        <div class="wrap-item group-navi" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-navigation="<?php echo esc_attr($navigation); ?>" data-pagination="false" data-itemscustom="[[0,1],[560,1],[990,<?php echo esc_attr($number_item_desktop); ?>]]">
            <?php
            while ($query->have_posts()) {
                $query->the_post();?>
                <?php if($i % (int)$number_item_post == 1  || $number_item_post == 1) echo '<div class="item">'; ?>
                    <div class="post-item3 table">
                        <?php if(has_post_thumbnail()) { ?>
                        <div class="post-thumb">
                            <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                                <?php the_post_thumbnail($image_size); ?>
                            </a>
                            <a href="<?php the_post_thumbnail_url('full'); ?>" class="fancybox"></a>
                        </div>
                        <?php } else if(!empty($image_default)){ ?>
                            <div class="post-thumb">
                                <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                                    <?php echo wp_get_attachment_image($image_default,$image_size); ?>
                                </a>
                                <a href="<?php echo wp_get_attachment_image_url($image_default,$image_size); ?>" class="fancybox"></a>
                            </div>
                        <?php } ?>
                        <div class="post-info">
                            <h3 class="title14"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            <ul class="list-inline-block silver post-comment-date">
                                <li><i class="fa fa-comment-o" aria-hidden="true"></i><span><?php echo get_comments_number(); ?></span></li>
                                <li><i class="fa fa-calendar-o" aria-hidden="true"></i><span><?php echo get_the_date($data_date);?></span></li>
                            </ul>
                        </div>
                    </div>
                <?php if($i % (int)$number_item_post == 0 || $i == $count_post  || $number_item_post == 1) echo '</div>';  $i=$i+1;?>
                <?php
            } ?>
        </div>
    </div>
    <?php  } ?>
</div>
