<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 25/07/2017
 * Time: 8:21 SA
 */

$image_size = s7upf_get_size_image('600x400',$image_size);
$data_date=get_option('date_format');
if(empty($number_item_desktop)) $number_item_desktop = '1';
if(empty($number_item_post)) $number_item_post = 2;
if(!empty($date_format))
    $data_date= $date_format;
$i = 1;
$count_post = $query->post_count;
?>
<div class="element-blog-style6 box-video-highlight <?php echo esc_attr($extra_class); ?>">
    <?php if(!empty($title)){ ?>
        <h2 class="title18"><?php echo esc_attr($title); ?></h2>
    <?php } ?>
    <?php
    if($query->have_posts()){ ?>
    <div class="row">
        <?php
        while ($query->have_posts()) {
        $query->the_post();
        if($i==1){?>
            <div class="col-md-6 col-sm-6 col-xs-12">
                <div class="video-highlight">
                    <?php if(has_post_thumbnail()) { ?>
                        <div class="thumb-highlight banner-adv zoom-image format-<?php echo get_post_format(get_the_ID()); ?>">
                            <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                                <?php the_post_thumbnail($image_size); ?>
                            </a>
                        </div>
                    <?php } else if(!empty($image_default)){ ?>
                        <div class="thumb-highlight banner-adv zoom-image format-<?php echo get_post_format(get_the_ID()); ?>">
                            <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                                <?php echo wp_get_attachment_image($image_default,$image_size); ?>
                            </a>
                        </div>
                    <?php } ?>

                    <div class="info-highlight">
                        <h3 class="title14"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <ul class="list-inline-block silver post-comment-date">
                            <li><i class="fa fa-comment-o" aria-hidden="true"></i><span><?php echo get_comments_number(); ?></span></li>
                            <li><i class="fa fa-calendar-o" aria-hidden="true"></i><span><?php echo get_the_date($data_date); ?></span></li>
                        </ul>
                        <p class="desc">
                            <?php if(!empty($word_excerpt)){ ?>
                                <?php if ( has_excerpt( get_the_ID()) )
                                    echo balanceTags(wp_trim_words( get_the_excerpt(), $word_excerpt , '...' ), true); ?>
                            <?php } ?>
                        </p>
                    </div>
                </div>
            </div>
        <?php } else{
            if($i == 2)
                echo '<div class="col-md-6 col-sm-6 col-xs-12">
                        <div class="more-video"><div class="more-video-content">';?>
            <div class="item-more-video table">
                <?php if(has_post_thumbnail()) { ?>
                    <div class="more-video-thumb post-thumb">
                        <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                            <?php the_post_thumbnail($image_size); ?>
                        </a>
                    </div>
                <?php } else if(!empty($image_default)){ ?>
                    <div class="more-video-thumb post-thumb">
                        <a href="<?php the_permalink(); ?>" class="post-thumb-link">
                            <?php echo wp_get_attachment_image($image_default,$image_size); ?>
                        </a>
                    </div>
                <?php } ?>
                <div class="more-video-info">
                    <h3 class="title14"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    <ul class="list-inline-block silver post-comment-date">
                        <li><i class="fa fa-comment-o" aria-hidden="true"></i><span><?php echo get_comments_number(); ?></span></li>
                        <li><i class="fa fa-calendar-o" aria-hidden="true"></i><span><?php echo get_the_date($data_date); ?></span></li>
                    </ul>
                </div>
            </div>

        <?php
            if($i == $count_post)
                echo '</div></div>
        </div>';
        } ?>
        <?php $i= $i+1; } ?>
    </div>
    <?php  } ?>
</div>

