<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 15/07/2017
 * Time: 4:45 CH
 */
$url_icon_cart = get_template_directory_uri().'/assets/images/icons/icon-cart.png';
if(!empty($image_cart)){
    $url_icon_cart= wp_get_attachment_image_url($image_cart,array(28,26));
}
$class=$class_color_price=$class_bg_price='';
if(!empty($font_color))
$class .= ' '.S7upf_Assets::build_css('color:'.$font_color.';');
if('style1' === $style){
    if(!empty($price_color)){
        $class_color_price= S7upf_Assets::build_css('color:'.$price_color.';');
        $class_bg_price= S7upf_Assets::build_css('background:'.$price_color.';');
    } ?>
    <div class="element-mini-cart  <?php echo esc_attr($el_class)?>  <?php if('text-center' === $pull_cart) echo 'text-center'; ?> ">
        <div class="mini-cart-box <?php echo esc_attr($pull_cart);?>">
            <a class="mini-cart-link title12" href="#" onclick="return false;">
                <input class="num-decimal" type="hidden" value="<?php echo get_option("woocommerce_price_num_decimals"); ?>">
                <div class="total-default hidden"><?php echo wc_price(0)?></div>
                <span class="mini-cart-icon inline-block"><img src="<?php echo esc_url($url_icon_cart); ?>" alt="mini-cart">
                    <sup class="bg-color white round cart-item-count mb-count-ajax <?php echo esc_attr($class_bg_price); ?>"><?php echo count(WC()->cart->get_cart()); ?></sup>
                </span>
                <span class="mini-cart-number  black inline-block text-right <?php echo esc_attr($class); ?>"><?php echo esc_html__('Shopping Cart ','sport')?><br> <span class="mb-count-ajax"><?php echo count(WC()->cart->get_cart()); ?></span> <?php echo(count( WC()->cart->get_cart() )>1)? esc_html__(' Item(s) - ','sport'): esc_html__('  Item - ','sport'); ?> <span class="color mb-price <?php echo esc_attr($class_color_price); ?>"><?php echo WC()->cart->get_cart_total(); ?></span></span>
            </a>
            <div class="mini-cart-content text-left">
                <?php s7upf_mini_cart(); ?>
            </div>
        </div>
    </div>
<?php } else if('style2'===$style){ ?>
    <div class="element-mini-cart <?php echo esc_attr($el_class)?> <?php if('text-center' === $pull_cart) echo 'text-center'; ?> ">
        <div class="account-cart3 <?php echo esc_attr($pull_cart);?>">
            <?php if(!empty($data_link_item) and is_array($data_link_item)){?>
            <ul class="list-inline-block top-menu inline-block">
                <?php foreach ($data_link_item as $value){
                    if(!empty($value['link']))
                    $data_link = vc_build_link($value['link']);
                    if(!empty($data_link['url'])){ ?>
                        <li>
                            <a href="<?php echo (!empty($data_link['url'])) ? esc_url($data_link['url']) : ''; ?>"
                               class="title14 black <?php echo esc_attr($class); ?>">
                                <?php if (!empty($value['icon_image'])) echo wp_get_attachment_image($value['icon_image'], array(19, 19)); ?><?php if (!empty($data_link['title'])) echo esc_attr($data_link['title']); ?></a>

                        </li>
                        <?php
                    }
                }?>
            </ul>
            <?php } ?>
            <div class="mini-cart-box inline-block">
                <a class="mini-cart-link title14"  href="#" onclick="return false;">
                    <input class="num-decimal" type="hidden" value="<?php echo get_option("woocommerce_price_num_decimals"); ?>">
                    <div class="total-default hidden"><?php echo wc_price(0)?></div>
                    <span class="mini-cart-icon inline-block"><img src="<?php echo esc_url($url_icon_cart); ?>" alt="mini-cart">
                        <sup class="bg-color white round mb-count-ajax <?php echo esc_attr($class); ?>"><?php echo count(WC()->cart->get_cart()); ?></sup>
                    </span>
                    <span class="mini-cart-number  black inline-block <?php echo esc_attr($class); ?>"><?php echo esc_html__('Shopping Cart','sport')?></span>
                </a>
                <div class="mini-cart-content text-left">
                    <?php s7upf_mini_cart(); ?>
                </div>
            </div>
        </div>
    </div>
<?php } else{ $border_color = S7upf_Assets::build_css('border-color:'.$font_color.'!important;'); ?>
<div class="element-mini-cart <?php echo esc_attr($el_class)?> <?php if('text-center' === $pull_cart) echo 'text-center'; ?> ">
    <ul class="list-inline-block cart-account <?php echo esc_attr($pull_cart);?>">
        <?php if(!empty($data_link_item) and is_array($data_link_item)) {
            foreach ($data_link_item as $value) {
                if (!empty($value['link']))
                    $data_link = vc_build_link($value['link']);
                if (!empty($data_link['url'])) { ?>
                    <li>
                        <a href="<?php echo (!empty($data_link['url'])) ? esc_url($data_link['url']) : ''; ?>"
                           class="title14 black <?php echo esc_attr($class); ?> <?php echo esc_attr($border_color); ?>">
                            <?php if (!empty($value['icon_image'])) echo wp_get_attachment_image($value['icon_image'], array(19, 19)); ?><?php if (!empty($data_link['title'])) echo esc_attr($data_link['title']); ?></a>
                    </li>
                <?php }
            }
        }?>
        <li>
            <div class="mini-cart-box">
                <input class="num-decimal" type="hidden" value="<?php echo get_option("woocommerce_price_num_decimals"); ?>">
                <div class="total-default hidden"><?php echo wc_price(0)?></div>
                <a class="mini-cart-link title12 white <?php echo esc_attr($class); ?>" href="#" onclick="return false;">
                    <span class="mini-cart-icon inline-block"><img src="<?php echo esc_url($url_icon_cart); ?>" alt=""><sup class="bg-color white round mb-count-ajax"><?php echo count(WC()->cart->get_cart()); ?></sup></span>
                </a>
                <div class="mini-cart-content text-left">
                    <?php s7upf_mini_cart(); ?>
                </div>
            </div>
        </li>
    </ul>
</div>
<?php }?>