<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 21/04/2017
 * Time: 10:28
 */
global $post;
$image_size  = s7upf_get_size_image('400x400',$image_size);
if(empty($col_layout)) $col_layout = '4';
$type = 'list';
if(isset($_GET['type'])){
    $type = $_GET['type'];

}
if($pro_query->have_posts()){ ?>
    <div class="woocommerce  mb-element-product-<?php echo esc_attr($style); ?> <?php echo esc_attr($class)?>">
        <?php
        if($view_type == 'on'){
            //s7upf_shop_filter_html($pro_query,$orderby_shop,'grid',$select_attributes);
            ?>
            <div class="shop-title-box">
                <?php if(!empty($title)) { ?>
                    <h2 class="title18 title-box5"><?php echo esc_attr($title); ?></h2>
                <?php } ?>
                <div class="view-type">
                    <a href="<?php echo esc_url(s7upf_get_key_url('type','grid'))?>" class="grid-view <?php if('grid' === $type) echo 'active'?>"></a>
                    <a href="<?php echo esc_url(s7upf_get_key_url('type','list'))?>" class="list-view <?php if('list' === $type) echo 'active'?>"></a>
                </div>
            </div>
            <?php if (!empty($image_banner)) { ?>
                <div class="shop-banner banner-adv line-scale">
                    <div class="adv-thumb-link"><?php echo wp_get_attachment_image($image_banner,'full')?></div>
                </div>
            <?php }
        }
        if ('grid' == $type){?>

            <div class="grid-shop-product products">
                <div class="row">
                    <?php  while ($pro_query->have_posts()) {
                        $pro_query->the_post(); global $product;?>
                        <div class="col-md-<?php echo esc_attr($col_layout);?> col-sm-6 col-xs-6">
                            <div class="item-product text-center product">
                                <?php s7up_get_label_new_sale_element_product($show_sale_label,$show_new_label,$day_new_product); ?>
                                <div class="product-thumb">
                                    <?php s7upf_get_image_product_element($image_size,$default_image,$animation_img); ?>
                                    <div class="product-extra-link">
                                        <?php echo s7up_wishlist_url(); ?>
                                        <?php woocommerce_template_loop_add_to_cart();?>
                                        <?php echo s7upf_compare_url(); ?>
                                    </div>
                                    <a data-product-id="<?php echo get_the_id();?>" href="<?php the_permalink(); ?>" class="quickview-link title14 product-ajax-popup"><?php echo esc_html__('Quick View','sport')?></a>
                                </div>
                                <div class="product-info">
                                    <h3 class="product-title title14"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                    <div class="product-price">
                                        <?php woocommerce_template_loop_price(); ?>
                                    </div>
                                    <?php echo s7upf_get_rating_html();?>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        <?php }else{ ?>
            <div class="list-shop-product product">
                <?php  while ($pro_query->have_posts()) {
                    $pro_query->the_post(); global $product;?>
                    <div class="item-product item-product-list">
                        <div class="row">
                            <div class="col-md-4 col-sm-5 col-xs-5">
                                <div class="product-thumb">
                                    <?php s7up_get_label_new_sale_element_product($show_sale_label,$show_new_label,$day_new_product); ?>
                                    <?php s7upf_get_image_product_element($image_size,$default_image,$animation_img); ?>
                                </div>
                            </div>
                            <div class="col-md-8 col-sm-7 col-xs-7">
                                <div class="product-info">
                                    <h3 class="product-title title14"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                    <div class="product-price">
                                        <?php woocommerce_template_loop_price(); ?>
                                    </div>
                                    <?php echo s7upf_get_rating_html();?>
                                    <?php if($product->is_in_stock()){ ?>
                                        <span class="inout-stock in-stock"><i class="fa fa-check-square" aria-hidden="true"></i><?php echo esc_html__('In stock','sport');?></span>
                                    <?php }
                                    if($word_excerpt !== '0' and has_excerpt( get_the_ID())){ ?>
                                        <div class="desc"><?php
                                            echo balanceTags(wp_trim_words( get_the_excerpt(), (int)$word_excerpt , '...' ), true); ?>
                                        </div>
                                    <?php } ?>
                                    <div class="product-extra-link">
                                        <?php woocommerce_template_loop_add_to_cart(); ?>
                                        <?php echo s7up_wishlist_url(); ?>
                                        <?php echo s7upf_compare_url(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        <?php } wp_reset_postdata(); ?>
    </div>
<?php }else{ ?>
    <h2 class="no-products color"> <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> <?php echo esc_html__('No products were found matching your selection.','sport'); ?></h2><?php
}
$order_list_shop = array(
    'menu_order' => esc_html__('None', 'sport'),
    'popularity' => esc_html__('Popularity', 'sport'),
    'rating' => esc_html__('Average rating', 'sport'),
    'date' => esc_html__('Newness', 'sport'),
    'price' => esc_html__('Price: low to high', 'sport'),
    'price-desc' => esc_html__('Price: high to low', 'sport'),
);
?>
<div class="sort-paginav pull-right">
    <?php if($order_by_show == 'on'){ ?>
        <div class="sort-bar select-box mb-post-per-page shop_order">
            <?php if(isset($_GET['orderby'])) {
                foreach ($order_list_shop as $key=> $value){
                    if($_GET['orderby'] == $key)
                        $order_current = $value;
                }
            } else $order_current = esc_html__('None','sport'); ?>
            <a href="#" class="dropdown-link silver"><?php echo esc_attr($order_current); ?></a>
            <ul class="list-none dropdown-list">
                <?php foreach ($order_list_shop as $key=>$value){ ?>
                    <li><a href="<?php echo esc_url(s7upf_get_key_url('orderby',$key))?>"><?php echo esc_attr($value); ?></a></li>
                <?php } ?>
            </ul>
        </div>
        <div class="show-bar select-box mb-post-per-page">
            <span class="text-uppercase"><?php echo esc_html__('Show:','sport')?></span>
            <?php if(isset($_GET['posts_per_page'])) $number_current = $_GET['posts_per_page']; else $number_current = esc_html__('None','sport'); ?>
            <a href="#" class="dropdown-link silver"><?php echo esc_attr($number_current); ?></a>
            <ul class="list-none dropdown-list">
                <li><a href="<?php echo esc_url(remove_query_arg('posts_per_page'))?>"><?php echo esc_html__('None','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','6'))?>"><?php echo esc_html__('6 post','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','12'))?>"><?php echo esc_html__('12 post','sport')?></a></li>
                <li><a href="<?php echo esc_url(s7upf_get_key_url('posts_per_page','24'))?>"><?php echo esc_html__('24 post','sport')?></a></li>
            </ul>
        </div>
        <?php
    }
    if ( $pro_query->max_num_pages > 1 and $pagination=='on') { ?>
        <div class="pagi-bar">
            <?php
            echo paginate_links( apply_filters( 'woocommerce_pagination_args', array(
                'base'         => esc_url_raw( str_replace( 999999999, '%#%', remove_query_arg( 'add-to-cart', get_pagenum_link( 999999999, false ) ) ) ),
                'format'       => '',
                'add_args'     => false,
                'current'      => max( 1, get_query_var( 'paged' ) ),
                'total'        => $pro_query->max_num_pages,
                'prev_text'    => '&larr;',
                'next_text'    => '&rarr;',
                'end_size'     => 3,
                'mid_size'     => 3,
            ) ) );
            ?>
        </div>
    <?php }
    ?>
</div>