<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 31/07/2017
 * Time: 10:25 SA
 */
if(empty($number_item_desktop)) $number_item_desktop=3;
$image_size  = s7upf_get_size_image('130x130',$image_size);
?>
<div class="deal-box8 element-product-style5 <?php echo esc_attr($extra_class)?>">
    <?php if(!empty($title)){ ?>
        <div class="title-box8">
            <h2 class="title18 white"><?php echo esc_attr($title); ?></h2>
        </div>
    <?php } ?>
    <?php if($pro_query->have_posts()){ ?>
        <div class="product-slider woocommerce">
            <div class="wrap-item group-navi style2" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-navigation="<?php echo esc_attr($navigation)?>" data-pagination="<?php echo esc_attr($pagination_slider)?>" data-itemscustom="[[0,1],[560,2],[990,<?php echo esc_attr($number_item_desktop)?>]]">
                <?php
                while ($pro_query->have_posts()){
                    $pro_query->the_post(); global $product; ?>

                    <div class="item-product text-center product">
                        <?php s7up_get_label_new_sale_element_product($show_sale_label,$show_new_label,$day_new_product); ?>
                        <div class="product-thumb">
                            <?php s7upf_get_image_product_element($image_size,$default_image,$animation_img); ?>
                            <div class="product-extra-link">
                                <?php echo s7up_wishlist_url(); ?>
                                <?php woocommerce_template_loop_add_to_cart();?>
                                <?php echo s7upf_compare_url(); ?>
                            </div>
                            <a data-product-id="<?php echo get_the_id();?>" href="<?php the_permalink(); ?>" class="quickview-link title14 product-ajax-popup"><?php echo esc_html__('Quick View','sport')?></a>

                        </div>
                        <div class="product-info">
                            <h3 class="product-title title14"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            <div class="product-price">
                                <?php woocommerce_template_loop_price(); ?>
                            </div>
                            <?php
                            $dates_to=$countdown_time='';
                            $sale_price_dates_to = get_post_meta(get_the_ID(),'_sale_price_dates_to',true);
                            $date = getdate();
                            $date = date('Y-m-d H:i:s',$date[0]);
                            if(!empty($sale_price_dates_to)){
                                $dates_to= date( 'Y-m-d', $sale_price_dates_to );
                            }
                            $date = strtotime($date);
                            $dates_to = strtotime($dates_to);
                            if($dates_to>$date){
                                $countdown_time = abs($dates_to - $date);
                            }
                            if(!empty($countdown_time) and $product->is_on_sale() ){ ?>
                                <div class="countdown-master" data-time="<?php echo esc_attr($countdown_time);?>"></div>
                            <?php } ?>
                        </div>
                    </div>
                <?php } wp_reset_postdata();  ?>

            </div>
        </div>
    <?php } ?>
</div>
