<?php
/**
 * Created by PhpStorm.
 * User: mai100it
 * Date: 27/07/2017
 * Time: 9:00 SA
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
global $product;
global $post;
$type = 'grid';
$type = s7upf_get_option('woo_style_view_way_product');
if(isset($_GET['type'])){
    $type = $_GET['type'];
}

$default_image = get_template_directory_uri().'/assets/images/placeholder.png';
$image_size = s7upf_get_option('s7upf_custom_size_image_list');
$image_size  = s7upf_get_size_image('268x268',$image_size);
if('list' === $type){ ?>
    <div class="col-md-4 col-sm-5 col-xs-5">
        <div class="product-thumb">
           <?php s7up_get_label_new_sale_product(); ?>
            <a href="<?php the_permalink()?>" class="product-thumb-link">
                <?php
                if ( has_post_thumbnail() ) {
                    echo get_the_post_thumbnail(get_the_ID(), $image_size);
                }  else {
                    $dimensions = wc_get_image_size( $image_size ); ?>
                    <img src="<?php echo esc_url($default_image); ?>" width="<?php echo esc_attr( $dimensions['width'] ) ?> " height="<?php echo esc_attr( $dimensions['height'] ) ?> "  alt="<?php esc_html_e('Image Default','sport')?>" title="<?php esc_html_e('product','sport')?>" />
                    <?php
                } ?>
            </a>
        </div>
    </div>
<?php } else { ?>
    <?php s7up_get_label_new_sale_product(); ?>
    <div class="product-thumb">
        <a href="<?php the_permalink()?>" class="product-thumb-link zoom-thumb">
            <?php
            if ( has_post_thumbnail() ) {
                echo get_the_post_thumbnail(get_the_ID(), $image_size);
            }  else {
                $dimensions = wc_get_image_size( $image_size ); ?>
                <img src="<?php echo esc_url($default_image); ?>" width="<?php echo esc_attr( $dimensions['width'] ) ?> " height="<?php echo esc_attr( $dimensions['height'] ) ?> "  alt="<?php esc_html_e('Image Default','sport')?>" title="<?php esc_html_e('product','sport')?>" />
                <?php
            } ?>
        </a>
        <div class="product-extra-link">
            <?php echo s7up_wishlist_url(); ?>
            <?php woocommerce_template_loop_add_to_cart(); ?>
            <?php echo s7upf_compare_url(); ?>
        </div>
        <a data-product-id="<?php echo get_the_id();?>" href="<?php the_permalink(); ?>" class="quickview-link product-ajax-popup title14"><?php echo esc_html__('Quick view','sport'); ?></a>
    </div>
<?php }