<?php
/**
 * The template for displaying search results pages.
 *
 * @package 7up-framework
 */

get_header(); ?>
	<div class="content-pages">
        <div class="row">
            <?php s7upf_output_sidebar('left')?>
            <div class="<?php echo esc_attr(s7upf_get_main_class()); ?>">
                <?php if ( have_posts() ) : ?>
                    <?php s7upf_display_banner(); ?>
                    <div class="list-blog-post">
                        <?php while ( have_posts() ) : the_post(); ?>
                            <?php get_template_part('s7upf_templates/blog-content/content'); ?>
                        <?php endwhile; ?>
                    </div>
                    <?php s7upf_paging_nav();?><!-- Display navigation-->
                <?php else : ?>
                    <?php get_template_part('s7upf_templates/blog-content/content-none'); ?>


                <?php endif; ?>
            </div>
            <?php s7upf_output_sidebar('right')?>
        </div>
	</div>
<?php get_footer();

